2007-09-08 23:09  Chris Hanson <edu/mit/csail/cph>

	* runtime/parse.scm (14.68):

	Change error message generated when an unmatched close parenthesis or
	bracket is encountered.

2007-09-03 23:35  Taylor R. Campbell <net/mumble/campbell>

	* compiler/configure (1.19), etc/Setup.sh (1.15), etc/functions.sh
	  (1.10), etc/install-bin-symlinks.sh (1.3), microcode/configure.ac
	  (1.56), microcode/confshared.h (11.13), microcode/unstackify.c
	  (11.6), microcode/ux.h (1.86), microcode/uxtop.c (1.37),
	  microcode/uxtrap.h (1.41):

	Revive SPARC Solaris support:

	- Do canonical host checking earlier in `microcode/configure.ac', so
	  that OS-dependent customization can insert options to `LDFLAGS' for
	  the configuration tests.  Add `-lsocket -lnsl' to `LDFLAGS' in
	  Solaris; this is necessary to get at sockets, `gethostbyname', &c.

	- Introduce a temporary variable `GNU_LD' in `microcode/configure.ac',
	  set among the OS-dependent customization, which determines whether or
	  not the GNU-specific `-export-dynamic' option should be passed to the
	  C linker.  Solaris's `ld' will see that option as `-e' with an
	  argument of `xport-dynamic', and fail; it is safe to omit the option
	  altogether, however, because the default (`-z record') is the
	  behaviour we want.

	- Use `-f' and `-d' instead of `-e' in `test' in shell scripts.  `test'
	  in Solaris's `sh' does not recognize `-e'.

	- Use a horrid, horrid, hack to imitate the non-standard `-ef' in
	  `test'.  If there is a better (preferably standard, but widely
	  supported is good enough) way to do this than grovelling through the
	  output of `ls -l', please tell me!

	- Fix the emulation of <stdbool.h> in "confshared.h".  Solaris needs
	  this because if `-std=c99' is not passed to GCC, there is no
	  <stdbool.h>, but if `-std=c99' is passed to GCC, <ucontext.h>
	  elsewhere makes GCC choke.

	- Use "config.h" in `unstackify.c', not <stdbool.h>.

	- Use the `__sparc' cpp macro throughout the microcode to test for the
	  SPARC, not `sparc'.

	- Update "uxtrap.h" to include support for SPARC Solaris.

2007-08-24 09:19  Taylor R. Campbell <net/mumble/campbell>

	* microcode/: configure.ac (1.55), ux.h (1.85), uxtrap.h (1.40):

	Implement preliminary support for Dragonfly BSD, thanks to Francis Gudin.

2007-08-22 13:26  Chris Hanson <edu/mit/csail/cph>

	* edwin/vc.scm (1.99):

	Don't call UNIX/CURRENT-UID on non-unix systems.

2007-08-16 23:42  Chris Hanson <edu/mit/csail/cph>

	* xml/turtle.scm (1.32):

	Eliminate spurious newlines and indentation from
	WRITE-RDF/TURTLE-TRIPLE.

2007-08-16 23:41  Chris Hanson <edu/mit/csail/cph>

	* xml/rdf-struct.scm (1.34):

	When merging prefix registries, ignore ":" prefixes.

2007-08-16 22:34  Chris Hanson <edu/mit/csail/cph>

	* edwin/intmod.scm (1.127):

	Implement BYTES-WRITTEN operation for REPL buffer ports.

2007-08-16 10:42  Chris Hanson <edu/mit/csail/cph>

	* xml/: turtle.scm (1.31), xml.pkg (1.99):

	Implement WRITE-RDF/TURTLE-TRIPLE.

2007-08-13 22:57  Chris Hanson <edu/mit/csail/cph>

	* xml/turtle.scm (1.30):

	Don't inline the first part of a pgroup unless the subject is inline
	(which it might not be if it's a graph).  Do inline if there's only
	one pgroup and the object is linear.  Suppress final dot in subgraph,
	and don't add extra blank lines between triple groups.

2007-08-13 22:18  Chris Hanson <edu/mit/csail/cph>

	* xml/: rdf-struct.scm (1.33), turtle.scm (1.29):

	When parsing, record null prefix in prefix registry.  Fix several
	problems in Turtle output, caused by introduction of subgraphs.

2007-08-13 21:05  Chris Hanson <edu/mit/csail/cph>

	* xml/turtle.scm (1.28):

	In sub-graph notation, final dot is optional.

2007-08-13 13:17  Chris Hanson <edu/mit/csail/cph>

	* xml/: rdf-struct.scm (1.32), xml.pkg (1.98):

	Add predicates and guarantees to validate components of a triple.

2007-08-11 23:30  Chris Hanson <edu/mit/csail/cph>

	* microcode/interp.c (9.107):

	Do _not_ do SAVE_CONT after returning from compiled code.  Assume that
	the compiled-code interface has left the stack in the correct state.

2007-08-10 15:26  Chris Hanson <edu/mit/csail/cph>

	* xml/: rdf-struct.scm (1.31), xml.pkg (1.97):

	Add EVENT:NEW-RDF-GRAPH.

2007-08-10 15:08  Chris Hanson <edu/mit/csail/cph>

	* runtime/string.scm (14.66):

	Allow URIs to be given to STRING and UTF8-STRING.

2007-08-10 15:07  Chris Hanson <edu/mit/csail/cph>

	* runtime/: runtime.pkg (14.625), url.scm (1.52):

	Implement URI-PREFIX.

2007-08-10 15:01  Chris Hanson <edu/mit/csail/cph>

	* runtime/char.scm (14.33):

	Fix thinko in GUARANTEE-8-BIT-CHAR.

2007-08-10 14:09  Chris Hanson <edu/mit/csail/cph>

	* runtime/char.scm (14.32):

	Fix typo.

2007-08-10 14:09  Chris Hanson <edu/mit/csail/cph>

	* runtime/runtime.pkg (14.624):

	Oops... remove old binding of SYMBOL-APPEND.

2007-08-10 14:08  Chris Hanson <edu/mit/csail/cph>

	* runtime/: runtime.pkg (14.623), symbol.scm (1.24):

	Change SYMBOL to use UTF8-STRING.  Change SYMBOL-APPEND to be an alias
	for SYMBOL.

2007-08-10 14:06  Chris Hanson <edu/mit/csail/cph>

	* runtime/: runtime.pkg (14.622), string.scm (14.65):

	Extend STRING to accept a large class of objects, each of which it
	converts to a string.  Implement UTF8-STRING to do the same thing for
	the UTF-8 encoding.

2007-08-10 13:57  Chris Hanson <edu/mit/csail/cph>

	* runtime/: char.scm (14.31), port.scm (1.51), runtime.pkg
	  (14.621):

	Implement 8-BIT-CHAR?.  Move GUARANTEE-8-BIT-CHAR to "char.scm".

2007-08-05 19:57  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-imap.scm (1.213):

	Handle an empty selector in WRITE-MIME-MESSAGE-BODY-PART on IMAP
	messages by interpreting it as a selector of (TEXT).  This lets IMAIL
	save MIME entities that the whole message comprises, such as S/MIME
	application/pkcs7-mime messages.

2007-08-05 04:26  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-mime.scm (1.6):

	Clarify the method of WRITE-MIME-MESSAGE-BODY-PART specialized on
	<MESSAGE> instances, and fix two bugs in it:

	1. Message part selectors may be empty lists, in which case the whole
	   message body is meant; this may arise, for instance, when a MIME
	   message is sent with a wholly unrecognize Content-Type (like
	   application/pkcs7-mime), and the user tries to save the MIME entity
	   that represents the whole message to a file.

	2. WRITE-HEADER-FIELDS takes a list of header field strings, not a
	   message.  How this never arose, I don't know.

2007-08-05 04:08  Taylor R. Campbell <net/mumble/campbell>

	* runtime/mime-codec.scm (14.19):

	Escape the backslash within `#\=' in the error message `Misplaced #\=
	in BASE64 input.'  Perhaps the message should use quote marks, rather
	than Scheme's #\ notation.

2007-08-02 13:20  Chris Hanson <edu/mit/csail/cph>

	* xml/turtle.scm (1.27):

	Fix various problems with output of subgraphs.  Eliminate whitespace
	preceding trailing ".".

2007-08-02 12:54  Chris Hanson <edu/mit/csail/cph>

	* xml/turtle.scm (1.26):

	Fix some thinkos in graph parsing.

2007-08-02 00:44  Chris Hanson <edu/mit/csail/cph>

	* xml/turtle.scm (1.25):

	Add support for subject/object graphs using N3's {} notation.

2007-08-02 00:40  Chris Hanson <edu/mit/csail/cph>

	* xml/: rdf-struct.scm (1.30), xml.pkg (1.96):

	Implement RDF graph type.  Hash cons all structures, including triples
	and literals.  Add event distributor EVENT:NEW-RDF-TRIPLE that is
	called whenever a new triple is allocated; this is a hook for
	indexing.

2007-08-02 00:37  Chris Hanson <edu/mit/csail/cph>

	* xml/test-turtle.scm (1.4):

	Update for new name READ-RDF/TURTLE-FILE.

2007-08-02 00:37  Chris Hanson <edu/mit/csail/cph>

	* xml/rdf-nt.scm (1.14):

	Fix bug: hex-encoded string escapes were missing leading u/U.

2007-07-31 20:15  Chris Hanson <edu/mit/csail/cph>

	* xml/: rdf-struct.scm (1.29), xml.pkg (1.95):

	Eliminate obsolete RDF index.

2007-07-31 20:13  Chris Hanson <edu/mit/csail/cph>

	* xml/: rdf-nt.scm (1.13), rdf-struct.scm (1.28), turtle.scm
	  (1.24), xml.pkg (1.94):

	Simplify bnode-registry mechanism to use a single procedure.

2007-07-29 12:20  Chris Hanson <edu/mit/csail/cph>

	* microcode/fixnum.c (9.50):

	Fix type-coercion bug in FIXNUM-LSH.  Eliminate abstraction-breaking
	uses of UNSIGNED_FIXNUM_TO_LONG and LONG_TO_FIXNUM in logical
	operations.  Tweak for style.

2007-07-23 00:52  Chris Hanson <edu/mit/csail/cph>

	* runtime/load.scm (14.97):

	Fix WITH-LOADER-BASE-URI so that it correctly recognizes system
	library URIs and generates relative references to them.

2007-07-23 00:12  Chris Hanson <edu/mit/csail/cph>

	* xml/: xml.pkg (1.93), xml-chars.scm (1.10), xml-names.scm (1.18),
	  xml-parser.scm (1.77):

	Require all names to conform to XML namespace specification; this is a
	consequence of conforming to the specification.

2007-07-22 22:46  Chris Hanson <edu/mit/csail/cph>

	* xml/: xml-names.scm (1.17), xml.pkg (1.92), xml-parser.scm
	  (1.76), xml-struct.scm (1.58):

	Change XML name type to represent namespace URI as a string, and to
	compare namespace URIs using string comparison.

2007-07-22 21:43  Chris Hanson <edu/mit/csail/cph>

	* xml/: xml-names.scm (1.16), xml-parser.scm (1.75):

	Allow relative URIs as namespace names.

2007-07-22 21:39  Chris Hanson <edu/mit/csail/cph>

	* runtime/unicode.scm (1.35):

	Allow representation of characters in class "Cs".

2007-07-22 20:34  Chris Hanson <edu/mit/csail/cph>

	* xml/xml-parser.scm (1.74):

	Compare XML names as strings rather than as expanded names.

2007-07-17 00:40  Taylor R. Campbell <net/mumble/campbell>

	* microcode/: liarc.h (1.32), cmpauxmd/c.c (1.24):

	Fix bug in liarc object initialization: dload_initialize_file must
	return the complete object name with the prefix in order for it to be
	properly loaded.  Formerly it was returning only the name without the
	prefix, so the run-time system thought that the load failed, even
	though it registered the object by its full URI, and so the top-level
	forms would not be executed until the file was loaded a second time.

2007-07-15 18:03  Chris Hanson <edu/mit/csail/cph>

	* microcode/x11base.c (1.96):

	Various style tweaks, mostly spacing and indentation.

2007-07-15 17:40  Chris Hanson <edu/mit/csail/cph>

	* microcode/x11base.c (1.95):

	Ignore key events with unknown keysyms.

2007-07-08 20:46  Chris Hanson <edu/mit/csail/cph>

	* microcode/bignum.c (9.59):

	Make sure left-shifted constants are always cast to unsigned long.

2007-07-08 18:21  Chris Hanson <edu/mit/csail/cph>

	* microcode/bignum.c (9.58):

	Fix some indentation problems.

2007-07-08 12:49  Taylor R. Campbell <net/mumble/campbell>

	* compiler/machines/C/cout.scm (1.42):

	Fix bug in dynamic initialization code: the nonce must be quoted.
	Otherwise the C compiler will choke on any file compiled for dynamic
	loading.  Was this ever tested??

	This same change could be effected in liarc.h by changing
	DECLARE_DYNAMIC_INITIALIZATION & DECLARE_DYNAMIC_OBJECT_INITIALIZATION
	so that they generate the line

	  const char dload_nonce [] = #nonce;

	rather than

	  const char dload_nonce [] = nonce;

2007-07-08 02:37  Taylor R. Campbell <net/mumble/campbell>

	* edwin/sendmail.scm (1.91):

	Work around bug lurking after change to store buffer contents in
	external strings: %GROUP-WRITE, called in WRITE-MIME-MESSAGE-BODY-1,
	passes along an external string to the writer procedure, but
	ENCODE-QUOTED-PRINTABLE:UPDATE expects an internal string.  Copy the
	string into the heap for now with XSUBSTRING, rather than fixing the
	MIME encoder to accept external strings.

2007-07-07 13:22  Chris Hanson <edu/mit/csail/cph>

	* edwin/bufinp.scm (1.16), imail/imail-rmail.scm (1.76),
	  imail/imail-util.scm (1.50), runtime/genio.scm (1.53),
	  runtime/input.scm (14.36), runtime/parse.scm (14.67),
	  runtime/runtime.pkg (14.620), runtime/unicode.scm (1.34):

	Implement and use EOF-OBJECT procedure.

2007-07-07 13:21  Chris Hanson <edu/mit/csail/cph>

	* runtime/ntprm.scm (1.50):

	Rewrite OS/PARSE-PATH-STRING to treat multiple adjacent backslashes as
	equivalent to a single backslash.  (Thanks to Matthew Halfant for
	noticing this.)

2007-07-07 13:20  Chris Hanson <edu/mit/csail/cph>

	* edwin/paths.scm (1.22):

	Eliminate unbound-variable reference.

2007-06-30 19:16  Chris Hanson <edu/mit/csail/cph>

	* runtime/numpar.scm (14.23):

	Don't depend on -i and +i syntax in number parser.

2007-06-23 01:56  Chris Hanson <edu/mit/csail/cph>

	* Makefile.in (1.47):

	Explicitly specify mit-scheme-native when that's intended.

2007-06-23 01:47  Chris Hanson <edu/mit/csail/cph>

	* configure.ac (1.19), microcode/configure.ac (1.54),
	  microcode/makegen/Makefile.in.in (1.60):

	For native system, install executable as mit-scheme-native rather than
	just mit-scheme.

2007-06-22 17:25  Taylor R. Campbell <net/mumble/campbell>

	* microcode/ux.c (1.34):

	Fix thinko in recent change: || in C yields 1 or 0, not the first
	non-zero value.

2007-06-22 16:18  Taylor R. Campbell <net/mumble/campbell>

	* microcode/ux.c (1.33):

	Rework mmap_heap_malloc so that it checks /proc/<pid>/maps only on
	Linux, and on other systems just goes ahead and tries a fixed map.

	Previously, mmap_heap_malloc would try a fixed map, and if it failed,
	try an unfixed map; then it was changed so that it would try a fixed
	map only if it knew there was a good address.  I think that this only
	affects Linux, so on other systems it will again try a fixed map first,
	and an unfixed map only if that fails.

2007-06-22 14:46  Taylor R. Campbell <net/mumble/campbell>

	* microcode/configure.ac (1.53):

	Fix typo in recent change for OpenBSD: DO_GCC_TESTS, not DO_GCC_TEST.

2007-06-22 04:09  Taylor R. Campbell <net/mumble/campbell>

	* microcode/: configure.ac (1.52), ux.h (1.84):

	Add initial trivial configuration for OpenBSD.

	This works well enough to build Scheme with liarc; whether there are
	other bugs lurking, I don't know, but I imagine that it is probably OK.

2007-06-22 01:18  Chris Hanson <edu/mit/csail/cph>

	* Makefile.in (1.46):

	Use --library option with boot compiler to override an environment
	variable that misidentifies the library directory.

2007-06-21 22:31  Chris Hanson <edu/mit/csail/cph>

	* etc/utilities.scm (1.8), microcode/configure.ac (1.51),
	  microcode/makegen/Makefile.in.in (1.59):

	Eliminate the use of the (non-POSIX) make variable $^.  Prevent
	"utabmd.bin" from being a microcode "make all" dependency when
	configured for liarc.

2007-06-21 22:29  Chris Hanson <edu/mit/csail/cph>

	* etc/: create-makefiles.sh (1.4), make-native.sh (1.3):

	Force the use of mit-scheme-c when configuring for liarc-to-native
	compilation.

2007-06-21 22:27  Chris Hanson <edu/mit/csail/cph>

	* compiler/base/crsend.scm (1.19):

	Don't use ASSQ with all interrupts off -- it can generate an unbounded
	amount of garbage and overflow the heap.

2007-06-21 18:39  Chris Hanson <edu/mit/csail/cph>

	* configure.ac (1.18):

	Fix typo: "liarcc" -> "liarc".

2007-06-21 12:55  Chris Hanson <edu/mit/csail/cph>

	* microcode/fasdump.c (9.72):

	Don't align heap_start and constant_start when doing DISK-SAVE.  This
	is totally wrong -- I can't imagine why it ever worked.

2007-06-21 02:17  Taylor R. Campbell <net/mumble/campbell>

	* microcode/configure.ac (1.50):

	On OS X, for dynamically loadable modules, use `-bundle', not
	`-dynamiclib' when invoking `ld'.  The main difference is that dylibs
	don't work for our purposes on older versions of OS X, whereas bundles
	do, and are generally recommended for these purposes.  I've forgotten
	the technical details.

2007-06-18 19:58  Chris Hanson <edu/mit/csail/cph>

	* etc/: compile.scm (1.26), compile.scm (1.27):

	Prevent liarc from recompiling files that are up to date.

2007-06-18 13:31  Chris Hanson <edu/mit/csail/cph>

	* compiler/: machines/C/rules2.scm (1.10), rtlgen/opncod.scm
	  (4.81):

	Fix two bugs in the implementation of index-fixnum type checks.

2007-06-17 14:45  Chris Hanson <edu/mit/csail/cph>

	* Clean.sh (1.18):

	Remove makefiles_created on maintainer-clean.

2007-06-17 12:54  Chris Hanson <edu/mit/csail/cph>

	* compiler/: base/make.scm (4.130), machines/C/make.scm (1.12),
	  machines/alpha/make.scm (1.9), machines/i386/make.scm (1.11),
	  machines/spectrum/make.scm (4.95), machines/vax/make.scm (4.94):

	Change system ID for LIAR to show arch.

2007-06-15 22:32  Chris Hanson <edu/mit/csail/cph>

	* microcode/cmpintmd/none.h (1.3):

	Remove obsolete #defines that cause trouble for older gcc.

2007-06-15 22:14  Chris Hanson <edu/mit/csail/cph>

	* etc/create-makefiles.sh (1.3):

	Don't regenerate makefiles if they are already present and correct.

2007-06-15 14:09  Chris Hanson <edu/mit/csail/cph>

	* Makefile.in (1.45), etc/compile.sh (1.14), etc/make-in-subdirs.sh
	  (1.1), etc/make-liarc.sh (1.3), etc/make-native.sh (1.2):

	Make changes to support maintenance of liarc with installed liarc.
	Simplify top-level makefile.  Clean up boot-root and stamp files after
	finishing cross compilation.

2007-06-15 14:07  Chris Hanson <edu/mit/csail/cph>

	* etc/utilities.scm (1.7):

	If using installed liarc compiler, also use its utilities.

2007-06-15 14:05  Chris Hanson <edu/mit/csail/cph>

	* configure.ac (1.17):

	Eliminate now-unneeded "sos" link in "lib/".

2007-06-14 23:41  Chris Hanson <edu/mit/csail/cph>

	* Makefile.in (1.44), etc/make-native.sh (1.1):

	Get native-from-liarc compilation working (finally).

2007-06-14 23:40  Chris Hanson <edu/mit/csail/cph>

	* etc/: build-bands.sh (1.13), build-boot-compiler.sh (1.3),
	  c-compile.sh (1.8), compile-boot-compiler.sh (1.2), compile.sh
	  (1.13), c-prepare.sh (1.10), create-makefiles.sh (1.2),
	  functions.sh (1.9), install-bin-symlinks.sh (1.2),
	  make-liarc-dist.sh (1.2), make-liarc.sh (1.2), native-prepare.sh
	  (1.3):

	Create more flexible set of command functions in "etc/functions.sh",
	and change the shell files to use them.

2007-06-14 13:41  Chris Hanson <edu/mit/csail/cph>

	* compiler/base/crstop.scm (1.19):

	Eliminate now-unused procedures to finish cross compilation.

2007-06-14 13:39  Chris Hanson <edu/mit/csail/cph>

	* compiler/base/crsend.scm (1.18):

	Rename top-level procedures to FINISH-CROSS-COMPILATION:foo, and add
	new procedure FINISH-CROSS-COMPILATION:DIRECTORY.  Rewrite to update
	and style.

2007-06-14 09:31  Chris Hanson <edu/mit/csail/cph>

	* microcode/: fasl.c (11.2), fasl.h (9.45), fasload.c (9.104):

	Eliminate requirement that fasload files have the same
	HEAP_IN_LOW_MEMORY state as the microcode loading them.

2007-06-13 09:36  Chris Hanson <edu/mit/csail/cph>

	* Makefile.in (1.43), etc/compile.scm (1.25):

	Change SOS so that it's not a boot bundle.  Use cross compiler when
	building native system with liarc.

2007-06-13 09:34  Chris Hanson <edu/mit/csail/cph>

	* runtime/load.scm (14.96):

	Fix thinko: OBJECT-FILE-PREFIX must always be a URI.

2007-06-13 09:33  Chris Hanson <edu/mit/csail/cph>

	* compiler/base/asstop.scm (1.20), compiler/base/crstop.scm (1.18),
	  compiler/base/toplev.scm (4.75), compiler/machines/C/compiler.pkg
	  (1.29), compiler/machines/C/ctop.scm (1.31),
	  compiler/machines/i386/compiler.pkg (1.35), sf/butils.scm (4.17),
	  etc/Clean.sh (1.24):

	Resurrect the cross compiler.

2007-06-10 14:29  Chris Hanson <edu/mit/csail/cph>

	* etc/make-liarc-dist.sh (1.1):

	Initial revision.

2007-06-08 22:42  Chris Hanson <edu/mit/csail/cph>

	* etc/: compile.scm (1.24), utilities.scm (1.6):

	Implement COMPILER-MAKE-FILE to determine the correct "make" file to
	load based on the contents of the "compiler/machine" symlink.

2007-06-08 22:37  Chris Hanson <edu/mit/csail/cph>

	* etc/: compile.scm (1.23), c-prepare.sh (1.9), native-prepare.sh
	  (1.2):

	Eliminate COMPILE-BOOTSTRAP-3 by moving its contents into C-PREPARE
	and NATIVE-PREPARE, each of which needs more specific initialization.

2007-06-08 21:22  Chris Hanson <edu/mit/csail/cph>

	* Makefile.in (1.42), Setup.sh (1.27), edwin/Makefile-fragment
	  (1.4), edwin/paths.scm (1.21), runtime/infutl.scm (1.73),
	  runtime/Makefile-fragment (1.4), runtime/optiondb.scm (1.20),
	  runtime/option.scm (14.57):

	Rationalize arrangement of library directory.  Rename "options" to
	"runtime"; move contents of "edwin/autoload" and "edwin/etc" to
	"edwin" and eliminate those now-empty directories; and eliminate "SRC"
	by moving its contents into "edwin" and "runtime".

2007-06-08 21:19  Chris Hanson <edu/mit/csail/cph>

	* etc/compile.scm (1.22):

	Make sure "sos" is consistently treated as a boot dir.

2007-06-08 21:19  Chris Hanson <edu/mit/csail/cph>

	* etc/c-prepare.sh (1.8):

	Add "--stack 200" to compiler options.

2007-06-08 02:03  Chris Hanson <edu/mit/csail/cph>

	* Clean.sh (1.17), configure.ac (1.16), Makefile.in (1.41),
	  compiler/choose-machine.sh (1.2), etc/build-boot-compiler.sh
	  (1.2), etc/compile.scm (1.21), etc/make-liarc.sh (1.1),
	  etc/optiondb.scm (1.22), etc/utilities.scm (1.5),
	  microcode/configure.ac (1.49):

	Redesign the liarc compilation strategy again.  The new strategy has
	two features: (1) it uses a shell script to control the compilation
	sequence, rather than trying to get make to do the job; and (2) it
	creates the second bootstrap compiler by installing it into a
	subdirectory, which isolates it from the state of the build tree.

2007-06-08 01:58  Chris Hanson <edu/mit/csail/cph>

	* compiler/base/make.scm (4.129):

	Don't use WITH-LOADER-BASE-URI here -- it doesn't work correctly.  For
	the moment, I'm reverting the change, until I figure out the right
	fix.

2007-06-07 11:12  Chris Hanson <edu/mit/csail/cph>

	* runtime/runtime.pkg (14.619):

	Export ADD-PRIMITIVE-GC-DAEMON! to global.

2007-06-07 11:11  Chris Hanson <edu/mit/csail/cph>

	* runtime/gcdemn.scm (14.13):

	Eliminate trailing whitespace.

2007-06-06 16:03  Chris Hanson <edu/mit/csail/cph>

	* 6001/make.scm (15.41), compiler/base/make.scm (4.128),
	  cref/make.scm (1.33), imail/load.scm (1.50), rcs/load.scm (1.9),
	  sf/make.scm (4.49), sos/load.scm (1.21), ssp/load.scm (1.11),
	  star-parser/load.scm (1.23), win32/make.scm (1.19), xdoc/load.scm
	  (1.8), xml/load.scm (1.22):

	Use WITH-LOADER-BASE-URI in all the subsystem loaders.

2007-06-06 15:42  Chris Hanson <edu/mit/csail/cph>

	* Makefile.in (1.40), Setup.sh (1.26), configure.ac (1.15),
	  compiler/choose-machine.sh (1.1), compiler/configure (1.18),
	  compiler/machines/C/compiler.pkg (1.28),
	  compiler/machines/C/cout.scm (1.41), compiler/machines/C/ctop.scm
	  (1.30), compiler/machines/C/make.scm (1.11), cref/make.scm
	  (1.32), edwin/make.scm (3.124), etc/build-bands.sh (1.12),
	  etc/build-boot-compiler.sh (1.1), etc/c-boot-compiler-2.sh (1.2),
	  etc/c-boot-compiler.sh (1.8), etc/c-bundle.sh (1.6),
	  etc/c-prepare.sh (1.7), etc/compile-boot-compiler.sh (1.1),
	  etc/compile.scm (1.20), etc/create-makefiles.sh (1.1),
	  etc/native-prepare.sh (1.1), etc/optiondb.scm (1.21),
	  etc/std-makefile-prefix (1.3), etc/utilities.scm (1.4),
	  imail/load.scm (1.49), microcode/comutl.c (1.39),
	  microcode/configure.ac (1.48), microcode/extract-liarc-decls.c
	  (9.1), microcode/fasload.c (9.103), microcode/liarc.h (1.31),
	  microcode/pruxdld.c (1.25), microcode/cmpauxmd/c.c (1.23),
	  microcode/cmpintmd/c.h (1.14), microcode/makegen/Makefile.in.in
	  (1.58), microcode/makegen/liarc-base-rules (1.5),
	  runtime/input.scm (14.35), runtime/io.scm (14.87),
	  runtime/load.scm (14.95), runtime/make.scm (14.111),
	  runtime/option.scm (14.56), runtime/packag.scm (14.55),
	  runtime/pathnm.scm (14.53), runtime/runtime.pkg (14.618),
	  runtime/utabs.scm (14.26), sf/make.scm (4.48), sos/load.scm
	  (1.20), ssp/load.scm (1.10), star-parser/load.scm (1.22),
	  xdoc/load.scm (1.7), xml/load.scm (1.21):

	Reorganize the Scheme loader to simplify it so that I can understand
	what it's doing.  In the process, the LOAD-NOISILY and LOAD-NEWEST
	_features_ have been eliminated, although the procedures remain as
	aliases for LOAD.

	New procedures FILE-LOADABLE? and FILE-FASLOADABLE? test whether a
	particular file is one that LOAD or FASLOAD (respectively) knows how
	to handle.  New procedures SYSTEM-URI, SYSTEM-LIBRARY-URI, and
	WITH-LOADER-BASE-URI provide a standard mechanism to refer to files in
	the system library directory.

	Eliminate DECLARE-SHARED-LIBRARY; register every .so file that's
	loaded, and reload it on disk-restore.

	Change the dynamic-loader interface to support unloading object files.
	Make sure that all loaded object files are unloaded on DISK-RESTORE.
	Implement low-level interface to the dynamic loader in
	"runtime/io.scm" and use that in "runtime/load.scm".  Implement new
	primitive LIARC-COMPILED-BLOCKS, to simplify examination of the
	compiled_blocks table.

	Change registration of .so files to use URIs rather than ad-hoc
	abbreviations.  Standard URIs refer to parts of the system, and are
	independent of the file-system details; file URIs refer to .so files
	stored in particular locations.

	Add an 8-byte random nonce to each .c file generated by liarc, so that
	the loader can tell if it's the same file as a previously loaded one.
	Write new program gen-nonce for use by c-bundle.sh.

	Move makefile creation from Setup.sh to configure, so that it can
	depend on the architecture.

	Rewrite parts of "Makefile.in" and "etc/compile.scm" to support
	compiling a native-code system using liarc.  Change
	"etc/utilities.scm" to support liarc when it is installed as well as
	when it is being built.

	Write new program extract-liarc-decls for c-bundle.sh to use, in place
	of of grep.  This program rewrites each declaration to specialize it
	for bundling.

2007-06-06 15:41  Chris Hanson <edu/mit/csail/cph>

	* microcode/uxfs.c (1.31):

	Make sure that all open directory handles are closed on DISK-RESTORE.

2007-06-06 15:39  Chris Hanson <edu/mit/csail/cph>

	* runtime/unxpth.scm (14.34):

	Rewrite PATHNAME-SIMPLIFY so that it better handles the case where
	part of the pathname refers to non-existing file structure.

2007-06-06 15:29  Chris Hanson <edu/mit/csail/cph>

	* microcode/utils.c (9.91):

	Change error_with_argument() to signal ERR_IN_SYSTEM_CALL when
	appropriate.

2007-06-06 15:14  Chris Hanson <edu/mit/csail/cph>

	* compiler/base/toplev.scm (4.74):

	Make sure that the values of *COMPILER-INPUT-PATHNAME* and
	*COMPILER-OUTPUT-PATHNAME* are absolute pathnames.

2007-06-05 22:53  Chris Hanson <edu/mit/csail/cph>

	* runtime/wrkdir.scm (14.13):

	Don't signal error if new working directory doesn't exist.  This can
	sometimes be OK.

2007-06-02 23:49  Chris Hanson <edu/mit/csail/cph>

	* runtime/boole.scm (14.9):

	Signal error if THERE-EXISTS? or FOR-ALL? is given a non-list
	argument.

2007-05-23 13:18  Chris Hanson <edu/mit/csail/cph>

	* microcode/gen-nonce.c (1.1):

	Initial revision.

2007-05-21 13:33  Chris Hanson <edu/mit/csail/cph>

	* runtime/: option.scm (14.55), pathnm.scm (14.52):

	Add optional REQUIRED? arguments to SYSTEM-LIBRARY-PATHNAME and
	SYSTEM-LIBRARY-DIRECTORY-PATHNAME.  When new arg not supplied, each
	behaves as it used to.

2007-05-19 22:02  Chris Hanson <edu/mit/csail/cph>

	* microcode/pruxdld.c (1.24):

	While loading a shared object file, remember the file name so that it
	can be used by liarc declarations.

2007-05-19 21:55  Chris Hanson <edu/mit/csail/cph>

	* runtime/load.scm (14.94):

	Make sure that notifications for built-in object files are
	"initialized" rather than "loaded".

2007-05-19 21:52  Chris Hanson <edu/mit/csail/cph>

	* runtime/packag.scm (14.54):

	Don't bother calling BUILT-IN-OBJECT-FILE; it's already being done by
	FASLOAD.

2007-05-19 21:51  Chris Hanson <edu/mit/csail/cph>

	* compiler/machines/C/ctop.scm (1.29):

	Change notification messages for liarc-cc and liarc-ld to reduce
	clutter.

2007-05-16 15:24  Taylor R. Campbell <net/mumble/campbell>

	* runtime/mit-syntax.scm (14.31):

	Add SRFI-62 to the list of features, and add an identifying comment to
	each SRFI feature.

2007-05-15 01:23  Chris Hanson <edu/mit/csail/cph>

	* etc/utilities.scm (1.3):

	Fix bug: edwin bundle was missing "make".

2007-05-15 01:15  Chris Hanson <edu/mit/csail/cph>

	* microcode/makegen/Makefile.in.in (1.57):

	Make sure liarc-cc and liarc-ld get installed.

2007-05-15 01:02  Chris Hanson <edu/mit/csail/cph>

	* configure.ac (1.14), Makefile.in (1.39), etc/utilities.scm (1.2):

	Fix bug: "make install" wasn't installing liarc bundles.

2007-05-14 21:49  Chris Hanson <edu/mit/csail/cph>

	* cref/Makefile-fragment (1.2), imail/Makefile-fragment (1.2),
	  sf/Makefile-fragment (1.2), sos/Makefile-fragment (1.2),
	  ssp/Makefile-fragment (1.2), star-parser/Makefile-fragment (1.2),
	  xdoc/Makefile-fragment (1.2), xml/Makefile-fragment (1.2):

	Eliminate misguided whitespace formatting.

2007-05-14 21:46  Chris Hanson <edu/mit/csail/cph>

	* edwin/Makefile-fragment (1.3), runtime/Makefile-fragment (1.3):

	Fix mis-quoted variable references in install rules.

2007-05-14 21:27  Chris Hanson <edu/mit/csail/cph>

	* sos/class.scm (1.20):

	<number> should be subclass of <object>, not <instance>.  Thanks
	Taylor.

2007-05-14 12:50  Chris Hanson <edu/mit/csail/cph>

	* Clean.sh (1.16), configure.ac (1.13), Makefile.in (1.38),
	  Setup.sh (1.25), 6001/Makefile-fragment (1.1),
	  compiler/Makefile-fragment (1.1), compiler/machines/C/ctop.scm
	  (1.28), edwin/Clean.sh (1.16), edwin/Makefile-fragment (1.2),
	  etc/build-bands.sh (1.11), etc/c-boot-compiler-2.sh (1.1),
	  etc/c-bundle.sh (1.5), etc/c-compile.sh (1.7), etc/Clean.sh
	  (1.23), etc/compile.scm (1.19), etc/functions.sh (1.8),
	  etc/Setup.sh (1.14), etc/std-makefile-prefix (1.2),
	  etc/std-makefile-suffix (1.2), etc/utilities.scm (1.1),
	  microcode/configure.ac (1.47), microcode/liarc-cc.in (1.3),
	  microcode/liarc.h (1.30), microcode/liarc-ld.in (1.2),
	  microcode/makegen/liarc-base-rules (1.4),
	  microcode/makegen/Makefile.in.in (1.56),
	  microcode/makegen/makegen.scm (1.24), runtime/Makefile-fragment
	  (1.2), sf/Makefile-fragment (1.1), win32/Makefile-fragment (1.1),
	  Makefile.std (1.16), etc/build-runtime.sh (1.3):

	Move building of LIARC bundles into their respective directories.
	Create bundle file lists from .pkg files rather than from directory
	listings.

	Change "make c" to "make liarc-dist".  Restructure top-level makefile
	to generate "liarc-dist" in distinct stages: (1) build a compiler in
	the directory "boot-lib"; (2) run c-clean to discard all .c files; and
	(3) rebuild everything using boot-lib compiler.

	Delete "Makefile.std"; generate all subdirectory makefiles (except
	microcode) using "Makefile-fragment" and standard prefix/suffix.
	Rename COMPILE_FOR_DYNAMIC_LOADING to ENABLE_LIARC_FILE_INIT.  Don't
	build 6001 or xdoc subdirs.  Use -fPIC only for shared objects, not
	for scheme executable.  Make sure -fPIC is given to linker as well as
	compiler.

2007-05-14 12:49  Chris Hanson <edu/mit/csail/cph>

	* compiler/machines/C/: compiler.pkg (1.27), cout.scm (1.40):

	Simplify naming; guarantee that nonces are present in all exported
	symbols.

2007-05-13 08:22  Chris Hanson <edu/mit/csail/cph>

	* etc/Clean.sh (1.22):

	Fix bug: "Makefile.in" is cleaned by maintainer-clean, not by
	distclean.

2007-05-10 12:44  Chris Hanson <edu/mit/csail/cph>

	* etc/c-boot-compiler.sh (1.7):

	Fix copyright statement.

2007-05-09 23:45  Chris Hanson <edu/mit/csail/cph>

	* cref/triv.pkg (1.12):

	Forgot to update "triv.pkg" to match change to "cref.pkg".

2007-05-09 23:45  Chris Hanson <edu/mit/csail/cph>

	* cref/redpkg.scm (1.33):

	A couple of tweaks so that CREF/PACKAGE-FILES doesn't generate errors.

2007-05-09 16:01  Chris Hanson <edu/mit/csail/cph>

	* Makefile.in (1.37), Setup.sh (1.24), cref/Makefile-fragment
	  (1.1), cref/Makefile.in (1.10), edwin/Makefile-fragment (1.1),
	  edwin/Makefile.in (1.14), etc/Clean.sh (1.21),
	  etc/std-makefile-prefix (1.1), etc/std-makefile-suffix (1.1),
	  imail/Makefile-fragment (1.1), imail/Makefile.in (1.10),
	  microcode/makegen/Makefile.in.in (1.55),
	  runtime/Makefile-fragment (1.1), runtime/Makefile.in (1.14),
	  sos/Makefile-fragment (1.1), sos/Makefile.in (1.10),
	  ssp/Makefile-fragment (1.1), ssp/Makefile.in (1.7),
	  star-parser/Makefile-fragment (1.1), star-parser/Makefile.in
	  (1.9), xdoc/Makefile-fragment (1.1), xdoc/Makefile.in (1.6),
	  xml/Makefile-fragment (1.1), xml/Makefile.in (1.10):

	Generate most of the Makefile.in files from fragments and boilerplate.
	Replace "top_builddir = ." with "top_builddir = @top_builddir@" in all
	configured makefiles, since autoconf now provides a reasonable default
	for these.

2007-05-09 15:12  Chris Hanson <edu/mit/csail/cph>

	* microcode/liarc-cc.in (1.2):

	Fix typo: missing "-c".

2007-05-08 22:05  Chris Hanson <edu/mit/csail/cph>

	* configure.ac (1.12), Setup.sh (1.23),
	  compiler/machines/C/compiler.pkg (1.26),
	  compiler/machines/C/ctop.scm (1.27), microcode/configure.ac
	  (1.46), microcode/liarc-cc.in (1.1), microcode/liarc-ld.in (1.1),
	  microcode/makegen/Makefile.in.in (1.54):

	Restructure liarc to use shell scripts to compile and link its C
	output files.  These scripts are customized by the microcode's
	configure script to have the right invocations.  Removing this
	knowledge from the compiler eliminates redundancy.

2007-05-08 21:56  Chris Hanson <edu/mit/csail/cph>

	* cref/toplev.scm (1.29):

	Forgot to change calls to FORMAT-PACKAGES and FORMAT-PACKAGES-UNUSUAL.

2007-05-08 21:55  Chris Hanson <edu/mit/csail/cph>

	* cref/: cref.pkg (1.15), forpkg.scm (1.15), toplev.scm (1.28):

	Implement CREF/PACKAGE-FILES to extract a list of filenames from a
	.pkg file.  Update some of the code, particularly in "forpkg.scm".

2007-05-08 08:54  Chris Hanson <edu/mit/csail/cph>

	* Makefile.in (1.36), configure.ac (1.11), etc/c-boot-compiler.sh
	  (1.6), etc/c-prepare.sh (1.6):

	Restructure top-level makefile to have different targets for C and
	native compilation.

2007-05-07 01:32  Chris Hanson <edu/mit/csail/cph>

	* runtime/unicode.scm (1.33):

	Fix bug: CODE-POINTS->ALPHABET wasn't storing high-valued code points
	correctly.  This had no effect on correctness, but had a space and
	time cost.

2007-05-06 10:16  Chris Hanson <edu/mit/csail/cph>

	* Clean.sh (1.15), Makefile.in (1.35), etc/c-boot-compiler.sh
	  (1.5), etc/c-compile.sh (1.6), etc/compile.scm (1.18),
	  etc/compile.sh (1.12), etc/c-prepare.sh (1.5):

	Restructure the build scripts to allow building a native system from a
	liarc system.  More work needs to be done, but these changes don't
	break the other builds.

2007-05-06 00:45  Chris Hanson <edu/mit/csail/cph>

	* Setup.sh (1.22):

	Create "lib/include" to allow liarc compilation outside of the
	microcode directory.

2007-05-06 00:43  Chris Hanson <edu/mit/csail/cph>

	* microcode/: configure.ac (1.45), makegen/Makefile.in.in (1.53):

	Add "install-include" rule to create the "lib/include" directory for
	liarc.

2007-05-05 20:01  Chris Hanson <edu/mit/csail/cph>

	* microcode/makegen/makegen.scm (1.23):

	Fix typo.

2007-05-04 15:34  Chris Hanson <edu/mit/csail/cph>

	* etc/: c-compile.sh (1.5), c-bundle.sh (1.4), c-prepare.sh (1.4):

	Fix FSF address.

2007-05-04 14:51  Chris Hanson <edu/mit/csail/cph>

	* etc/c-bundle.sh (1.3):

	Eliminate support for microcode v14.

2007-05-03 21:27  Chris Hanson <edu/mit/csail/cph>

	* configure.ac (1.10), Makefile.in (1.34):

	Fix typo: we no longer have "etc/c-build-bands.sh".

2007-05-03 21:26  Chris Hanson <edu/mit/csail/cph>

	* etc/compile.scm (1.17):

	Fix several bugs in the "etc/compile.scm" rewrite.

2007-05-03 21:26  Chris Hanson <edu/mit/csail/cph>

	* etc/build-runtime.sh (1.2):

	Fix typo: missing value for --fasl option.

2007-05-03 21:24  Chris Hanson <edu/mit/csail/cph>

	* compiler/configure (1.17):

	Make sure "compiler/machine" link is made properly.

2007-05-03 14:53  Chris Hanson <edu/mit/csail/cph>

	* etc/compile.scm (1.16):

	C-PREPARE must compile "microcode/utabmd".

2007-05-03 08:49  Chris Hanson <edu/mit/csail/cph>

	* etc/compile.scm (1.15):

	Conditionally compile .pkd files.  Fix typos.

2007-05-03 08:48  Chris Hanson <edu/mit/csail/cph>

	* compiler/configure (1.16):

	Link "make.com" even for liarc.

2007-05-03 08:48  Chris Hanson <edu/mit/csail/cph>

	* compiler/Clean.sh (1.19):

	Tweak echo line to be more specific.

2007-05-02 23:49  Chris Hanson <edu/mit/csail/cph>

	* microcode/makegen/: liarc-base-rules (1.3), makegen.scm (1.22):

	"etc/c-bundle.sh" is now executable, so we can call it directly rather
	than invoking it via the shell.

2007-05-02 23:45  Chris Hanson <edu/mit/csail/cph>

	* etc/: build-bands.sh (1.10), build-runtime.sh (1.1),
	  c-boot-compiler.sh (1.4), c-build-bands.sh (1.4), c-compile.scm
	  (1.2), c-compile.sh (1.4), c-initial-bands.sh (1.7),
	  c-prepare.scm (1.2), c-prepare.sh (1.3), compile.scm (1.14),
	  compile.sh (1.11):

	Rewrite code to compile Scheme files; now "etc/compile.scm" contains
	all of the compilation programs.  Each shell script loads
	"etc/compile.scm" and invokes the appropriate entry point.
	Additionally, differences between native compilation and liarc
	compilation have been integrated, so that there are now fewer
	necessary scripts.

2007-05-02 23:40  Chris Hanson <edu/mit/csail/cph>

	* Clean.sh (1.14), Makefile.in (1.33), compiler/Clean.sh (1.18),
	  edwin/Clean.sh (1.15), etc/Clean.sh (1.20), etc/functions.sh
	  (1.7):

	Change "Clean.sh" files to use common shell function to manage file removal.

2007-05-02 23:35  Chris Hanson <edu/mit/csail/cph>

	* compiler/configure (1.15):

	Don't clean "make.dylib"; we don't generate it any more.

2007-05-02 09:51  Chris Hanson <edu/mit/csail/cph>

	* etc/install-bin-symlinks.sh (1.1),
	  microcode/makegen/Makefile.in.in (1.52):

	Set up "scheme" and "bchscheme" symlinks properly when installing.

2007-05-02 09:50  Chris Hanson <edu/mit/csail/cph>

	* etc/: c-initial-bands.sh (1.6), optiondb.scm (1.20):

	Fix "(load-option 'compiler)" to work right with liarc.

2007-05-02 09:50  Chris Hanson <edu/mit/csail/cph>

	* etc/c-compile.sh (1.3):

	Simplify: no need for SCHEME_COMPILER variable since this script
	should always use the compiler we just built.

2007-05-02 09:49  Chris Hanson <edu/mit/csail/cph>

	* etc/build-bands.sh (1.9):

	Eliminate unnecessary "(load-option 'sf)".

2007-05-01 23:58  Chris Hanson <edu/mit/csail/cph>

	* Clean.sh (1.13), Setup.sh (1.21), compiler/Clean.sh (1.17),
	  compiler/Setup.sh (1.10), edwin/Clean.sh (1.14), etc/Clean.sh
	  (1.19), etc/Setup.sh (1.13), microcode/Clean.sh (1.8),
	  microcode/Setup.sh (1.12), microcode/makegen/Makefile.in.in
	  (1.51):

	Change meaning of "make c-clean" to delete only those files created by
	"make c".  Clean up "Setup.sh" and "Clean.sh" scripts to use "set -e",
	to avoid gratuitous uses of "exit", and to have consistent quoting.

2007-05-01 20:11  Chris Hanson <edu/mit/csail/cph>

	* runtime/: runtime.pkg (14.617), utabs.scm (14.25):

	Add new variable MICROCODE-ID/COMPILED-CODE-TYPE.  Add optional ERROR?
	argument to MICROCODE-IDENTIFICATION-VECTOR-SLOT and
	MICROCODE-IDENTIFICATION-ITEM.

2007-05-01 20:09  Chris Hanson <edu/mit/csail/cph>

	* microcode/boot.c (9.129):

	Handle case where cc-arch isn't known.  Change cc-arch names to match
	the names used in "cmpintmd/".

2007-05-01 20:07  Chris Hanson <edu/mit/csail/cph>

	* microcode/string.c (9.55):

	Simplify char_pointer_to_string.

2007-05-01 15:52  Chris Hanson <edu/mit/csail/cph>

	* microcode/: boot.c (9.128), utabmd.scm (9.94):

	Add identification item for compiled-code architecture.

2007-05-01 10:12  Chris Hanson <edu/mit/csail/cph>

	* runtime/genio.scm (1.52):

	Eliminate output optimization for binary; it was breaking column
	tracking.

2007-05-01 10:09  Chris Hanson <edu/mit/csail/cph>

	* microcode/makegen/makegen.scm (1.21):

	Use output port's column tracking rather than computing it ourselves.
	Simplify organization of code.

2007-05-01 00:54  Chris Hanson <edu/mit/csail/cph>

	* Setup.sh (1.20), etc/c-initial-bands.sh (1.5), etc/optiondb.scm
	  (1.19), microcode/makegen/liarc-base-rules (1.2),
	  microcode/makegen/Makefile.in.in (1.50),
	  microcode/makegen/makegen.scm (1.20), runtime/option.scm (14.54):

	Eliminate "lib/shared"; move contents to "lib/lib".

2007-04-30 03:08  Chris Hanson <edu/mit/csail/cph>

	* configure.ac (1.9), microcode/configure.ac (1.44),
	  microcode/makegen/Makefile.in.in (1.49):

	Change liarc system to use "mit-scheme-c" as name of executable and of
	library directory.  Otherwise "mit-scheme" is used as before.  The
	installer needs some work to deal with symlinks for the "scheme" and
	"bchscheme" names.

2007-04-29 21:49  Chris Hanson <edu/mit/csail/cph>

	* etc/c-boot-compiler.sh (1.3):

	Increase heap size to eliminate weird compilation error.

2007-04-29 21:42  Chris Hanson <edu/mit/csail/cph>

	* etc/: build-bands.sh (1.8), c-build-bands.sh (1.3):

	Build only two bands: "runtime.com" and "all.com".  Others aren't
	nearly as useful as those two.

2007-04-29 21:36  Chris Hanson <edu/mit/csail/cph>

	* microcode/makegen/makeinit.sh (1.17):

	Pass --disable-native-code when setting up.

2007-04-29 21:35  Chris Hanson <edu/mit/csail/cph>

	* microcode/makegen/makegen.scm (1.19):

	Eliminate use of $(^:.o=.c) which is a GNU make extension.

2007-04-29 16:46  Chris Hanson <edu/mit/csail/cph>

	* etc/c-prepare.sh (1.2):

	Bump heap size so that compilation finishes.

2007-04-29 16:19  Chris Hanson <edu/mit/csail/cph>

	* compiler/machines/: i386/decls.scm (1.18), C/decls.scm (1.14):

	"base/scode" no longer produces a .ext file.

2007-04-29 16:17  Chris Hanson <edu/mit/csail/cph>

	* compiler/fgopt/simapp.scm (4.15):

	Fix typo in previous change.

2007-04-29 16:16  Chris Hanson <edu/mit/csail/cph>

	* compiler/: back/linear.scm (4.22), fgopt/blktyp.scm (4.21),
	  fgopt/simapp.scm (4.14), rtlgen/rgproc.scm (4.19):

	Eliminate useless compiler warnings.

2007-04-29 15:48  Chris Hanson <edu/mit/csail/cph>

	* cref/redpkg.scm (1.32):

	Fix typo: reverse sense of flag passed to FASLOAD.

2007-04-29 15:25  Chris Hanson <edu/mit/csail/cph>

	* runtime/boot.scm (14.28), runtime/gc.scm (14.26),
	  runtime/global.scm (14.79), runtime/runtime.pkg (14.616),
	  runtime/uerror.scm (14.57), sf/gconst.scm (4.36):

	Eliminate runtime support for pure space, which no longer exists.

2007-04-29 15:23  Chris Hanson <edu/mit/csail/cph>

	* microcode/utabmd.scm (9.93):

	Eliminate now-unused error code.

2007-04-29 14:39  Chris Hanson <edu/mit/csail/cph>

	* compiler/machines/: i386/decls.scm (1.17), C/decls.scm (1.13):

	Clean up output; use WITH-NOTIFICATION-LINE to normalize it.

2007-04-29 14:38  Chris Hanson <edu/mit/csail/cph>

	* compiler/configure (1.14), microcode/configure.ac (1.43):

	More tweaks to make liarc.stamp work right.

2007-04-29 14:26  Chris Hanson <edu/mit/csail/cph>

	* runtime/boot.scm (14.27):

	Fix typos in previous change.

2007-04-29 14:24  Chris Hanson <edu/mit/csail/cph>

	* cref/: anfile.scm (1.12), redpkg.scm (1.31):

	Suppress loading/dumping messages for most files.

2007-04-29 14:01  Chris Hanson <edu/mit/csail/cph>

	* Clean.sh (1.12), Makefile.in (1.32), configure.ac (1.8):

	After "make c" completes, generate a file "liarc.stamp" and use that
	file to change the default value of "--enable-native-code" in
	"./configure".

2007-04-29 13:56  Chris Hanson <edu/mit/csail/cph>

	* etc/Clean.sh (1.18):

	Eliminate unused ${FULL}.

2007-04-27 21:58  Chris Hanson <edu/mit/csail/cph>

	* microcode/configure.ac (1.42):

	Signal error if liarc used without dynamic library support.

2007-04-25 10:06  Chris Hanson <edu/mit/csail/cph>

	* runtime/boot.scm (14.26):

	Eliminate distinction between pure and constant.

2007-04-24 01:31  Chris Hanson <edu/mit/csail/cph>

	* microcode/: cmpint.c (1.110), cmpint.h (10.16), extern.h (9.70),
	  ntapi.h (1.21), ntgui.c (1.35), ntsig.c (1.28), nttrap.c (1.31),
	  outf.c (1.18), cmpintmd/i386.h (1.41), ntutl/makefile.wcc (1.25),
	  ntutl/wconfig.bat (1.6):

	Changes to get v15 working in win32.

2007-04-22 14:04  Chris Hanson <edu/mit/csail/cph>

	* microcode/: configure.ac (1.41), ntutl/config.h (1.15),
	  os2utl/config.h (1.13):

	Bump version number.

2007-04-22 12:41  Chris Hanson <edu/mit/csail/cph>

	* microcode/makegen/Makefile.in.in (1.48):

	When installing, create symlink from bchscheme to scheme.

2007-04-22 12:40  Chris Hanson <edu/mit/csail/cph>

	* microcode/fasload.c (9.102):

	Must conditionalize references to memory_base.

2007-04-22 12:31  Chris Hanson <edu/mit/csail/cph>

	* microcode/: ansidecl.h (1.10), array.c (9.51), array.h (9.41),
	  artutl.c (1.21), avltree.c (1.11), avltree.h (1.10), bchdmp.c
	  (9.95), bchdrn.c (1.15), bchdrn.h (1.15), bchgcc.h (9.68),
	  bchgcl.c (9.59), bchmmg.c (9.110), bchpur.c (9.77), bchutl.c
	  (1.18), bignmint.h (1.11), bignum.c (9.57), bignum.h (9.36),
	  bigprm.c (1.11), bintopsb.c (9.82), bitstr.c (9.69), bitstr.h
	  (1.15), bkpt.c (9.37), bkpt.h (9.39), bltdef.h (1.9), boot.c
	  (9.127), breakup.c (9.30), char.c (9.38), cmpgc.h (1.37),
	  cmpint.c (1.109), cmpint.h (10.15), cmptype.h (1.9), comlin.c
	  (1.15), comlin.h (1.12), comutl.c (1.38), config.sub (11.7),
	  configure.ac (1.40), confshared.h (11.12), const.h (9.56),
	  copyrigh.c (1.8), critsec.h (1.9), daemon.c (9.37), debug.c
	  (9.61), default.h (9.50), dfloat.c (1.11), dmpwrld.c (9.46),
	  dstack.h (1.16), dump.c (9.45), edwin.h (1.15), error.c (1.13),
	  errors.h (9.49), extern.c (9.44), extern.h (9.69), fasdump.c
	  (9.71), fasl.c (11.1), fasl.h (9.44), fasload.c (9.101), fft.c
	  (9.38), fhooks.c (9.40), findprim.c (9.61), fixnum.c (9.49),
	  fixobj.h (9.43), flonum.c (9.48), foreign.c (1.10), foreign.h
	  (1.8), future.c (9.34), futures.h (9.35), gc.h (9.39), gccode.h
	  (9.63), gcloop.c (9.54), gctype.c (9.39), generic.c (9.44),
	  getpgsz.h (1.2), gpio.c (1.16), hard-par.c (1.3), history.h
	  (9.37), hooks.c (9.69), hppacach.c (1.18), hunk.c (9.34), image.c
	  (9.40), image.h (9.30), intercom.c (9.39), intern.c (9.67),
	  interp.c (9.106), interp.h (9.53), intext.c (1.10), intext.h
	  (1.10), intprm.c (1.15), intrpt.h (1.27), liarc.h (1.29), list.c
	  (9.38), load.c (9.48), locks.h (9.31), lookprm.c (1.24), lookup.c
	  (9.75), memmag.c (9.77), memmag.h (1.13), missing.c (9.38), mul.c
	  (9.40), nt.h (1.14), ntenv.c (1.24), ntfs.c (1.34), ntgui.c
	  (1.34), ntio.c (1.35), ntio.h (1.17), ntscmlib.h (1.15),
	  ntscreen.c (1.55), ntscreen.h (1.26), ntsig.c (1.27), ntsys.c
	  (1.14), nttop.c (1.40), nttrap.c (1.30), nttrap.h (1.10),
	  nttterm.c (1.10), nttty.c (1.13), object.h (9.65), obstack.c
	  (1.10), obstack.h (1.16), option.c (1.65), option.h (1.19), os.h
	  (1.13), os2.c (1.14), os2.h (1.13), os2env.c (1.19), os2fs.c
	  (1.19), os2msg.c (1.20), os2msg.h (1.21), os2pmcon.c (1.34),
	  os2term.c (1.9), os2top.c (1.26), os2tty.c (1.7), os2xcpt.c
	  (1.19), osctty.h (1.9), osenv.h (1.15), osfile.h (1.9), osfs.h
	  (1.15), osio.h (1.22), osproc.h (1.15), ospty.h (1.9), osscheme.c
	  (1.18), osscheme.h (1.17), osterm.h (1.16), ostop.h (1.10),
	  ostty.c (1.9), ostty.h (1.10), outf.c (1.17), outf.h (1.10),
	  pagesize.h (9.39), ppband.c (9.69), prbfish.c (1.17), prdb4.c
	  (1.8), prgdbm.c (1.11), prim.c (9.49), prim.h (9.53), prims.h
	  (9.57), primutl.c (9.84), prmcon.c (1.10), prmcon.h (1.9),
	  prmcrypt.c (1.10), prmd5.c (1.12), prmhash.c (11.12), prntenv.c
	  (1.16), prntfs.c (1.22), prntio.c (1.18), pros2fs.c (1.23),
	  pros2io.c (1.16), pros2pm.c (1.27), prosenv.c (1.23), prosfile.c
	  (1.15), prosfs.c (1.23), prosio.c (1.28), prosproc.c (1.25),
	  prospty.c (1.10), prosterm.c (1.21), prostty.c (1.13), prpgsql.c
	  (1.14), pruxdld.c (1.23), pruxenv.c (1.27), pruxfs.c (9.62),
	  pruxio.c (1.13), pruxsock.c (1.28), psbmap.h (9.50), psbtobin.c
	  (9.67), ptrvec.c (1.9), purify.c (9.68), purutl.c (9.57), regex.c
	  (1.25), regex.h (1.12), returns.h (9.48), rgxprim.c (1.19),
	  sample.c (9.31), scheme.h (9.45), scode.h (9.32), sdata.h (9.45),
	  sgraph.h (1.12), sgraph_a.c (1.22), sgx.c (1.14), sgx11.c (1.9),
	  stack.h (9.47), stackops.h (11.4), starbase.c (1.12), starbasx.c
	  (1.11), step.c (9.42), storage.c (9.63), string.c (9.54),
	  svm1-defns.h (11.1), svm1-interp.c (11.1), syntax.c (1.39),
	  syntax.h (1.17), syscall.h (1.21), sysprim.c (9.55), term.c
	  (1.24), termcap.c (1.10), terminfo.c (1.9), tparam.c (1.10),
	  transact.c (1.10), trap.h (9.54), tterm.c (1.21), types.h (9.43),
	  unexec.c (9.27), unexhppa.c (1.2), unstackify.c (11.5), usrdef.h
	  (9.49), utabmd.scm (9.92), utils.c (9.90), ux.c (1.32), ux.h
	  (1.83), uxctty.c (1.19), uxenv.c (1.26), uxfile.c (1.16), uxfs.c
	  (1.30), uxio.c (1.57), uxio.h (1.10), uxproc.c (1.35), uxselect.h
	  (1.11), uxsig.c (1.49), uxsig.h (1.13), uxsock.c (1.36), uxsock.h
	  (1.16), uxterm.c (1.34), uxterm.h (1.10), uxtop.c (1.36), uxtop.h
	  (1.8), uxtrap.c (1.46), uxtrap.h (1.39), uxtty.c (1.16), uxutil.c
	  (1.12), uxutil.h (1.8), uxyp.c (1.8), uxyp.h (1.2), vector.c
	  (9.45), wabbit.c (1.14), wind.c (1.12), winder.h (9.31), wsize.c
	  (9.39), x11.h (1.24), x11base.c (1.94), x11color.c (1.10),
	  x11graph.c (1.46), x11term.c (1.35), xdebug.c (9.40), zones.h
	  (9.31), cmpauxmd/c.c (1.22), cmpauxmd/i386.m4 (1.67),
	  cmpintmd/alpha.h (1.9), cmpintmd/c-config.h (1.2), cmpintmd/c.c
	  (1.2), cmpintmd/c.h (1.13), cmpintmd/hppa.h (1.57),
	  cmpintmd/i386-config.h (1.2), cmpintmd/i386.c (1.2),
	  cmpintmd/i386.h (1.40), cmpintmd/mc68k.h (1.41), cmpintmd/mips.h
	  (1.28), cmpintmd/none-config.h (1.2), cmpintmd/none.c (1.2),
	  cmpintmd/none.h (1.2), cmpintmd/svm1-config.h (1.2),
	  cmpintmd/svm1.c (1.2), cmpintmd/svm1.h (1.2), cmpintmd/vax.h
	  (1.14), makegen/Makefile.in.in (1.47), makegen/files-core.scm
	  (1.7), makegen/files-gc-bch.scm (1.7), makegen/files-gc-std.scm
	  (1.7), makegen/files-optional.scm (1.9), makegen/files-other.scm
	  (1.9), ntutl/config.h (1.14), ntutl/ntgui.rc (1.14),
	  os2utl/config.h (1.12):

	Final merge from pre-v15 branch.

2007-04-20 22:51  Chris Hanson <edu/mit/csail/cph>

	* microcode/cmpauxmd/c.c (1.15.2.11):

	Fix typo in previous change.

2007-04-20 22:19  Chris Hanson <edu/mit/csail/cph>

	* microcode/: cmpint.c (1.103.2.19), cmpint.h (10.12.2.11),
	  fasload.c (9.96.2.21), gccode.h (9.60.2.14), gcloop.c
	  (9.51.2.23), cmpintmd/c.c (1.1.2.4), cmpintmd/c.h (1.9.2.6),
	  cmpintmd/i386.c (1.1.2.6), cmpintmd/i386.h (1.37.2.11),
	  cmpintmd/svm1.c (1.1.2.5), cmpintmd/svm1.h (1.1.2.12):

	Simplify initialization/reset sequences for compiled-code interface;
	revert previous change that caused disk-restore to fail on liarc.

	Change raw-address operations (e.g. read_uuo_target) to work directly
	with addresses rather than translating to and from objects.  This
	translation is different for fasload.

	The GC now has customizable operations for translating raw addresses
	to and from objects.  This allows LOAD-BAND to override the read
	translation so as to get the right behavior.

	LOAD-BAND must relocate addresses if memory_base is different in the
	band.  It also now reads pointers using the memory_base from the file,
	and writes them using memory_base from the microcode.

2007-04-20 22:04  Chris Hanson <edu/mit/csail/cph>

	* microcode/cmpauxmd/c.c (1.15.2.10):

	Fix two bugs: (1) declare_compiled_code_ns wasn't initializing the
	CODE_PROC field right, and (2) store_trampoline_insns was completely
	wrong due to my misunderstanding of the original design.

2007-04-20 22:01  Chris Hanson <edu/mit/csail/cph>

	* microcode/cmpauxmd/c.c (1.15.2.9):

	A bunch of name changes and some code reorganization to improve
	readability.

2007-04-20 21:44  Chris Hanson <edu/mit/csail/cph>

	* microcode/fasdump.c (9.68.2.20):

	Fix bug: DUMP-BAND was setting FASLHDR_HEAP_END to the wrong value.

2007-04-19 00:44  Chris Hanson <edu/mit/csail/cph>

	* microcode/gccode.h (9.60.2.13):

	Remove extra parens.

2007-04-18 16:27  Taylor R. Campbell <net/mumble/campbell>

	* edwin/lspcom.scm (1.166):

	Handle definitions that start at the beginning of the buffer in
	MARK-DEFUN command.

2007-04-17 10:35  Chris Hanson <edu/mit/csail/cph>

	* microcode/gcloop.c (9.51.2.22):

	Fix typo.

2007-04-17 08:30  Chris Hanson <edu/mit/csail/cph>

	* microcode/: cmpint.c (1.103.2.18), cmpauxmd/c.c (1.15.2.8),
	  cmpintmd/c.c (1.1.2.3), cmpintmd/c.h (1.9.2.5), cmpintmd/i386.c
	  (1.1.2.5):

	Fix several problems with liarc compiled-code interface.

2007-04-17 08:23  Chris Hanson <edu/mit/csail/cph>

	* microcode/: liarc.h (1.21.2.6), unstackify.c (11.1.2.3):

	Improve debugging support.

2007-04-17 08:22  Chris Hanson <edu/mit/csail/cph>

	* microcode/fasdump.c (9.68.2.19):

	Put back code to dump C code table.

2007-04-17 08:21  Chris Hanson <edu/mit/csail/cph>

	* microcode/makegen/: bundles-liarc.scm (1.1.2.2), Makefile.in.in
	  (1.25.2.20), makegen.scm (1.7.2.7):

	Update for new build strategy.

2007-04-17 08:19  Chris Hanson <edu/mit/csail/cph>

	* microcode/primutl.c (9.80.2.5):

	In make_primitive, make sure to copy the name if we will be keeping
	it.

2007-04-17 08:18  Chris Hanson <edu/mit/csail/cph>

	* microcode/boot.c (9.118.2.10):

	Eliminate now-unused FILE_READABLE.

2007-04-17 02:02  Chris Hanson <edu/mit/csail/cph>

	* compiler/machines/C/cout.scm (1.39), microcode/liarc.h (1.28),
	  microcode/unstackify.c (11.4):

	Tell unstackify how large the bytes block is.

2007-04-15 15:21  Chris Hanson <edu/mit/csail/cph>

	* compiler/machines/C/cout.scm (1.38):

	Use .so extension only when input file is a .bin file; otherwise use
	input file's extension.

2007-04-15 15:21  Chris Hanson <edu/mit/csail/cph>

	* etc/c-initial-bands.sh (1.4):

	Adapt to another change in built-in object handle naming.

2007-04-15 14:02  Chris Hanson <edu/mit/csail/cph>

	* compiler/machines/C/compiler.pkg (1.25):

	Forgot to export C-OUTPUT-EXTENSION.

2007-04-15 13:50  Chris Hanson <edu/mit/csail/cph>

	* runtime/load.scm (14.93):

	In FIND-PATHNAME, don't do built-in test for pathnames without types;
	that will be handled by LOAD/DEFAULT-FIND-PATHNAME-WITH-TYPE.

2007-04-15 13:43  Chris Hanson <edu/mit/csail/cph>

	* runtime/unxpth.scm (14.33):

	Tweak.

2007-04-15 13:38  Chris Hanson <edu/mit/csail/cph>

	* runtime/load.scm (14.92):

	Ignore .sl and .dylib file extensions; we're now using .so for all
	systems.

2007-04-15 13:36  Chris Hanson <edu/mit/csail/cph>

	* compiler/machines/C/cout.scm (1.37):

	Use correct output extension for built-in object handles.

2007-04-15 13:36  Chris Hanson <edu/mit/csail/cph>

	* compiler/machines/C/: compiler.pkg (1.24), ctop.scm (1.26):

	Force use of .so suffix independent of operating system.

2007-04-15 11:49  Chris Hanson <edu/mit/csail/cph>

	* edwin/decls.scm (1.82):

	Suppress "because of" messages.

2007-04-15 11:42  Chris Hanson <edu/mit/csail/cph>

	* runtime/load.scm (14.90):

	Back out last change; shouldn't be necessary with change to compiler.

2007-04-15 11:41  Chris Hanson <edu/mit/csail/cph>

	* compiler/base/toplev.scm (4.73), compiler/machines/C/compiler.pkg
	  (1.23), compiler/machines/C/cout.scm (1.36), runtime/load.scm
	  (14.91), runtime/make.scm (14.110), runtime/utabs.scm (14.24):

	Change handles for liarc files to use output pathname, not input
	pathname.

2007-04-15 04:16  Taylor R. Campbell <net/mumble/campbell>

	* etc/c-compile.sh (1.2):

	Bump the stack size to two hundred blocks, rather than the default of
	one hundred blocks, when compiling Scheme with liarc.  One hundred
	blocks is insufficient to compile sos/instance.scm with liarc.

2007-04-15 03:49  Taylor R. Campbell <net/mumble/campbell>

	* runtime/load.scm (14.89):

	Use liarc built-in objects only for LOAD, not for FASLOAD.  When we're
	actually loading code for execution, we need them; when we're loading
	code for data (e.g., when loading scode for the compiler -- especially
	when it is compiling itself, or other parts of the system that are
	loaded into the compiler image), we need the file and not the compiled
	expression statically linked into the microcode.

	This is a kludge, but it is necessary for bootstrapping liarc.  I
	don't know whether there is any code that relies on FASLOAD yielding
	built-in objects, however; I suspect not.

2007-04-14 18:00  Taylor R. Campbell <net/mumble/campbell>

	* compiler/base/blocks.scm (4.20), compiler/fggen/declar.scm
	  (1.11), compiler/fggen/fggen.scm (4.43),
	  compiler/rtlgen/opncod.scm (4.80), runtime/syntax-output.scm
	  (14.14), sf/cgen.scm (4.10):

	New declarations (TYPE-CHECKS), (RANGE-CHECKS), (NO-TYPE-CHECKS),
	(NO-RANGE-CHECKS) for local scopes.  I wrote a much longer
	description, but it was eaten by CVS, which left no trace of it, and
	I am now disinclined to rewrite it.

2007-04-14 10:23  Chris Hanson <edu/mit/csail/cph>

	* compiler/machines/C/ctop.scm (1.25):

	Suppress "loading" and "dumping" messages for compiler.

2007-04-14 10:06  Chris Hanson <edu/mit/csail/cph>

	* microcode/fasl.c (1.1.2.9):

	Fix typo.

2007-04-14 10:02  Chris Hanson <edu/mit/csail/cph>

	* microcode/makegen/bundles-liarc.scm (1.5):

	Tweak whitespace.

2007-04-14 01:52  Chris Hanson <edu/mit/csail/cph>

	* compiler/base/asstop.scm (1.18), compiler/base/toplev.scm (4.72),
	  sf/toplev.scm (4.32), compiler/base/asstop.scm (1.19):

	Suppress "loading" and "dumping" messages for compiler.

2007-04-14 01:39  Chris Hanson <edu/mit/csail/cph>

	* microcode/load.c (9.47):

	Fix previous tweak to work when HEAP_IN_LOW_MEMORY defined.

2007-04-13 23:55  Chris Hanson <edu/mit/csail/cph>

	* compiler/Clean.sh (1.16):

	Don't delete compiler-unx.c for c-clean rule.

2007-04-13 23:54  Chris Hanson <edu/mit/csail/cph>

	* Setup.sh (1.19), compiler/machines/C/make.scm (1.10),
	  cref/make.scm (1.31), etc/c-initial-bands.sh (1.3),
	  microcode/makegen/bundles-liarc.scm (1.4),
	  microcode/makegen/makegen.scm (1.18), sf/make.scm (4.47),
	  star-parser/load.scm (1.21):

	Restructure bundling so that each subsystem has its own bundle.  Add
	necessary shared-library declarations in a few places.

2007-04-13 23:53  Chris Hanson <edu/mit/csail/cph>

	* microcode/fasload.c (9.100):

	Fix old typo.

2007-04-13 23:52  Chris Hanson <edu/mit/csail/cph>

	* compiler/base/toplev.scm (4.71), compiler/machines/C/compiler.pkg
	  (1.22), compiler/machines/C/cout.scm (1.35),
	  compiler/machines/C/ctop.scm (1.24), edwin/autold.scm (1.70),
	  runtime/load.scm (14.88), runtime/make.scm (14.109),
	  runtime/option.scm (14.53), runtime/packag.scm (14.53),
	  runtime/runtime.pkg (14.615), runtime/utabs.scm (14.23):

	Redesign interface to built-in object files, so that (1) they include
	the pathname type of the file, and (2) the mapping from pathnames to
	handles is specified in fewer places.

2007-04-13 23:45  Chris Hanson <edu/mit/csail/cph>

	* microcode/load.c (9.46):

	Add error check for case where FASL file and microcode have different
	settings for HEAP_IN_LOW_MEMORY.

2007-04-11 15:33  Chris Hanson <edu/mit/csail/cph>

	* microcode/makegen/bundles-liarc.scm (1.3):

	Fix typo.

2007-04-11 15:32  Chris Hanson <edu/mit/csail/cph>

	* sf/xform.scm (4.16):

	Use standard formatting for usual-integrations warning.

2007-04-09 12:44  Chris Hanson <edu/mit/csail/cph>

	* etc/c-initial-bands.sh (1.2):

	Initial compiler should have cref support.

2007-04-09 12:43  Chris Hanson <edu/mit/csail/cph>

	* microcode/makegen/makegen.scm (1.17):

	Generate "cref.so" for boot bundles.

2007-04-09 12:43  Chris Hanson <edu/mit/csail/cph>

	* microcode/makegen/Makefile.in.in (1.46):

	Clean up "microcode/compinit.c".

2007-04-09 12:42  Chris Hanson <edu/mit/csail/cph>

	* microcode/makegen/bundles-liarc.scm (1.2):

	Fix thinkos: "make" files are sometimes compiled.

2007-04-09 12:41  Chris Hanson <edu/mit/csail/cph>

	* runtime/load.scm (14.87):

	Reorder LOAD types for consistency with FASLOAD.

2007-04-07 15:53  Chris Hanson <edu/mit/csail/cph>

	* microcode/boot.c (9.126):

	Fix typo in previous change.

2007-04-07 08:43  Chris Hanson <edu/mit/csail/cph>

	* microcode/boot.c (9.125):

	Add missing #include "osfs.h".

2007-04-07 08:38  Chris Hanson <edu/mit/csail/cph>

	* microcode/: Clean.sh (1.4.2.3), compinit.c (1.6.2.5),
	  configure.ac (1.6.2.33), make-compinit (1.1.2.2),
	  makegen/Makefile.in.in (1.25.2.19), makegen/bundles-liarc.scm
	  (1.1.2.1), makegen/dirs-liarc.scm (1.1.2.3),
	  makegen/liarc-base-rules (1.1.2.1), makegen/liarc-rules-2
	  (1.1.2.2), makegen/makegen.scm (1.7.2.6), makegen/pkds-liarc.scm
	  (1.1.2.1):

	Port liarc build changes to pre-v15 branch.

2007-04-07 08:37  Chris Hanson <edu/mit/csail/cph>

	* microcode/option.c (1.61.2.11):

	For liarc, don't test for existence of --fasl file.

2007-04-07 08:35  Chris Hanson <edu/mit/csail/cph>

	* microcode/cmpauxmd/c.c (1.15.2.7):

	Fix thinko.

2007-04-07 08:35  Chris Hanson <edu/mit/csail/cph>

	* microcode/: boot.c (9.118.2.9), const.h (9.52.2.7):

	Put back liarc --fasl support; simplify startup code.

2007-04-07 00:05  Chris Hanson <edu/mit/csail/cph>

	* runtime/load.scm (14.86):

	Back out previous change; it's the right behavior but too disruptive
	right now.

2007-04-07 00:03  Chris Hanson <edu/mit/csail/cph>

	* etc/c-bundle.sh (1.2):

	Changes to support microcode's pre-v15 branch.

2007-04-07 00:03  Chris Hanson <edu/mit/csail/cph>

	* etc/c-boot-compiler.sh (1.2):

	Fix syntax error (quoting problem).  Rewrite hereis documents to be
	single Scheme expressions so that an error prevents any subsequent
	expressions from being evaluated.

2007-04-07 00:02  Chris Hanson <edu/mit/csail/cph>

	* compiler/Clean.sh (1.15):

	Delete "compiler-unx.*".

2007-04-07 00:02  Chris Hanson <edu/mit/csail/cph>

	* Makefile.in (1.31):

	All clean rules must delete "boot-compiler.com".

2007-04-05 18:42  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-top.scm (1.301):

	Use BUFFER-REMOVE!, rather than (BUFFER-PUT! ... #F).

2007-04-05 18:36  Taylor R. Campbell <net/mumble/campbell>

	* edwin/utils.scm (1.62):

	Tweak EDWIN-SET-STRING-MAXIMUM-LENGTH!, too.

2007-04-05 18:24  Taylor R. Campbell <net/mumble/campbell>

	* edwin/utils.scm (1.61):

	Tweak EDWIN-STRING-ALLOCATE so that it doesn't rely on range-checking
	being disabled when NUL-terminating the string.

2007-04-05 15:52  Chris Hanson <edu/mit/csail/cph>

	* compiler/base/switch.scm (4.33):

	Don't show compilation of individual procedures.

2007-04-05 13:49  Chris Hanson <edu/mit/csail/cph>

	* Makefile.in (1.30), Setup.sh (1.18), etc/c-build-bands.sh (1.2):

	Eliminate runtime-check directory and 6.001 band.

2007-04-05 13:49  Chris Hanson <edu/mit/csail/cph>

	* runtime/load.scm (14.85):

	When loading a file, change the working directory to that of the file,
	so that relative pathnames work right.

2007-04-05 13:43  Chris Hanson <edu/mit/csail/cph>

	* etc/build-bands.sh (1.7):

	Don't build 6.001 band.

2007-04-05 13:42  Chris Hanson <edu/mit/csail/cph>

	* etc/compile.scm (1.13):

	Eliminate separate runtime-check.

2007-04-05 13:36  Chris Hanson <edu/mit/csail/cph>

	* compiler/base/switch.scm (4.32):

	Tweak defaults to enable type and range checking by default.

2007-04-04 23:23  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-imap.scm (1.212):

	Fix three problems in completion of IMAP mailbox names and listing of
	the contents of IMAP containers:

	1. Some IMAP servers refuse a pattern of `/%' for the LIST command, or
	   yield an empty list of results, so send `%' if we're examining the
	   root mailbox.

	2. Some IMAP servers return the container itself that we're trying to
	   list the contents of, so filter that out if we see it.

	3. Some IMAP servers hand out folder URLs and container URLs, so
	   canonicalize them appropriately in order that RUN-LIST-COMMAND may
	   return only folder URLs.

2007-04-04 22:35  Taylor R. Campbell <net/mumble/campbell>

	* sos/macros.scm (1.21):

	Associate names with generic procedures generated by DEFINE {ACCESSOR,
	MODIFIER, INITPRED} clauses for slots in DEFINE-CLASS.

2007-04-04 21:56  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-top.scm (1.300):

	Remember when MIME entities are collapsed or expanded, in a hash table
	per IMAIL folder buffer.  (This information will still be forgotten
	when the buffer is killed and the folder reopened, but that probably
	doesn't matter.)

2007-04-04 20:25  Taylor R. Campbell <net/mumble/campbell>

	* compiler/Clean.sh (1.14):

	Use `pwd`, rather than $(pwd), which standard sh does not support.

2007-04-04 14:35  Taylor R. Campbell <net/mumble/campbell>

	* runtime/packag.scm (14.52):

	Use WITH-NOTIFICATION to notify of initialization and finalization of
	packages, rather than formatting the message to the notification
	output port directly.

2007-04-04 01:08  Taylor R. Campbell <net/mumble/campbell>

	* Clean.sh (1.11), Makefile.in (1.29), Setup.sh (1.17),
	  configure.ac (1.7), compiler/Clean.sh (1.13), compiler/configure
	  (1.13), cref/Makefile.in (1.9), edwin/Clean.sh (1.13),
	  edwin/Makefile.in (1.13), edwin/autold.scm (1.69), etc/Clean.sh
	  (1.17), etc/c-boot-compiler.sh (1.1), etc/c-build-bands.sh (1.1),
	  etc/c-bundle.sh (1.1), etc/c-compile.scm (1.1), etc/c-compile.sh
	  (1.1), etc/c-initial-bands.sh (1.1), etc/c-prepare.scm (1.1),
	  etc/c-prepare.sh (1.1), etc/optiondb.scm (1.18), etc/script.scm
	  (1.5), imail/Makefile.in (1.9), imail/load.scm (1.48),
	  microcode/Clean.sh (1.7), microcode/compinit.c (1.11),
	  microcode/configure.ac (1.39), microcode/make-compinit (1.3),
	  microcode/makegen/Makefile.in.in (1.45),
	  microcode/makegen/bundles-liarc.scm (1.1),
	  microcode/makegen/dirs-liarc.scm (1.3),
	  microcode/makegen/liarc-base-rules (1.1),
	  microcode/makegen/liarc-rules-2 (1.3),
	  microcode/makegen/makegen.scm (1.16),
	  microcode/makegen/pkds-liarc.scm (1.1), runtime/Makefile.in
	  (1.13), runtime/packag.scm (14.51), sos/Makefile.in (1.9),
	  sos/load.scm (1.19), ssp/Makefile.in (1.6), ssp/load.scm (1.9),
	  star-parser/Makefile.in (1.8), xdoc/Makefile.in (1.5),
	  xdoc/load.scm (1.6), xml/Makefile.in (1.9), xml/load.scm (1.20):

	Very belatedly, many changes to smooth many rough edges with the C back
	end.  It should now be possible to bootstrap and install the system
	using the C back end much more cleanly, by the following steps:

	  # Prepare the tree for compiling from C.
	  ./Setup.sh
	  ./configure --enable-native-code=c
	  make c

	  # Optionally, clean everything except the bare minimum of the C code
	  # to generate a distribution tree.  Doing so requires reconfiguring.
	  make c-clean
	  # ...distribute the tree..
	  ./configure --enable-native-code=c

	  # Make the system from C, without needing an existing Scheme
	  # installation for bootstrapping.
	  make

	  # Install.
	  make install

2007-04-03 20:06  Taylor R. Campbell <net/mumble/campbell>

	* microcode/ux.c (1.27.2.5):

	Forward-port long-delayed hack of mmap_heap_malloc for OS X.

2007-04-03 01:27  Chris Hanson <edu/mit/csail/cph>

	* microcode/: edwin.h (1.11.2.4), extern.h (9.65.2.12), prims.h
	  (9.52.2.5), prosio.c (1.24.2.4), rgxprim.c (1.15.2.4), string.c
	  (9.49.2.4), syntax.c (1.30.2.5), term.c (1.20.2.5):

	Port edwin-buffer changes to pre-v15 branch.

2007-04-03 00:11  Chris Hanson <edu/mit/csail/cph>

	* runtime/uerror.scm (14.56):

	Add a few missing primitives to FILE-PRIMITIVE-DESCRIPTION.

2007-04-02 23:58  Chris Hanson <edu/mit/csail/cph>

	* microcode/: uxtop.c (1.35), uxtop.c (1.30.2.6):

	Don't return error message for syserr_unknown.

2007-04-01 13:51  Taylor R. Campbell <net/mumble/campbell>

	* runtime/string.scm (14.64):

	Commit forgotten changes to runtime/string.scm in the last checkin (to
	make Edwin buffers use external strings).

2007-04-01 13:33  Taylor R. Campbell <net/mumble/campbell>

	* edwin/bufwin.scm (1.319), edwin/fileio.scm (1.171),
	  edwin/grpops.scm (1.34), edwin/image.scm (1.143),
	  edwin/search.scm (1.162), edwin/struct.scm (1.104),
	  edwin/utils.scm (1.60), imail/imail-util.scm (1.49),
	  microcode/edwin.h (1.14), microcode/prims.h (9.56),
	  microcode/rgxprim.c (1.18), microcode/string.c (9.53),
	  microcode/syntax.c (1.38), microcode/term.c (1.23),
	  runtime/runtime.pkg (14.614):

	Use external strings to store the contents of Edwin buffers.  Edwin can
	now edit files and buffers up to 32 MB without occupying more than a
	small and (roughly) constant amount of space in the Scheme heap.

	New procedures in the system global environment:

	  EXTERNAL-STRING-DESCRIPTOR (Edwin needs this to initialize the group
	    structure so that the microcode can get at it.)
	  XSTRING-FILL!
	  XSTRING-REF
	  XSTRING-SET!
	  XSUBSTRING (This was in imail/imail-util.scm.)
	  XSUBSTRING-FILL!
	  XSUBSTRING-FIND-NEXT-CHAR
	  XSUBSTRING-FIND-NEXT-CHAR-CI
	  XSUBSTRING-FIND-NEXT-CHAR-IN-SET
	  XSUBSTRING-FIND-PREVIOUS-CHAR
	  XSUBSTRING-FIND-PREVIOUS-CHAR-CI
	  XSUBSTRING-FIND-PREVIOUS-CHAR-IN-SET

	(There is probably a better way to deal with most of the above
	procedures -- I expect that wouldn't hurt just to fold them into the
	string operations by similar names, since we already check argument
	types in those operations.  This kludginess works for now, though.)

2007-03-30 04:17  Taylor R. Campbell <net/mumble/campbell>

	* runtime/genio.scm (1.51):

	Use XSUBSTRING-MOVE! in WRITE-SUBSTRING:EXTERNAL-SUBSTRING, not
	SUBSTRING-MOVE! -- the latter does not accept external strings.

2007-03-27 22:29  Taylor R. Campbell <net/mumble/campbell>

	* compiler/rtlgen/opncod.scm (4.79):

	Use true or false pcfgs, as appropriate, instead of null cfgs, when
	generating disabled open-coded checks.  Although OPEN-CODE:WITH-CHECKS
	filters out true pcfgs and null cfgs, these cfgs may be used directly
	in pcfg predicates, as in OPEN-CODE:INDEX-CHECK, which permits only
	pcfgs, not null cfgs.

2007-03-26 19:54  Taylor R. Campbell <net/mumble/campbell>

	* edwin/intmod.scm (1.126):

	When evaluating a region, if the region is from the REPL buffer, set
	the buffer's point to the line start after the region, not the end of
	the region.

2007-03-26 19:33  Taylor R. Campbell <net/mumble/campbell>

	* edwin/intmod.scm (1.125):

	When switching between Inferior REPL and Inferior CMDL modes, adjust
	the comtabs more carefully, so that only the major modes' comtabs are
	affected, leaving any minor modes' untouched.

	This allows minor modes that bind keys to be used in the REPL even
	after errors occur; before, the keys they bound would be forgotten
	after errors.  Paredit Mode can be now used in the REPL as a result.

2007-03-21 11:06  Chris Hanson <edu/mit/csail/cph>

	* runtime/: list.scm (14.55), runtime.pkg (14.613):

	Implement REDUCE-LEFT, which has semantics of old REDUCE.

2007-03-11 18:38  Taylor R. Campbell <net/mumble/campbell>

	* imail/: imail-core.scm (1.165), imail-file.scm (1.91),
	  imail-imap.scm (1.211):

	Unmap the message indices returned by SEARCH-FOLDER.  Define
	%SEARCH-FOLDER as a generic procedure which the non-generic procedure
	SEARCH-FOLDER calls.

2007-03-11 18:30  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-top.scm (1.299):

	Bump the default size limit for in-line display of MIME text parts to
	65536, since we by default cache message bodies of that size anyway.

2007-03-11 18:26  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-top.scm (1.298):

	New Edwin variable IMAIL-INLINE-MIME-TEXT-LIMIT, to prevent gargantuan
	text parts that satisfy all the other rules for in-line display from
	screwing Edwin.

	This affects the main body of the message, too, however.  We could
	work around this easily for unipart messges, although anything else
	would require a little more effort.  In any case, although it is a
	minor annoyance to have to type `C-c C-t C-e' to show the body of a
	very long message, it is a much more major annoyance for Edwin to lose
	spectacularly for a message too large to fit in its heap.

2007-03-11 13:33  Taylor R. Campbell <net/mumble/campbell>

	* imail/: imail-core.scm (1.164), imail-file.scm (1.90),
	  imail-imap.scm (1.210):

	Don't record the folder's cached modification count in folder orders;
	simply check that it has not changed since we built the tree.

	New procedure MESSAGE-ORDER-KEY computes a message's key into the
	folder order tree, if the message's folder is ordered.  This must be
	computed before a message is actually expunged, because the key may
	require information that is destroyed when expunging the message.
	EXPUNGE modification events on folders now accept an extra parameter,
	the key of the message being expunged.

2007-03-11 11:49  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-core.scm (1.163):

	Remove Edwin indentation settings for no longer used forms.

2007-03-11 11:48  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-core.scm (1.162):

	Fix thinko in previous commit: if the folder's modification count has
	changed, unconditionally build the order's tree, instead of building a
	tree only if there is none already there.

2007-03-11 11:35  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-core.scm (1.161):

	Preload folder outlines before memoizing folder order.  This improves
	the performance of sorting IMAIL folders dramatically.

2007-03-11 11:04  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-core.scm (1.160):

	Use a modification count cache to verify and commit memoized folder
	orders, instead of blocking interrupts, so that MEMOIZE-FOLDER-ORDER
	may now be interrupted.

	Memoize the folder order immediately before it is assigned to a folder
	in SET-FOLDER-ORDER!.  This means that it can no longer be delayed
	until actually needed, but also that if it is interrupted it won't
	actually set the folder's order and thereby wedge IMAIL until the
	messages are sorted.

	Allow message indices to fall outside the range of folder orders, and
	leave them as they are, in case the folder order has not been updated
	yet to reflect them.

2007-03-10 23:32  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-core.scm (1.159):

	Fix another bug, with receiving and ignoring modification events for ordering.

2007-03-10 22:59  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-core.scm (1.158):

	Fix bug in previous commit with modification event arguments.

2007-03-10 20:11  Taylor R. Campbell <net/mumble/campbell>

	* imail/: imail-core.scm (1.157), imail-top.scm (1.297), load.scm
	  (1.47):

	New implementation of folder orders that uses AVL trees instead of
	sorted vectors to store the order of messages.  Modifications to the
	folder are now reflected in incremental updates to the folder order by
	AVL insertions, instead of rebuilding the order vector for every
	modification to the folder.  Also, the key by which the message is
	sorted is now computed once per message in the order record, instead
	of every time that the message comparison predicate is called.

2007-03-10 12:35  Taylor R. Campbell <net/mumble/campbell>

	* imail/imail-imap.scm (1.209):

	Use %MESSAGE-INDEX instead of MESSAGE-INDEX in FETCH-MESSAGE-ITEMS.
	This will give the correct index in the mailbox's sequence to the IMAP
	server, and if the folder is sorted it will also not cause an infinite
	loop, because in that case MESSAGE-INDEX may require fetching the
	message to determine how to sort it, which may require calling
	MESSAGE-INDEX.

2007-03-05 23:43  Taylor R. Campbell <net/mumble/campbell>

	* etc/usermap (1.8):

	Include middle initial in `Taylor R. Campbell', to disambiguate from
	the large-breasted porn star that will turn up by Googling `Taylor
	Campbell'...

2007-03-05 19:30  Taylor R. Campbell <net/mumble/campbell>

	* edwin/xcom.scm (1.28):

	Implement rudimentary font name completion and apropos.

	This does not handle gracefully the deluge of available fonts (over
	five thousand on my machine) by presenting common groups in palatable
	ways, and it does not attempt to cache the huge string tables, but it
	works.

2007-02-24 12:10  Chris Hanson <edu/mit/csail/cph>

	* microcode/: configure.ac (1.6.2.32), memmag.c (9.71.2.11),
	  prdb4.c (1.2.2.6), prgdbm.c (1.6.2.4), prpgsql.c (1.9.2.4),
	  pruxenv.c (1.22.2.5), purify.c (9.65.2.13), uxtrap.h (1.35.2.6):

	Forward-port Taylor's changes from trunk.

2007-02-24 12:09  Chris Hanson <edu/mit/csail/cph>

	* microcode/: configure.ac (1.38), makegen/Makefile.in.in (1.44):

	Backport changes from pre-v15 branch.

2007-02-23 18:45  Taylor R. Campbell <net/mumble/campbell>

	* microcode/: configure.ac (1.37), uxtrap.h (1.38):

	Incorporate changes from Jesper Louis Andersen to make the microcode
	build on FreeBSD again.

2007-02-23 06:38  Taylor R. Campbell <net/mumble/campbell>

	* edwin/paredit.scm (1.10):

	In the double-quote command, actually insert an escaped double-quote
	if inside a string, not an escaped space.

2007-02-23 06:37  Taylor R. Campbell <net/mumble/campbell>

	* edwin/paredit.scm (1.9):

	After inserting newlines, reindent the following expression only if it
	starts on the same line as the point is now on.

2007-02-22 13:41  Chris Hanson <edu/mit/csail/cph>

	* xml/turtle.scm (1.23):

	Eliminate debugging statement.

2007-02-22 13:39  Chris Hanson <edu/mit/csail/cph>

	* xml/: turtle.scm (1.21), turtle.scm (1.22):

	Change WRITE-RDF/TURTLE-TRIPLES to elide unreferenced bnodes.

2007-02-20 11:29  Chris Hanson <edu/mit/csail/cph>

	* runtime/rgxcmp.scm (1.128):

	Fix type error in RE-DISASSEMBLE-PATTERN.  Eliminate unused
	HACK-FASTMAP.

2007-02-13 14:25  Chris Hanson <edu/mit/csail/cph>

	* microcode/ntutl/makefile.wcc (1.24):

	Don't build with optional libraries.

2007-02-12 15:47  Taylor R. Campbell <net/mumble/campbell>

	* edwin/dired.scm (1.202):

	Bind RET to DIRED-FIND-FILE.

2007-02-11 13:42  Taylor R. Campbell <net/mumble/campbell>

	* microcode/pruxenv.c (1.26):

	In HOSTNAME primitive, move PRIMITIVE_RETURN outside the conditional,
	since we return whether we have sockets or not.

2007-02-11 00:55  Taylor R. Campbell <net/mumble/campbell>

	* microcode/: prdb4.c (1.7), prgdbm.c (1.10), prpgsql.c (1.13):

	Conditionalize inclusion of optional modules' header files to appease makegen.

2007-02-10 14:22  Taylor R. Campbell <net/mumble/campbell>

	* microcode/: bchmmg.c (9.109), memmag.c (9.76):

	Oops: because the available space after subtracting the space the
	primitive requested may be negative, use LONG_TO_FIXNUM instead of
	LONG_TO_UNSIGNED_FIXNUM.

2007-02-10 14:16  Taylor R. Campbell <net/mumble/campbell>

	* microcode/: memmag.c (9.71.2.10), bchmmg.c (9.108), memmag.c
	  (9.75):

	In the GARBAGE-COLLECT primitive, return the available heap space
	minus gc_space_needed, in case it was called by a primitive that
	requested a certain amount of space for allocation.  If we report only
	the newly available heap space and ignore gc_space_needed, then
	GC-FINISH will consider there to be ample space to proceed (more than
	4096 bytes), and the primitive will be restarted only to repeat the
	call to the GC, looping endlessly.

2007-02-07 22:36  Chris Hanson <edu/mit/csail/cph>

	* ssp/mod-lisp.scm (1.35):

	Tweak cookie parsing to allow #\= in RHS of binding.  Don't signal an
	error if there's a bad cookie; just ignore it and emit a warning.

2007-02-05 13:43  Chris Hanson <edu/mit/csail/cph>

	* compiler/configure (1.12):

	Remove leading parens that cause trouble on NetBSD.

2007-02-05 13:26  Chris Hanson <edu/mit/csail/cph>

	* edwin/: decls.scm (1.81), edwin.sf (1.37):

	Updates to make sure that Edwin can be compiled by previous snapshot.

2007-02-04 21:38  Chris Hanson <edu/mit/csail/cph>

	* imail/clean.sh (1.5):

	File conflicts with Clean.sh on win32.

2007-02-04 16:55  Taylor R. Campbell <net/mumble/campbell>

	* microcode/cmpint.c (1.108):

	Fix bug in compiler reference trap restarts: the name will be at the
	top of the stack, not in the expression register.

2007-02-04 13:39  Taylor R. Campbell <net/mumble/campbell>

	* microcode/x11base.c (1.93):

	Reinitialize the local display modifier mask table on MappingModifier
	requests in MappingNotify events, so that the user can reconfigure
	modifier masks on the fly without confusing Scheme programs.

2007-02-04 13:36  Taylor R. Campbell <net/mumble/campbell>

	* microcode/x11base.c (1.92):

	Eliminate compiler warning about non-return from non-void function
	x_close_window_io_error, which calls longjmp instead.

2007-02-03 19:17  Taylor R. Campbell <net/mumble/campbell>

	* runtime/syntax-rules.scm (14.11):

	Permit (SYNTAX-RULES ()), which is the only portable way to define a
	SYNTACTIC-ERROR macro.

2007-01-28 18:03  Taylor R. Campbell <net/mumble/campbell>

	* compiler/machines/C/ctop.scm (1.23):

	ld on OS X wants `-dylib', not `-dynamiclib', now that we're actually
	using it instead of the C compiler executable.

2007-01-25 21:38  Taylor R. Campbell <net/mumble/campbell>

	* runtime/mit-syntax.scm (14.30):

	Use NAMED-LAMBDA in the output of named LET.

2007-01-22 13:30  Taylor R. Campbell <net/mumble/campbell>

	* microcode/: boot.c (9.124), boot.c (9.118.2.8):

	Use `OS_file_access', not `access', in `FILE_READABLE' macro.

2007-01-22 09:34  Chris Hanson <edu/mit/csail/cph>

	* microcode/configure.ac (1.6.2.31):

	Simplify slightly.

2007-01-22 09:31  Chris Hanson <edu/mit/csail/cph>

	* microcode/configure.ac (1.6.2.30):

	Revert to using AC_CHECK_TYPE rather than AC_TYPE_[U]INTn, since the
	latter is too new for some platforms.

2007-01-22 09:23  Chris Hanson <edu/mit/csail/cph>

	* microcode/: makegen/Makefile.in.in (1.25.2.18), configure.ac
	  (1.6.2.29):

	Rename DLD_LDFLAGS to SCHEME_LDFLAGS.

2007-01-22 03:43  Taylor R. Campbell <net/mumble/campbell>

	* microcode/: boot.c (9.123), interp.c (9.105), boot.c (9.118.2.7),
	  interp.c (9.102.2.8):

	Eliminate compiler warnings for obstack_chunk_alloc.

2007-01-22 03:35  Taylor R. Campbell <net/mumble/campbell>

	* microcode/configure.ac (1.36):

	On OS X, add -Wl,-pagezero_size,04000000 to DLD_LDFLAGS, not LDFLAGS,
	so that it is passed only when building the `scheme' and `bchscheme'
	binaries, not when compiling all object files.

2007-01-22 03:12  Taylor R. Campbell <net/mumble/campbell>

	* microcode/configure.ac (1.6.2.28):

	Comment out unused C99 fixed-width integer type tests, as in the new
	microcode.

2007-01-22 02:47  Taylor R. Campbell <net/mumble/campbell>

	* microcode/ux.c (1.31):

	Specialize mmap_heap_malloc on OS X to pass MAP_FIXED always.

	This conditional is ugly; perhaps it ought to be refactored.  However,
	after the change to the configuration script to add the linker option
	reserving low address space, this is necessary for anything to work at
	all on OS X for the moment.

2007-01-22 01:41  Chris Hanson <edu/mit/csail/cph>

	* microcode/cmpauxmd/c.c (1.15.2.6):

	Add code to relocate pointers in compiled_entries when compiled_blocks
	is relocated to a new address.  Fix typo.

2007-01-22 01:38  Chris Hanson <edu/mit/csail/cph>

	* microcode/: configure.ac (1.35), configure.ac (1.6.2.27):

	Fix typo.  Use AC_CHECK_FUNC(...) rather than AC_CHECK_LIB([c],...).

2007-01-22 01:06  Chris Hanson <edu/mit/csail/cph>

	* microcode/fasload.c (9.96.2.20):

	Fix typo in previous change.

2007-01-22 01:05  Chris Hanson <edu/mit/csail/cph>

	* microcode/: configure.ac (1.6.2.26), configure.ac (1.34):

	Incorporate changes for NetBSD from Jed Davis.

2007-01-22 01:02  Chris Hanson <edu/mit/csail/cph>

	* microcode/: fasdump.c (9.68.2.18), fasl.c (1.1.2.8), fasl.h
	  (9.40.2.11), fasload.c (9.96.2.19), cmpauxmd/c.c (1.15.2.5),
	  cmpintmd/c.h (1.9.2.4):

	Hook up code to export and import the C code table.  This was
	disconnected when redesigning the fasdump/fasload code and never
	reconnected.

2007-01-21 23:20  Chris Hanson <edu/mit/csail/cph>

	* microcode/: configure.ac (1.6.2.25), pruxsock.c (1.22.2.5):

	Forward-port riastradh's changes from trunk.

2007-01-21 18:19  Taylor R. Campbell <net/mumble/campbell>

	* compiler/machines/C/cutl.scm (1.10):

	Fix up C comments so that */ inside them will not destroy the output.

2007-01-21 17:19  Taylor R. Campbell <net/mumble/campbell>

	* compiler/machines/C/cout.scm (1.34):

	Hack STRINGIFY to support lap comments, in case the user set
	COMPILER:GENERATE-LAP-FILES? and COMPILER:INTERSPERSE-RTL-IN-LAP?, so
	that it puts comments in the C output instead of signalling an obscure
	error, even though the resulting *.lap files are not very useful.

2007-01-21 06:29  Taylor R. Campbell <net/mumble/campbell>

	* compiler/rtlgen/opncod.scm (4.78):

	Fix bug in the open-coder for HEAP-AVAILABLE? with type checking
	turned on.  It was passing the FINISH continuation on to
	OPEN-CODE:WITH-CHECKS, but that would call FINISH with an RTL
	expression, whereas the callers of the open-coder want an RTL
	predicate CFG.  Now, like other predicate open-coders,
	HEAP-AVAILABLE?'s wraps the expression in a true test.

2007-01-21 00:15  Taylor R. Campbell <net/mumble/campbell>

	* compiler/machines/C/ctop.scm (1.22):

	In C-COMPILER-NAME, read from and write to the variable
	COMPILER:C-COMPILER-NAME, not COMPILER:C-LINKER-NAME.

2007-01-20 20:10  Taylor R. Campbell <net/mumble/campbell>

	* edwin/debuge.scm (1.61):

	Make DEBUG-SHOW-STANDARD-MARKS work again.  It doesn't show quite the
	same information as before, but at least it doesn't fail horribly now.

2007-01-20 18:49  Taylor R. Campbell <net/mumble/campbell>

	* microcode/pruxsock.c (1.27):

	Wrap the new SHUTDOWN-SOCKET primitive's body in SOCKET_CODE.

2007-01-20 16:59  Taylor R. Campbell <net/mumble/campbell>

	* microcode/configure.ac (1.33):

	Enclose the argument to `test -n' in double-quotes in the tests for
	the `struct tm' member `tm_gmtoff' and the `timezone' variable.

2007-01-19 22:08  Taylor R. Campbell <net/mumble/campbell>

	* microcode/configure.ac (1.32):

	Pass `-MG' to `gcc' in the generated `makegen-cc' script.  The meaning
	of `-MM' was changed in recent versions of GCC so that it does not
	mask errors about absent system headers, but with `-MG' it uses the
	old semantics.

2007-01-19 00:03  Taylor R. Campbell <net/mumble/campbell>

	* runtime/error.scm (14.73):

	In wrong-number-of-arguments errors where the minimum number of
	arguments is equal to the maximum number of arguments, write that
	number, not the confusing arity object, in the condition report.

2007-01-17 21:30  Taylor R. Campbell <net/mumble/campbell>

	* runtime/record.scm (1.59):

	Initialize newly constructed records in keyword constructors to have
	the proper dispatch tag.

2007-01-17 21:15  Taylor R. Campbell <net/mumble/campbell>

	* edwin/verilog.scm (1.15):

	In DEFINE-STANDARD-KEYWORD, pass a list of fragments to
	DEFINE-KEYPARSER-PATTERN as one argument, not the fragments as
	separate arguments.  This is supposed to be a `pattern' structure,
	although it might be better to have an abstract MAKE-PATTERN
	constructor or something instead of exposing the representation of
	patterns as lists.

2007-01-17 21:03  Taylor R. Campbell <net/mumble/campbell>

	* edwin/evlcom.scm (1.74):

	In PROMPT-FOR-EXPRESSION, don't pass the default expression through
	WRITE-TO-STRING before handing it to PROMPT-FOR-STRING, because
	PROMPT-FOR-STRING already does that.

2007-01-17 19:19  Taylor R. Campbell <net/mumble/campbell>

	* edwin/keyparse.scm (1.9):

	In DEFINE-KEYPARSER-STATEMENT-LEADER, compile the regular expression
	if it is *not* a compiled regular expression, not if it is.

2007-01-17 16:01  Chris Hanson <edu/mit/csail/cph>

	* runtime/url.scm (1.51):

	Fix another thinko.

2007-01-17 16:00  Chris Hanson <edu/mit/csail/cph>

	* xml/rdf-struct.scm (1.27):

	Fix broken definition of MATCH-TAIL.

2007-01-17 11:04  Chris Hanson <edu/mit/csail/cph>

	* runtime/url.scm (1.50):

	Fix thinko.

2007-01-17 10:58  Chris Hanson <edu/mit/csail/cph>

	* runtime/unicode.scm (1.32):

	Fix typo in previous change.

2007-01-17 10:42  Chris Hanson <edu/mit/csail/cph>

	* runtime/unicode.scm (1.31):

	Don't consider non-characters in WELL-FORMED-CODE-POINT-LIST?.

2007-01-16 22:42  Chris Hanson <edu/mit/csail/cph>

	* xml/: rdf-struct.scm (1.26), turtle.scm (1.20), xml.pkg (1.91),
	  xml-names.scm (1.15), xml-parser.scm (1.73):

	Use new matching/parsing utility procedures.  Implement
	UTF8-STRING->XML.  Fix turtle URI output so that qnames conform to
	turtle syntax.

2007-01-16 22:39  Chris Hanson <edu/mit/csail/cph>

	* runtime/: parser-buffer.scm (1.20), runtime.pkg (14.612):

	Add utility procedures for matching and parsing.

2007-01-16 22:31  Chris Hanson <edu/mit/csail/cph>

	* runtime/url.scm (1.49):

	Use new matching procedures.

2007-01-16 21:48  Chris Hanson <edu/mit/csail/cph>

	* runtime/: parser-buffer.scm (1.19), runtime.pkg (14.611):

	Implement UTF8-STRING->PARSER-BUFFER.

2007-01-16 16:16  Chris Hanson <edu/mit/csail/cph>

	* xml/rdf-struct.scm (1.25):

	Allow the local part of an RDF qname to be an arbitrary UTF-8 string.

2007-01-16 03:03  Chris Hanson <edu/mit/csail/cph>

	* runtime/unicode.scm (1.30):

	Add non-character range FDD0 through FDEF.  Simplify logic used to
	determine legal characters.

2007-01-13 20:58  Chris Hanson <edu/mit/csail/cph>

	* edwin/vc.scm (1.98):

	For svn, quote diff-switches with "-x" prefix.

2007-01-13 02:45  Chris Hanson <edu/mit/csail/cph>

	* microcode/: configure.ac (1.31), configure.ac (1.6.2.24):

	Properly handle case where pg_config isn't available.

2007-01-13 02:12  Chris Hanson <edu/mit/csail/cph>

	* microcode/configure.ac (1.6.2.23):

	Berkeley DB uses versioned symbols in older versions, so AC_CHECK_LIB
	can't be used; instead use AC_LINK_IFELSE.

2007-01-13 02:12  Chris Hanson <edu/mit/csail/cph>

	* microcode/configure.ac (1.30):

	Berkeley DB uses versioned symbols in older versions, so AC_CHECK_LIB
	can't be used; instead use AC_LINK_IFELSE.  Also, comment out C99
	fixed-width integer type tests which are (a) not used, and (b) only in
	the latest version of autoconf.

2007-01-12 05:23  Taylor R. Campbell <net/mumble/campbell>

	* runtime/load.scm (14.84):

	Use FILE-REGULAR?, not FILE-EXISTS?, to test for the existence of files
	to load, to avoid accidentally trying to load directories that happen
	to have the same name sans type as files we're interested in.

2007-01-12 01:29  Chris Hanson <edu/mit/csail/cph>

	* microcode/makegen/: Makefile.in.in (1.25.2.17), Makefile.in.in
	  (1.43):

	Make sure that LIARC_OBJECTS are cleaned along with other .o files.

2007-01-12 01:27  Chris Hanson <edu/mit/csail/cph>

	* microcode/: liarc.h (1.27), liarc.h (1.21.2.5):

	Since COMPILE_FOR_STATIC_LINKING is now defined in "config.h",
	all references must be moved after that #include.

2007-01-12 01:19  Chris Hanson <edu/mit/csail/cph>

	* configure.ac (1.6), compiler/Clean.sh (1.12), compiler/configure
	  (1.11):

	Replace "--enable-c-back-end" with "--enable-native-code".  Update
	compiler cleaning and configuration to handle C shared-object files.

2007-01-12 01:18  Chris Hanson <edu/mit/csail/cph>

	* microcode/make-compinit (1.2):

	Add necessary file from pre-v15 branch.

2007-01-12 01:17  Chris Hanson <edu/mit/csail/cph>

	* microcode/: liarc.h (1.26), cmpauxmd/c.c (1.21):

	Fix two more places with pointer signedness warnings.

2007-01-11 22:53  Chris Hanson <edu/mit/csail/cph>

	* microcode/makegen/: Makefile.in.in (1.42), Makefile.in.in
	  (1.25.2.16):

	Move "autom4te.cache" from "make maintainer-clean" to "make distclean".

2007-01-11 22:45  Chris Hanson <edu/mit/csail/cph>

	* microcode/: bchmmg.c (9.107), boot.c (9.122), comutl.c (1.37),
	  extern.c (9.43), extern.h (9.68), fasload.c (9.99), foreign.c
	  (1.9), intern.c (9.66), nttterm.c (1.9), object.h (9.64),
	  os2xcpt.c (1.18), prgdbm.c (1.9), prims.h (9.55), prntenv.c
	  (1.15), pros2pm.c (1.26), prosenv.c (1.22), prosfs.c (1.22),
	  prosio.c (1.27), prosproc.c (1.24), prospty.c (1.9), prostty.c
	  (1.12), prpgsql.c (1.12), pruxdld.c (1.22), pruxenv.c (1.25),
	  pruxfs.c (9.61), pruxsock.c (1.26), string.c (9.52), sysprim.c
	  (9.54), tterm.c (1.20), uxsock.c (1.35), uxtop.c (1.34), uxtrap.c
	  (1.45), x11base.c (1.91):

	Eliminate pointer signedness warnings.

2007-01-11 22:14  Chris Hanson <edu/mit/csail/cph>

	* microcode/: configure.ac (1.6.2.22), configure.ac (1.29):

	Fix two bugs causing mis-configuration of modules.

2007-01-11 21:57  Chris Hanson <edu/mit/csail/cph>

	* microcode/: configure.ac (1.28), liarc-gendeps.c (1.2),
	  makegen/Makefile.in.in (1.41), makegen/cbe-rules (1.3),
	  makegen/dirs-liarc.scm (1.2), makegen/liarc-rules-2 (1.2),
	  makegen/makegen.scm (1.15), makegen/makeinit.sh (1.16):

	Merge in most changes from pre-v15 branch.  In particular, the new
	mechanism for configuring the C back end.

2007-01-11 21:53  Chris Hanson <edu/mit/csail/cph>

	* microcode/makegen/Makefile.in.in (1.25.2.15):

	Tweak to minimize diff with trunk.

2007-01-11 21:22  Chris Hanson <edu/mit/csail/cph>

	* microcode/configure.ac (1.27):

	Add --enable-debugging.

2007-01-11 21:16  Chris Hanson <edu/mit/csail/cph>

	* microcode/: configure.ac (1.26), makegen/Makefile.in.in (1.40):

	Eliminate COMPILED_DEFS.

2007-01-11 21:14  Chris Hanson <edu/mit/csail/cph>

	* microcode/: configure.ac (1.6.2.21), makegen/Makefile.in.in
	  (1.25.2.14):

	Eliminate MODULE_OBJECTS.

2007-01-11 16:07  Chris Hanson <edu/mit/csail/cph>

	* microcode/configure.ac (1.25):

	Merge in most of the changes from pre-v15 branch; eliminate gratuitous
	differences with that file.

2007-01-11 16:06  Chris Hanson <edu/mit/csail/cph>

	* microcode/configure.ac (1.6.2.20):

	Incorporate changes from trunk.  Tweak to conform to recommended shell
	practice.

	Use M4 macros to share #include sequences.  Use new macros
	AC_TYPE_[U]INTxx_T and AC_CHECK_MEMBER.

	Replace obsolete AC_TRY_xxx macros with AC_xxx_IFELSE.  Replace most
	instances of AC_TRY_COMPILE with AC_CHECK_TYPE and AC_CHECK_MEMBER.

	Eliminate most references to ac_cv_ variables; eliminate all
	scheme_cv_ variables.

2007-01-10 03:17  Chris Hanson <edu/mit/csail/cph>

	* microcode/configure.ac (1.24):

	Use AS_HELP_STRING to simplify --with and --enable descriptions.

2007-01-10 03:00  Chris Hanson <edu/mit/csail/cph>

	* microcode/configure.ac (1.23):

	Restructure handling of optional libraries; new code is simpler and
	hopefully more effective.  In particular, problems identified by Aaron
	Hsu should now be addressed.  Additionally, many changes were made to
	conform to the autoconf shell programming guidelines.

	A user-visible change is that --with-FOO may now specify a path, so
	that --with-FOO=BAR adds "-IBAR/include" to CFLAGS and "-LBAR/lib" to
	LDFLAGS.

2007-01-09 13:50  Chris Hanson <edu/mit/csail/cph>

	* microcode/configure.ac (1.22):

	Add Aaron Hsu's patch to support compilation of modules under OS X.

2007-01-09 01:38  Chris Hanson <edu/mit/csail/cph>

	* runtime/ttyio.scm (1.27):

	Set non-zero exit code if EOF reached inside error REPL.

2007-01-09 01:37  Chris Hanson <edu/mit/csail/cph>

	* runtime/scomb.scm (14.27):

	Don't allow MAKE-CONDITIONAL to accept two arguments; require three.
	Otherwise, programs of the form (IF <a> <b> #!DEFAULT) miscompile.

2007-01-09 01:36  Chris Hanson <edu/mit/csail/cph>

	* runtime/global.scm (14.78):

	Simplify UNDEFINED-VALUE?.

2007-01-09 01:16  Chris Hanson <edu/mit/csail/cph>

	* runtime/: input.scm (14.34), parse.scm (14.66), port.scm (1.50),
	  runtime.pkg (14.610), ttyio.scm (1.26):

	Fix echoing of input when standard input is redirected to a file.
	Eliminate separate implementation of DISCARD-CHAR; the top-level
	procedures are now aliases for READ-CHAR.

2007-01-08 22:56  Chris Hanson <edu/mit/csail/cph>

	* microcode/configure.ac (1.6.2.19):

	Remove overlooked vestige of LIB_X11 variable.

2007-01-08 22:56  Chris Hanson <edu/mit/csail/cph>

	* microcode/: configure.ac (1.21), makegen/Makefile.in.in (1.39):

	Fix bug: add X include and libraries directories to CFLAGS and LIBS
	respectively.

2007-01-08 22:52  Chris Hanson <edu/mit/csail/cph>

	* microcode/: configure.ac (1.6.2.18), makegen/Makefile.in.in
	  (1.25.2.13), makegen/liarc-rules-2 (1.1.2.1), makegen/makegen.scm
	  (1.7.2.5), makegen/makeinit.sh (1.10.2.6):

	Change makefile generation so that liarc fragments appear in makefile
	only when configuring for liarc.  Also, fix bug: add X include and
	libraries directories to CFLAGS and LIBS respectively.

2007-01-08 09:55  Chris Hanson <edu/mit/csail/cph>

	* microcode/makegen/cbe-rules (1.2):

	Add copyright/license statements and fix typo.

2007-01-08 09:45  Chris Hanson <edu/mit/csail/cph>

	* microcode/: configure.ac (1.20), makegen/Makefile.in.in (1.38),
	  makegen/cbe-rules (1.1):

	Conditionally include C-back-end rules in Makefile, since it seems
	these are stimulating the bug in make.  Undo previous change since it
	did not fix the problem.

2007-01-08 00:38  Chris Hanson <edu/mit/csail/cph>

	* microcode/makegen/: Makefile.in.in (1.37), Makefile.in.in
	  (1.25.2.12):

	Work around bug in "make" prior to version 3.81 by changing the
	.SUFFIXES order.

2007-01-07 22:57  Chris Hanson <edu/mit/csail/cph>

	* runtime/strout.scm (14.28):

	Fix bug: GET-OUTPUT-STRING! would always return a null string.

2007-01-07 04:11  Chris Hanson <edu/mit/csail/cph>

	* runtime/: genio.scm (1.50), port.scm (1.49), runtime.pkg
	  (14.609), socket.scm (1.32):

	Implement PORT/OPEN?, PORT/INPUT-OPEN?, and PORT/OUTPUT-OPEN?.

2007-01-07 01:48  Chris Hanson <edu/mit/csail/cph>

	* runtime/rexp.scm (1.27):

	Elide nested groups.

2007-01-05 19:09  Chris Hanson <edu/mit/csail/cph>

	* microcode/: Clean.sh (1.4.2.2), Setup.sh (1.8.2.3), artutl.c
	  (1.18.2.5), avltree.c (1.8.2.3), avltree.h (1.7.2.3), bignmint.h
	  (1.8.2.3), bignum.c (9.52.2.5), bignum.h (9.33.2.4), bigprm.c
	  (1.8.2.3), bitstr.c (9.65.2.6), bitstr.h (1.12.2.3), bkpt.c
	  (9.34.2.3), bkpt.h (9.36.2.3), boot.c (9.118.2.6), char.c
	  (9.35.2.3), cmpgc.h (1.34.2.5), cmpint.c (1.103.2.17), cmpint.h
	  (10.12.2.10), comlin.c (1.11.2.4), comlin.h (1.9.2.3), compinit.c
	  (1.6.2.4), comutl.c (1.33.2.5), configure.ac (1.6.2.17),
	  confshared.h (11.8.2.9), const.h (9.52.2.6), copyrigh.c
	  (1.5.2.3), critsec.h (1.6.2.3), daemon.c (9.34.2.3), debug.c
	  (9.58.2.6), dfloat.c (1.8.2.3), dstack.h (1.13.2.3), edwin.h
	  (1.11.2.3), error.c (1.9.2.3), errors.h (9.46.2.6), extern.c
	  (9.40.2.3), extern.h (9.65.2.11), fasdump.c (9.68.2.17), fasl.c
	  (1.1.2.7), fasl.h (9.40.2.10), fasload.c (9.96.2.18), findprim.c
	  (9.58.2.3), fixnum.c (9.46.2.3), fixobj.h (9.40.2.3), flonum.c
	  (9.45.2.3), gc.h (9.36.2.5), gccode.h (9.60.2.12), gcloop.c
	  (9.51.2.21), generic.c (9.41.2.3), history.h (9.33.2.4), hooks.c
	  (9.66.2.5), hppacach.c (1.15.2.3), hppacach.h (1.8.2.3),
	  hppanwca.c (1.7.2.3), hunk.c (9.31.2.4), intern.c (9.61.2.7),
	  interp.c (9.102.2.7), interp.h (9.50.2.5), intext.c (1.7.2.3),
	  intext.h (1.7.2.3), intprm.c (1.12.2.3), intrpt.h (1.24.2.5),
	  liarc.h (1.21.2.4), list.c (9.35.2.4), lookprm.c (1.21.2.3),
	  lookup.c (9.70.2.5), lookup.h (9.57.2.3), memmag.c (9.71.2.9),
	  memmag.h (1.10.2.5), missing.c (9.35.2.3), mul.c (9.37.2.4), nt.h
	  (1.11.2.3), ntapi.h (1.17.2.3), ntasutl.asm (1.8.2.3), ntenv.c
	  (1.21.2.3), ntfile.c (1.16.2.2), ntfs.c (1.30.2.4), ntfs.h
	  (1.7.2.3), ntgui.c (1.31.2.3), ntgui.h (1.10.2.3), ntio.c
	  (1.31.2.4), ntio.h (1.14.2.3), ntproc.c (1.10.2.3), ntproc.h
	  (1.4.2.3), ntscmlib.h (1.12.2.3), ntscreen.c (1.51.2.4),
	  ntscreen.h (1.22.2.4), ntsig.c (1.24.2.3), ntsock.c (1.18.2.4),
	  ntsys.c (1.11.2.3), ntsys.h (1.10.2.3), ntterm.h (1.6.2.3),
	  nttop.c (1.35.2.6), nttop.h (1.6.2.3), nttrap.c (1.26.2.7),
	  nttrap.h (1.7.2.3), nttterm.c (1.6.2.3), nttty.c (1.10.2.3),
	  object.h (9.59.2.10), obstack.c (1.8.2.3), obstack.h (1.14.2.3),
	  option.c (1.61.2.10), option.h (1.16.2.4), os.h (1.9.2.4), os2.c
	  (1.10.2.4), os2.h (1.10.2.3), os2api.h (1.14.2.3), os2conio.c
	  (1.12.2.3), os2cthrd.c (1.12.2.3), os2cthrd.h (1.9.2.3),
	  os2ctty.c (1.6.2.3), os2ctty.h (1.4.2.3), os2env.c (1.16.2.3),
	  os2file.c (1.5.2.3), os2fs.c (1.16.2.3), os2io.c (1.11.2.2),
	  os2io.h (1.6.2.3), os2msg.c (1.17.2.4), os2msg.h (1.18.2.3),
	  os2pipe.c (1.10.2.3), os2pm.c (1.35.2.3), os2pm.h (1.15.2.3),
	  os2pmcon.c (1.31.2.3), os2pmcon.h (1.6.2.3), os2pmcon.rc
	  (1.7.2.3), os2proc.c (1.9.2.3), os2proc.h (1.4.2.3), os2sock.c
	  (1.20.2.3), os2term.c (1.6.2.3), os2thrd.c (1.8.2.3), os2thrd.h
	  (1.6.2.3), os2top.c (1.23.2.4), os2tty.c (1.4.2.3), os2xcpt.c
	  (1.15.2.6), osctty.h (1.6.2.3), osenv.h (1.12.2.3), osfile.h
	  (1.6.2.3), osfs.h (1.12.2.3), osio.h (1.19.2.3), osproc.h
	  (1.12.2.3), ospty.h (1.6.2.3), osscheme.c (1.14.2.4), osscheme.h
	  (1.13.2.4), ossig.h (1.6.2.3), osterm.h (1.13.2.3), ostop.h
	  (1.7.2.3), ostty.c (1.6.2.3), ostty.h (1.7.2.3), outf.c
	  (1.14.2.4), outf.h (1.7.2.3), prbfish.c (1.14.2.3), prdb4.c
	  (1.2.2.5), prename.h (1.11.2.3), prgdbm.c (1.6.2.3), prim.c
	  (9.45.2.5), prim.h (9.50.2.3), prims.h (9.52.2.4), primutl.c
	  (9.80.2.4), prmcrypt.c (1.5.2.4), prmd5.c (1.9.2.3), prmhash.c
	  (11.6.2.5), prntenv.c (1.12.2.3), prntfs.c (1.19.2.3), prntio.c
	  (1.15.2.3), pros2fs.c (1.20.2.3), pros2io.c (1.13.2.3), pros2pm.c
	  (1.23.2.3), prosenv.c (1.19.2.3), prosfile.c (1.12.2.3), prosfs.c
	  (1.18.2.4), prosio.c (1.24.2.3), prosproc.c (1.21.2.3), prospty.c
	  (1.6.2.3), prosterm.c (1.18.2.3), prostty.c (1.9.2.3), prpgsql.c
	  (1.9.2.3), pruxdld.c (1.19.2.3), pruxenv.c (1.22.2.4), pruxfs.c
	  (9.58.2.3), pruxio.c (1.10.2.3), pruxsock.c (1.22.2.4), ptrvec.c
	  (1.5.2.3), purify.c (9.65.2.12), purutl.c (9.54.2.11), regex.c
	  (1.22.2.3), regex.h (1.9.2.3), returns.h (9.45.2.3), rgxprim.c
	  (1.15.2.3), sample.c (9.28.2.3), scheme.h (9.42.2.4), scode.h
	  (9.29.2.3), sdata.h (9.42.2.3), stack.h (9.44.2.5), stackops.h
	  (11.1.2.2), step.c (9.39.2.3), storage.c (9.60.2.6), string.c
	  (9.49.2.3), svm1-defns.h (1.1.2.5), svm1-interp.c (1.1.2.3),
	  syntax.c (1.30.2.4), syntax.h (1.14.2.3), syscall.h (1.17.2.4),
	  sysprim.c (9.51.2.4), term.c (1.20.2.4), termcap.c (1.8.2.3),
	  terminfo.c (1.7.10.2), tparam.c (1.8.2.3), transact.c (1.7.2.3),
	  trap.h (9.51.2.4), tterm.c (1.16.2.3), types.h (9.40.2.6),
	  unstackify.c (11.1.2.2), usrdef.h (9.46.2.3), utabmd.scm
	  (9.88.2.6), utabmd.sh (1.5.2.4), utils.c (9.87.2.10), ux.c
	  (1.27.2.4), ux.h (1.78.2.6), uxctty.c (1.16.2.3), uxenv.c
	  (1.23.2.3), uxfile.c (1.13.2.3), uxfs.c (1.25.2.5), uxio.c
	  (1.53.2.4), uxio.h (1.7.2.3), uxproc.c (1.29.2.3), uxproc.h
	  (1.8.2.3), uxselect.h (1.8.2.3), uxsig.c (1.42.2.9), uxsig.h
	  (1.10.2.3), uxsock.c (1.31.2.4), uxsock.h (1.12.2.4), uxterm.c
	  (1.31.2.3), uxterm.h (1.7.2.3), uxtop.c (1.30.2.5), uxtop.h
	  (1.5.2.3), uxtrap.c (1.41.2.8), uxtrap.h (1.35.2.5), uxtty.c
	  (1.12.2.4), uxutil.c (1.9.2.3), uxutil.h (1.5.2.3), vector.c
	  (9.42.2.4), wind.c (1.8.2.3), winder.h (9.28.2.3), x11.h
	  (1.19.2.5), x11base.c (1.81.2.9), x11color.c (1.7.2.3),
	  x11graph.c (1.43.2.3), x11term.c (1.29.2.6), xdebug.c (9.37.2.5),
	  cmpauxmd/alpha.m4 (1.2.2.2), cmpauxmd/asmcvt.c (1.4.2.3),
	  cmpauxmd/c.c (1.15.2.4), cmpauxmd/hppa.m4 (1.42.2.3),
	  cmpauxmd/i386.m4 (1.64.2.3), cmpauxmd/m4-dos (1.4.2.3),
	  cmpauxmd/makefile (1.10.2.2), cmpauxmd/mc68k.m4 (1.30.2.3),
	  cmpauxmd/mips.m4 (1.18.2.3), cmpauxmd/vax.m4 (1.7.2.3),
	  cmpintmd/alpha.h (1.7.2.5), cmpintmd/c-config.h (1.1.2.2),
	  cmpintmd/c.c (1.1.2.2), cmpintmd/c.h (1.9.2.3), cmpintmd/hppa.h
	  (1.54.2.5), cmpintmd/i386-config.h (1.1.2.2), cmpintmd/i386.c
	  (1.1.2.4), cmpintmd/i386.h (1.37.2.10), cmpintmd/mc68k.h
	  (1.38.2.6), cmpintmd/mips.h (1.25.2.6), cmpintmd/none-config.h
	  (1.1.2.2), cmpintmd/none.c (1.1.2.2), cmpintmd/none.h (1.1.2.3),
	  cmpintmd/svm1-config.h (1.1.2.2), cmpintmd/svm1.c (1.1.2.4),
	  cmpintmd/svm1.h (1.1.2.11), cmpintmd/vax.h (1.11.2.5),
	  makegen/Makefile.in.in (1.25.2.11), makegen/dirs-liarc.scm
	  (1.1.2.2), makegen/files-core.scm (1.4.2.5),
	  makegen/files-optional.scm (1.6.2.5), makegen/files-os-prim.scm
	  (1.4.2.3), makegen/files-other.scm (1.4.2.3),
	  makegen/files-unix.scm (1.4.2.3), makegen/m4.sh (1.4.2.3),
	  makegen/makegen.scm (1.7.2.4), makegen/makeinit.sh (1.10.2.5),
	  ntutl/bch-p-nt.lst (1.8.2.3), ntutl/config.bat (1.7.2.1),
	  ntutl/config.h (1.7.2.5), ntutl/makefile (1.31.2.2),
	  ntutl/makefile.wcc (1.20.2.3), ntutl/scheme16.c (1.14.2.3),
	  ntutl/scheme16.mak (1.5.2.2), ntutl/scheme31.c (1.13.2.3),
	  ntutl/scheme32.c (1.20.2.3), ntutl/scm-p-nt.lst (1.8.2.3),
	  ntutl/setenv.bat (1.2.2.1), ntutl/wconfig.bat (1.4.2.2),
	  os2utl/config.cmd (1.5.2.1), os2utl/config.h (1.7.2.4),
	  os2utl/makefile (1.17.2.3), os2utl/makefile.cmn (1.16.2.2),
	  os2utl/makefile.emx (1.11.2.3), os2utl/makefile.gcc (1.10.2.3),
	  os2utl/makefile.vac (1.10.2.3), os2utl/makefile.wcc (1.11.2.3),
	  os2utl/mkos2pm.scm (1.4.2.3):

	Update copyright statements to GNU standard.

2007-01-05 17:23  Chris Hanson <edu/mit/csail/cph>

	* microcode/: configure.ac (1.6.2.16), os2pm.scm (1.16.2.3),
	  termcap.c (1.8.2.2), tparam.c (1.8.2.2):

	Update FSF address.

2007-01-05 16:19  Chris Hanson <edu/mit/csail/cph>

	* Clean.sh (1.10), Makefile.in (1.28), Makefile.std (1.15),
	  Setup.sh (1.16), Tags.sh (1.6), configure.ac (1.5), 6001/6001.cbf
	  (1.11), 6001/6001.pkg (1.19), 6001/6001.sf (1.18), 6001/arith.scm
	  (1.15), 6001/edextra.scm (1.38), 6001/floppy.scm (1.30),
	  6001/make.scm (15.40), 6001/nodefs.scm (1.18), 6001/pic-imag.scm
	  (1.14), 6001/pic-ops.scm (1.10), 6001/pic-read.scm (1.11),
	  6001/pic-reco.scm (1.13), 6001/picture.scm (1.34),
	  compiler/Clean.sh (1.11), compiler/Setup.sh (1.9),
	  compiler/Stage.sh (1.7), compiler/Tags.sh (1.6),
	  compiler/configure (1.10), compiler/back/asmmac.scm (1.22),
	  compiler/back/asutl.scm (1.7), compiler/back/bittop.scm (1.27),
	  compiler/back/bitutl.scm (1.14), compiler/back/insseq.scm (4.8),
	  compiler/back/lapgn1.scm (4.23), compiler/back/lapgn2.scm (1.27),
	  compiler/back/lapgn3.scm (4.20), compiler/back/linear.scm (4.21),
	  compiler/back/mermap.scm (1.9), compiler/back/regmap.scm (4.18),
	  compiler/back/syerly.scm (1.16), compiler/back/symtab.scm (1.51),
	  compiler/back/syntax.scm (1.33), compiler/base/asstop.scm (1.17),
	  compiler/base/blocks.scm (4.19), compiler/base/cfg1.scm (4.11),
	  compiler/base/cfg2.scm (4.8), compiler/base/cfg3.scm (4.9),
	  compiler/base/constr.scm (1.8), compiler/base/contin.scm (4.13),
	  compiler/base/crsend.scm (1.17), compiler/base/crstop.scm (1.17),
	  compiler/base/ctypes.scm (4.20), compiler/base/debug.scm (4.20),
	  compiler/base/enumer.scm (4.8), compiler/base/infnew.scm (4.16),
	  compiler/base/lvalue.scm (4.30), compiler/base/macros.scm (4.34),
	  compiler/base/make.scm (4.127), compiler/base/mvalue.scm (3.5),
	  compiler/base/object.scm (4.13), compiler/base/pmerly.scm (1.13),
	  compiler/base/pmlook.scm (1.14), compiler/base/pmpars.scm (1.12),
	  compiler/base/proced.scm (4.27), compiler/base/refctx.scm (1.7),
	  compiler/base/rvalue.scm (4.12), compiler/base/scode.scm (4.18),
	  compiler/base/sets.scm (4.6), compiler/base/subprb.scm (4.12),
	  compiler/base/switch.scm (4.31), compiler/base/toplev.scm (4.70),
	  compiler/base/utils.scm (4.34), compiler/documentation/cmpaux.txt
	  (1.5), compiler/documentation/cmpint.txt (1.13),
	  compiler/documentation/porting.guide (1.27), compiler/etc/asm.scm
	  (1.7), compiler/etc/comcmp.scm (1.15), compiler/etc/comfiles.scm
	  (1.11), compiler/etc/disload.scm (1.16), compiler/etc/stackp.scm
	  (1.11), compiler/etc/xcbfdir.scm (1.13), compiler/fggen/canon.scm
	  (1.27), compiler/fggen/declar.scm (1.10),
	  compiler/fggen/fggen.scm (4.42), compiler/fgopt/blktyp.scm
	  (4.20), compiler/fgopt/closan.scm (4.34),
	  compiler/fgopt/conect.scm (4.10), compiler/fgopt/contan.scm
	  (4.14), compiler/fgopt/delint.scm (1.8),
	  compiler/fgopt/desenv.scm (4.9), compiler/fgopt/envopt.scm
	  (1.14), compiler/fgopt/folcon.scm (4.13),
	  compiler/fgopt/offset.scm (4.13), compiler/fgopt/operan.scm
	  (4.12), compiler/fgopt/order.scm (4.22), compiler/fgopt/outer.scm
	  (4.10), compiler/fgopt/param.scm (1.8), compiler/fgopt/reord.scm
	  (1.7), compiler/fgopt/reteqv.scm (1.6), compiler/fgopt/reuse.scm
	  (1.12), compiler/fgopt/sideff.scm (1.13),
	  compiler/fgopt/simapp.scm (4.13), compiler/fgopt/simple.scm
	  (4.11), compiler/fgopt/subfre.scm (1.12),
	  compiler/fgopt/varind.scm (1.9), compiler/machines/C/compiler.cbf
	  (1.7), compiler/machines/C/compiler.pkg (1.21),
	  compiler/machines/C/compiler.sf (1.14),
	  compiler/machines/C/cout.scm (1.33), compiler/machines/C/ctop.scm
	  (1.21), compiler/machines/C/cutl.scm (1.9),
	  compiler/machines/C/decls.scm (1.12),
	  compiler/machines/C/lapgen.scm (1.23),
	  compiler/machines/C/machin.scm (1.14),
	  compiler/machines/C/make.scm (1.9),
	  compiler/machines/C/rgspcm.scm (1.7),
	  compiler/machines/C/rules1.scm (1.13),
	  compiler/machines/C/rules2.scm (1.9),
	  compiler/machines/C/rules3.scm (1.17),
	  compiler/machines/C/rules4.scm (1.7),
	  compiler/machines/C/rulfix.scm (1.11),
	  compiler/machines/C/rulflo.scm (1.12),
	  compiler/machines/C/rulrew.scm (1.9),
	  compiler/machines/C/stackify.scm (1.3),
	  compiler/machines/C/stackops.scm (1.3),
	  compiler/machines/C/traditional.scm (1.6),
	  compiler/machines/alpha/assmd.scm (1.8),
	  compiler/machines/alpha/coerce.scm (1.7),
	  compiler/machines/alpha/compiler.cbf (1.7),
	  compiler/machines/alpha/compiler.pkg (1.21),
	  compiler/machines/alpha/compiler.sf (1.14),
	  compiler/machines/alpha/dassm1.scm (1.8),
	  compiler/machines/alpha/dassm2.scm (1.8),
	  compiler/machines/alpha/dassm3.scm (1.6),
	  compiler/machines/alpha/decls.scm (1.13),
	  compiler/machines/alpha/inerly.scm (1.10),
	  compiler/machines/alpha/insmac.scm (1.10),
	  compiler/machines/alpha/instr1.scm (1.10),
	  compiler/machines/alpha/instr2.scm (1.8),
	  compiler/machines/alpha/instr3.scm (1.8),
	  compiler/machines/alpha/lapgen.scm (1.14),
	  compiler/machines/alpha/lapopt.scm (1.6),
	  compiler/machines/alpha/machin.scm (1.12),
	  compiler/machines/alpha/make.scm (1.8),
	  compiler/machines/alpha/rgspcm.scm (1.6),
	  compiler/machines/alpha/rules1.scm (1.8),
	  compiler/machines/alpha/rules2.scm (1.7),
	  compiler/machines/alpha/rules3.scm (1.14),
	  compiler/machines/alpha/rules4.scm (1.8),
	  compiler/machines/alpha/rulfix.scm (1.9),
	  compiler/machines/alpha/rulflo.scm (1.10),
	  compiler/machines/alpha/rulrew.scm (1.7),
	  compiler/machines/bobcat/assmd.scm (1.43),
	  compiler/machines/bobcat/coerce.scm (1.15),
	  compiler/machines/bobcat/compiler.cbf (1.7),
	  compiler/machines/bobcat/compiler.pkg (1.58),
	  compiler/machines/bobcat/compiler.sf (1.26),
	  compiler/machines/bobcat/dassm1.scm (4.26),
	  compiler/machines/bobcat/dassm2.scm (4.29),
	  compiler/machines/bobcat/dassm3.scm (4.13),
	  compiler/machines/bobcat/decls.scm (4.44),
	  compiler/machines/bobcat/flinstr1.scm (1.8),
	  compiler/machines/bobcat/flinstr2.scm (1.8),
	  compiler/machines/bobcat/inerly.scm (1.15),
	  compiler/machines/bobcat/insmac.scm (1.136),
	  compiler/machines/bobcat/instr1.scm (1.72),
	  compiler/machines/bobcat/instr2.scm (1.25),
	  compiler/machines/bobcat/instr3.scm (1.24),
	  compiler/machines/bobcat/instr4.scm (1.10),
	  compiler/machines/bobcat/insutl.scm (1.13),
	  compiler/machines/bobcat/lapgen.scm (4.58),
	  compiler/machines/bobcat/lapopt.scm (1.6),
	  compiler/machines/bobcat/machin.scm (4.38),
	  compiler/machines/bobcat/make.scm-68020 (4.93),
	  compiler/machines/bobcat/make.scm-68040 (4.94),
	  compiler/machines/bobcat/mc68ktgl.scm (1.7),
	  compiler/machines/bobcat/rgspcm.scm (4.7),
	  compiler/machines/bobcat/rules1.scm (4.43),
	  compiler/machines/bobcat/rules2.scm (4.19),
	  compiler/machines/bobcat/rules3.scm (4.47),
	  compiler/machines/bobcat/rules4.scm (4.19),
	  compiler/machines/bobcat/rulrew.scm (1.11),
	  compiler/machines/i386/assmd.scm (1.10),
	  compiler/machines/i386/coerce.scm (1.7),
	  compiler/machines/i386/compiler.cbf (1.8),
	  compiler/machines/i386/compiler.pkg (1.34),
	  compiler/machines/i386/compiler.sf (1.23),
	  compiler/machines/i386/dassm1.scm (1.17),
	  compiler/machines/i386/dassm2.scm (1.16),
	  compiler/machines/i386/dassm3.scm (1.14),
	  compiler/machines/i386/decls.scm (1.16),
	  compiler/machines/i386/inerly.scm (1.11),
	  compiler/machines/i386/insmac.scm (1.21),
	  compiler/machines/i386/instr1.scm (1.20),
	  compiler/machines/i386/instr2.scm (1.14),
	  compiler/machines/i386/instrf.scm (1.22),
	  compiler/machines/i386/insutl.scm (1.15),
	  compiler/machines/i386/lapgen.scm (1.37),
	  compiler/machines/i386/lapopt.scm (1.10),
	  compiler/machines/i386/machin.scm (1.23),
	  compiler/machines/i386/make.scm (1.10),
	  compiler/machines/i386/pc-make.scm (1.6),
	  compiler/machines/i386/rgspcm.scm (1.8),
	  compiler/machines/i386/rules1.scm (1.23),
	  compiler/machines/i386/rules2.scm (1.13),
	  compiler/machines/i386/rules3.scm (1.42),
	  compiler/machines/i386/rules4.scm (1.12),
	  compiler/machines/i386/rulfix.scm (1.38),
	  compiler/machines/i386/rulflo.scm (1.29),
	  compiler/machines/i386/rulrew.scm (1.19),
	  compiler/machines/mips/assmd.scm (1.9),
	  compiler/machines/mips/coerce.scm (1.6),
	  compiler/machines/mips/compiler.cbf (1.7),
	  compiler/machines/mips/compiler.pkg (1.28),
	  compiler/machines/mips/compiler.sf-big (1.16),
	  compiler/machines/mips/compiler.sf-little (1.16),
	  compiler/machines/mips/dassm1.scm (1.11),
	  compiler/machines/mips/dassm2.scm (1.11),
	  compiler/machines/mips/dassm3.scm (1.8),
	  compiler/machines/mips/decls.scm (1.17),
	  compiler/machines/mips/inerly.scm (1.10),
	  compiler/machines/mips/insmac.scm (1.10),
	  compiler/machines/mips/instr1.scm (1.13),
	  compiler/machines/mips/instr2a.scm (1.11),
	  compiler/machines/mips/instr2b.scm (1.10),
	  compiler/machines/mips/instr3.scm (1.9),
	  compiler/machines/mips/lapgen.scm (1.23),
	  compiler/machines/mips/lapopt.scm (1.6),
	  compiler/machines/mips/machin.scm (1.19),
	  compiler/machines/mips/make.scm-big (4.93),
	  compiler/machines/mips/make.scm-little (4.93),
	  compiler/machines/mips/mips.scm (1.8),
	  compiler/machines/mips/rgspcm.scm (1.6),
	  compiler/machines/mips/rules1.scm (1.11),
	  compiler/machines/mips/rules2.scm (1.7),
	  compiler/machines/mips/rules3.scm (1.24),
	  compiler/machines/mips/rules4.scm (1.8),
	  compiler/machines/mips/rulfix.scm (1.15),
	  compiler/machines/mips/rulflo.scm (1.14),
	  compiler/machines/mips/rulrew.scm (1.11),
	  compiler/machines/sparc/assmd.scm (1.8),
	  compiler/machines/sparc/cf.h-sparc (1.6),
	  compiler/machines/sparc/cmpaux-sparc.m4 (1.6),
	  compiler/machines/sparc/cmpint-sparc.h (1.6),
	  compiler/machines/sparc/coerce.scm (1.6),
	  compiler/machines/sparc/decls.scm (1.11),
	  compiler/machines/sparc/inerly.scm (1.10),
	  compiler/machines/sparc/insmac.scm (1.9),
	  compiler/machines/sparc/instr1.scm (1.8),
	  compiler/machines/sparc/instr2a.scm (1.8),
	  compiler/machines/sparc/instr2b.scm (1.8),
	  compiler/machines/sparc/instr3.scm (1.8),
	  compiler/machines/sparc/lapgen.scm (1.10),
	  compiler/machines/sparc/lapopt.scm (1.6),
	  compiler/machines/sparc/machin.scm (1.7),
	  compiler/machines/sparc/make.scm (1.7),
	  compiler/machines/sparc/rgspcm.scm (1.6),
	  compiler/machines/sparc/rules1.scm (1.6),
	  compiler/machines/sparc/rules2.scm (1.6),
	  compiler/machines/sparc/rules3.scm (1.8),
	  compiler/machines/sparc/rules4.scm (1.6),
	  compiler/machines/sparc/rulfix.scm (1.6),
	  compiler/machines/sparc/rulflo.scm (1.8),
	  compiler/machines/sparc/rulrew.scm (1.6),
	  compiler/machines/spectrum/assmd.scm (1.37),
	  compiler/machines/spectrum/coerce.scm (1.10),
	  compiler/machines/spectrum/compiler.cbf (1.7),
	  compiler/machines/spectrum/compiler.pkg (1.58),
	  compiler/machines/spectrum/compiler.sf (1.26),
	  compiler/machines/spectrum/dassm1.scm (4.26),
	  compiler/machines/spectrum/dassm2.scm (4.27),
	  compiler/machines/spectrum/dassm3.scm (1.7),
	  compiler/machines/spectrum/decls.scm (4.42),
	  compiler/machines/spectrum/inerly.scm (1.10),
	  compiler/machines/spectrum/insmac.scm (1.10),
	  compiler/machines/spectrum/instr1.scm (1.10),
	  compiler/machines/spectrum/instr2.scm (1.15),
	  compiler/machines/spectrum/instr3.scm (1.9),
	  compiler/machines/spectrum/lapgen.scm (4.55),
	  compiler/machines/spectrum/lapopt.scm (1.19),
	  compiler/machines/spectrum/machin.scm (4.34),
	  compiler/machines/spectrum/make.scm (4.94),
	  compiler/machines/spectrum/rgspcm.scm (4.8),
	  compiler/machines/spectrum/rules1.scm (4.40),
	  compiler/machines/spectrum/rules2.scm (4.19),
	  compiler/machines/spectrum/rules3.scm (4.48),
	  compiler/machines/spectrum/rules4.scm (4.17),
	  compiler/machines/spectrum/rulfix.scm (4.54),
	  compiler/machines/spectrum/rulflo.scm (4.46),
	  compiler/machines/spectrum/rulrew.scm (1.17),
	  compiler/machines/vax/assmd.scm (4.13),
	  compiler/machines/vax/coerce.scm (1.9),
	  compiler/machines/vax/compiler.cbf (1.10),
	  compiler/machines/vax/compiler.pkg (1.30),
	  compiler/machines/vax/compiler.sf (1.17),
	  compiler/machines/vax/dassm1.scm (4.13),
	  compiler/machines/vax/dassm2.scm (4.19),
	  compiler/machines/vax/dassm3.scm (1.8),
	  compiler/machines/vax/decls.scm (4.20),
	  compiler/machines/vax/dsyn.scm (1.16),
	  compiler/machines/vax/inerly.scm (1.14),
	  compiler/machines/vax/insmac.scm (1.21),
	  compiler/machines/vax/instr1.scm (1.14),
	  compiler/machines/vax/instr2.scm (1.15),
	  compiler/machines/vax/instr3.scm (1.18),
	  compiler/machines/vax/insutl.scm (4.8),
	  compiler/machines/vax/lapgen.scm (4.23),
	  compiler/machines/vax/lapopt.scm (1.6),
	  compiler/machines/vax/machin.scm (4.17),
	  compiler/machines/vax/make.scm (4.93),
	  compiler/machines/vax/rgspcm.scm (4.7),
	  compiler/machines/vax/rules1.scm (4.12),
	  compiler/machines/vax/rules2.scm (4.9),
	  compiler/machines/vax/rules3.scm (4.18),
	  compiler/machines/vax/rules4.scm (4.9),
	  compiler/machines/vax/rulfix.scm (1.12),
	  compiler/machines/vax/rulrew.scm (1.7),
	  compiler/rtlbase/regset.scm (1.8), compiler/rtlbase/rgraph.scm
	  (4.13), compiler/rtlbase/rtlcfg.scm (4.14),
	  compiler/rtlbase/rtlcon.scm (4.34), compiler/rtlbase/rtlexp.scm
	  (4.24), compiler/rtlbase/rtline.scm (4.15),
	  compiler/rtlbase/rtlobj.scm (4.16), compiler/rtlbase/rtlreg.scm
	  (4.14), compiler/rtlbase/rtlty1.scm (4.27),
	  compiler/rtlbase/rtlty2.scm (4.17), compiler/rtlbase/valclass.scm
	  (1.11), compiler/rtlgen/fndblk.scm (4.16),
	  compiler/rtlgen/fndvar.scm (1.11), compiler/rtlgen/opncod.scm
	  (4.77), compiler/rtlgen/rgcomb.scm (4.25),
	  compiler/rtlgen/rgproc.scm (4.18), compiler/rtlgen/rgretn.scm
	  (4.18), compiler/rtlgen/rgrval.scm (4.27),
	  compiler/rtlgen/rgstmt.scm (4.21), compiler/rtlgen/rtlgen.scm
	  (4.34), compiler/rtlopt/ralloc.scm (1.22),
	  compiler/rtlopt/rcompr.scm (1.19), compiler/rtlopt/rcse1.scm
	  (4.28), compiler/rtlopt/rcse2.scm (4.18),
	  compiler/rtlopt/rcseep.scm (4.11), compiler/rtlopt/rcseht.scm
	  (4.17), compiler/rtlopt/rcserq.scm (4.11),
	  compiler/rtlopt/rcsesr.scm (4.8), compiler/rtlopt/rdebug.scm
	  (1.8), compiler/rtlopt/rdflow.scm (1.8),
	  compiler/rtlopt/rerite.scm (1.9), compiler/rtlopt/rinvex.scm
	  (1.14), compiler/rtlopt/rlife.scm (1.65),
	  compiler/rtlopt/rtlcsm.scm (1.6), cref/Makefile.in (1.8),
	  cref/anfile.scm (1.11), cref/conpkg.scm (1.18), cref/cref.cbf
	  (1.7), cref/cref.pkg (1.14), cref/cref.sf (1.20), cref/forpkg.scm
	  (1.14), cref/make.scm (1.30), cref/mset.scm (1.6),
	  cref/object.scm (1.18), cref/redpkg.scm (1.30), cref/toplev.scm
	  (1.27), cref/triv.pkg (1.11), edwin/Clean.sh (1.12),
	  edwin/Makefile.in (1.12), edwin/abbrev.scm (1.12), edwin/ansi.scm
	  (1.12), edwin/argred.scm (1.38), edwin/artdebug.scm (1.37),
	  edwin/autold.scm (1.68), edwin/autosv.scm (1.39), edwin/basic.scm
	  (1.147), edwin/bios.scm (1.9), edwin/bufcom.scm (1.112),
	  edwin/buffer.scm (1.195), edwin/buffrm.scm (1.65),
	  edwin/bufinp.scm (1.15), edwin/bufmnu.scm (1.136),
	  edwin/bufout.scm (1.19), edwin/bufset.scm (1.17),
	  edwin/bufwfs.scm (1.25), edwin/bufwin.scm (1.318),
	  edwin/bufwiu.scm (1.40), edwin/bufwmc.scm (1.23),
	  edwin/c-mode.scm (1.65), edwin/calias.scm (1.35),
	  edwin/cinden.scm (1.25), edwin/class.scm (1.77), edwin/clscon.scm
	  (1.16), edwin/clsmac.scm (1.15), edwin/comatch.scm (1.9),
	  edwin/comhst.scm (1.11), edwin/comint.scm (1.34),
	  edwin/comman.scm (1.90), edwin/compile.scm (1.19),
	  edwin/comred.scm (1.128), edwin/comtab.scm (1.77),
	  edwin/comwin.scm (1.152), edwin/curren.scm (1.150),
	  edwin/dabbrev.scm (1.9), edwin/debian-changelog.scm (1.11),
	  edwin/debug.scm (1.72), edwin/debuge.scm (1.60), edwin/decls.scm
	  (1.80), edwin/dired.scm (1.201), edwin/diros2.scm (1.9),
	  edwin/dirunx.scm (1.18), edwin/dirw32.scm (1.9),
	  edwin/display.scm (1.12), edwin/docstr.scm (1.9), edwin/dos.scm
	  (1.58), edwin/doscom.scm (1.8), edwin/dosfile.scm (1.47),
	  edwin/dosproc.scm (1.14), edwin/dosshell.scm (1.10),
	  edwin/ed-ffi.scm (1.58), edwin/editor.scm (1.264),
	  edwin/edtfrm.scm (1.97), edwin/edtstr.scm (1.35), edwin/edwin.cbf
	  (1.8), edwin/edwin.ldr (1.80), edwin/edwin.pkg (1.302),
	  edwin/edwin.sf (1.36), edwin/evlcom.scm (1.73), edwin/eystep.scm
	  (1.11), edwin/filcom.scm (1.228), edwin/fileio.scm (1.170),
	  edwin/fill.scm (1.75), edwin/grpops.scm (1.33), edwin/hlpcom.scm
	  (1.131), edwin/htmlmode.scm (1.16), edwin/image.scm (1.142),
	  edwin/info.scm (1.143), edwin/input.scm (1.107), edwin/intmod.scm
	  (1.124), edwin/iserch.scm (1.28), edwin/javamode.scm (1.16),
	  edwin/key-w32.scm (1.8), edwin/key-x11.scm (1.10),
	  edwin/keymap.scm (1.22), edwin/keyparse.scm (1.8),
	  edwin/kilcom.scm (1.77), edwin/kmacro.scm (1.50),
	  edwin/lincom.scm (1.129), edwin/linden.scm (1.134),
	  edwin/loadef.scm (1.52), edwin/lspcom.scm (1.165),
	  edwin/macros.scm (1.80), edwin/make.scm (3.123), edwin/malias.scm
	  (1.12), edwin/manual.scm (1.21), edwin/midas.scm (1.27),
	  edwin/modefs.scm (1.169), edwin/modes.scm (1.40),
	  edwin/modlin.scm (1.28), edwin/modwin.scm (1.47),
	  edwin/motcom.scm (1.54), edwin/motion.scm (1.93),
	  edwin/mousecom.scm (1.10), edwin/nntp.scm (1.34),
	  edwin/notify.scm (1.26), edwin/nvector.scm (1.13),
	  edwin/occur.scm (1.13), edwin/os2.scm (1.56), edwin/os2com.scm
	  (1.10), edwin/os2term.scm (1.29), edwin/outline.scm (1.14),
	  edwin/pasmod.scm (1.56), edwin/paths.scm (1.20), edwin/print.scm
	  (1.25), edwin/process.scm (1.69), edwin/prompt.scm (1.204),
	  edwin/pwedit.scm (1.14), edwin/pwparse.scm (1.6),
	  edwin/rcsparse.scm (1.8), edwin/reccom.scm (1.19),
	  edwin/regcom.scm (1.27), edwin/regexp.scm (1.86),
	  edwin/regops.scm (1.93), edwin/rename.scm (1.13),
	  edwin/replaz.scm (1.85), edwin/rfc822.scm (3.9), edwin/ring.scm
	  (1.17), edwin/rmail.scm (1.78), edwin/rmailsrt.scm (1.18),
	  edwin/rmailsum.scm (1.41), edwin/schmod.scm (1.76),
	  edwin/scrcom.scm (1.13), edwin/screen.scm (1.124),
	  edwin/search.scm (1.161), edwin/sendmail.scm (1.90),
	  edwin/sercom.scm (1.70), edwin/shell.scm (1.28), edwin/simple.scm
	  (1.59), edwin/snr.scm (1.69), edwin/sort.scm (1.13),
	  edwin/strpad.scm (1.13), edwin/strtab.scm (1.52),
	  edwin/struct.scm (1.103), edwin/syntax.scm (1.97),
	  edwin/tagutl.scm (1.65), edwin/techinfo.scm (1.10),
	  edwin/telnet.scm (1.19), edwin/termcap.scm (1.11),
	  edwin/texcom.scm (1.51), edwin/things.scm (1.93),
	  edwin/tparse.scm (1.80), edwin/tterm.scm (1.45), edwin/tximod.scm
	  (1.33), edwin/txtprp.scm (1.28), edwin/undo.scm (1.68),
	  edwin/unix.scm (1.123), edwin/utils.scm (1.59), edwin/utlwin.scm
	  (1.65), edwin/vc.scm (1.97), edwin/verilog.scm (1.14),
	  edwin/vhdl.scm (1.14), edwin/webster.scm (1.10), edwin/win32.scm
	  (1.21), edwin/win32com.scm (1.13), edwin/wincom.scm (1.138),
	  edwin/window.scm (1.165), edwin/winout.scm (1.20),
	  edwin/winren.scm (1.11), edwin/xcom.scm (1.27), edwin/xform.scm
	  (1.17), edwin/xmodef.scm (1.8), edwin/xterm.scm (1.80),
	  etc/Clean.sh (1.16), etc/Setup.sh (1.12), etc/Stage.sh (1.8),
	  etc/Tags.sh (1.6), etc/build-bands.sh (1.6), etc/compile.scm
	  (1.12), etc/compile.sh (1.10), etc/functions.sh (1.6),
	  etc/optiondb.scm (1.17), etc/script.scm (1.4), imail/Makefile.in
	  (1.8), imail/compile.scm (1.24), imail/ed-ffi.scm (1.25),
	  imail/imail-browser.scm (1.14), imail/imail-core.scm (1.156),
	  imail/imail-file.scm (1.89), imail/imail-imap.scm (1.208),
	  imail/imail-rmail.scm (1.75), imail/imail-summary.scm (1.55),
	  imail/imail-top.scm (1.296), imail/imail-umail.scm (1.56),
	  imail/imail-util.scm (1.48), imail/imail.pkg (1.103),
	  imail/imap-response.scm (1.50), imail/imap-syntax.scm (1.23),
	  imail/load.scm (1.46), imail/print.sh (1.13), microcode/Clean.sh
	  (1.6), microcode/Setup.sh (1.11), microcode/array.c (9.50),
	  microcode/array.h (9.40), microcode/artutl.c (1.20),
	  microcode/avltree.c (1.10), microcode/avltree.h (1.9),
	  microcode/bchdmp.c (9.94), microcode/bchdrn.c (1.14),
	  microcode/bchdrn.h (1.14), microcode/bchgcc.h (9.67),
	  microcode/bchgcl.c (9.58), microcode/bchmmg.c (9.106),
	  microcode/bchpur.c (9.76), microcode/bchutl.c (1.17),
	  microcode/bignmint.h (1.10), microcode/bignum.c (9.56),
	  microcode/bignum.h (9.35), microcode/bigprm.c (1.10),
	  microcode/bintopsb.c (9.81), microcode/bitstr.c (9.68),
	  microcode/bitstr.h (1.14), microcode/bkpt.c (9.36),
	  microcode/bkpt.h (9.38), microcode/bltdef.h (1.8),
	  microcode/boot.c (9.121), microcode/breakup.c (9.29),
	  microcode/char.c (9.37), microcode/cmpgc.h (1.36),
	  microcode/cmpint.c (1.107), microcode/cmpint.h (10.14),
	  microcode/cmptype.h (1.8), microcode/comlin.c (1.14),
	  microcode/comlin.h (1.11), microcode/compinit.c (1.10),
	  microcode/comutl.c (1.36), microcode/configure.ac (1.19),
	  microcode/confshared.h (11.11), microcode/const.h (9.55),
	  microcode/copyrigh.c (1.7), microcode/critsec.h (1.8),
	  microcode/daemon.c (9.36), microcode/debug.c (9.60),
	  microcode/default.h (9.49), microcode/dfloat.c (1.10),
	  microcode/dmpwrld.c (9.45), microcode/dstack.h (1.15),
	  microcode/dump.c (9.44), microcode/edwin.h (1.13),
	  microcode/error.c (1.12), microcode/errors.h (9.48),
	  microcode/extern.c (9.42), microcode/extern.h (9.67),
	  microcode/fasdump.c (9.70), microcode/fasl.h (9.43),
	  microcode/fasload.c (9.98), microcode/fft.c (9.37),
	  microcode/fhooks.c (9.39), microcode/findprim.c (9.60),
	  microcode/fixnum.c (9.48), microcode/fixobj.h (9.42),
	  microcode/flonum.c (9.47), microcode/foreign.c (1.8),
	  microcode/foreign.h (1.7), microcode/future.c (9.33),
	  microcode/futures.h (9.34), microcode/gc.h (9.38),
	  microcode/gccode.h (9.62), microcode/gcloop.c (9.53),
	  microcode/gctype.c (9.38), microcode/generic.c (9.43),
	  microcode/gpio.c (1.15), microcode/history.h (9.36),
	  microcode/hooks.c (9.68), microcode/hppacach.c (1.17),
	  microcode/hppacach.h (1.10), microcode/hppanwca.c (1.9),
	  microcode/hunk.c (9.33), microcode/image.c (9.39),
	  microcode/image.h (9.29), microcode/intercom.c (9.38),
	  microcode/intern.c (9.65), microcode/interp.c (9.104),
	  microcode/interp.h (9.52), microcode/intext.c (1.9),
	  microcode/intext.h (1.9), microcode/intprm.c (1.14),
	  microcode/intrpt.h (1.26), microcode/liarc.h (1.25),
	  microcode/list.c (9.37), microcode/load.c (9.45),
	  microcode/locks.h (9.30), microcode/lookprm.c (1.23),
	  microcode/lookup.c (9.74), microcode/lookup.h (9.59),
	  microcode/memmag.c (9.74), microcode/memmag.h (1.12),
	  microcode/missing.c (9.37), microcode/mul.c (9.39),
	  microcode/nt.h (1.13), microcode/ntapi.h (1.20),
	  microcode/ntasutl.asm (1.10), microcode/ntenv.c (1.23),
	  microcode/ntfile.c (1.18), microcode/ntfs.c (1.33),
	  microcode/ntfs.h (1.9), microcode/ntgui.c (1.33),
	  microcode/ntgui.h (1.12), microcode/ntio.c (1.34),
	  microcode/ntio.h (1.16), microcode/ntproc.c (1.12),
	  microcode/ntproc.h (1.6), microcode/ntscmlib.h (1.14),
	  microcode/ntscreen.c (1.54), microcode/ntscreen.h (1.25),
	  microcode/ntsig.c (1.26), microcode/ntsock.c (1.22),
	  microcode/ntsys.c (1.13), microcode/ntsys.h (1.12),
	  microcode/ntterm.h (1.8), microcode/nttop.c (1.39),
	  microcode/nttop.h (1.8), microcode/nttrap.c (1.29),
	  microcode/nttrap.h (1.9), microcode/nttterm.c (1.8),
	  microcode/nttty.c (1.12), microcode/object.h (9.63),
	  microcode/option.c (1.64), microcode/option.h (1.18),
	  microcode/os.h (1.12), microcode/os2.c (1.13), microcode/os2.h
	  (1.12), microcode/os2api.h (1.16), microcode/os2conio.c (1.14),
	  microcode/os2cthrd.c (1.14), microcode/os2cthrd.h (1.11),
	  microcode/os2ctty.c (1.8), microcode/os2ctty.h (1.6),
	  microcode/os2env.c (1.18), microcode/os2file.c (1.7),
	  microcode/os2fs.c (1.18), microcode/os2io.c (1.13),
	  microcode/os2io.h (1.8), microcode/os2msg.c (1.19),
	  microcode/os2msg.h (1.20), microcode/os2pipe.c (1.12),
	  microcode/os2pm.c (1.37), microcode/os2pm.h (1.17),
	  microcode/os2pm.scm (1.18), microcode/os2pmcon.c (1.33),
	  microcode/os2pmcon.h (1.8), microcode/os2pmcon.rc (1.9),
	  microcode/os2proc.c (1.11), microcode/os2proc.h (1.6),
	  microcode/os2sock.c (1.22), microcode/os2term.c (1.8),
	  microcode/os2thrd.c (1.10), microcode/os2thrd.h (1.8),
	  microcode/os2top.c (1.25), microcode/os2tty.c (1.6),
	  microcode/os2xcpt.c (1.17), microcode/osctty.h (1.8),
	  microcode/osenv.h (1.14), microcode/osfile.h (1.8),
	  microcode/osfs.h (1.14), microcode/osio.h (1.21),
	  microcode/osproc.h (1.14), microcode/ospty.h (1.8),
	  microcode/osscheme.c (1.17), microcode/osscheme.h (1.16),
	  microcode/ossig.h (1.8), microcode/osterm.h (1.15),
	  microcode/ostop.h (1.9), microcode/ostty.c (1.8),
	  microcode/ostty.h (1.9), microcode/outf.c (1.16),
	  microcode/outf.h (1.9), microcode/ppband.c (9.68),
	  microcode/prbfish.c (1.16), microcode/prdb4.c (1.6),
	  microcode/prename.h (1.13), microcode/prgdbm.c (1.8),
	  microcode/prim.c (9.48), microcode/prim.h (9.52),
	  microcode/prims.h (9.54), microcode/primutl.c (9.83),
	  microcode/prmcon.c (1.9), microcode/prmcon.h (1.8),
	  microcode/prmcrypt.c (1.9), microcode/prmd5.c (1.11),
	  microcode/prmhash.c (11.11), microcode/prntenv.c (1.14),
	  microcode/prntfs.c (1.21), microcode/prntio.c (1.17),
	  microcode/pros2fs.c (1.22), microcode/pros2io.c (1.15),
	  microcode/pros2pm.c (1.25), microcode/prosenv.c (1.21),
	  microcode/prosfile.c (1.14), microcode/prosfs.c (1.21),
	  microcode/prosio.c (1.26), microcode/prosproc.c (1.23),
	  microcode/prospty.c (1.8), microcode/prosterm.c (1.20),
	  microcode/prostty.c (1.11), microcode/prpgsql.c (1.11),
	  microcode/pruxdld.c (1.21), microcode/pruxenv.c (1.24),
	  microcode/pruxfs.c (9.60), microcode/pruxio.c (1.12),
	  microcode/pruxsock.c (1.25), microcode/psbmap.h (9.49),
	  microcode/psbtobin.c (9.66), microcode/ptrvec.c (1.8),
	  microcode/purify.c (9.67), microcode/purutl.c (9.56),
	  microcode/regex.c (1.24), microcode/regex.h (1.11),
	  microcode/returns.h (9.47), microcode/rgxprim.c (1.17),
	  microcode/sample.c (9.30), microcode/scheme.h (9.44),
	  microcode/scode.h (9.31), microcode/sdata.h (9.44),
	  microcode/sgraph.h (1.11), microcode/sgraph_a.c (1.21),
	  microcode/sgx.c (1.13), microcode/sgx11.c (1.8),
	  microcode/stack.h (9.46), microcode/stackops.h (11.3),
	  microcode/starbase.c (1.11), microcode/starbasx.c (1.10),
	  microcode/step.c (9.41), microcode/storage.c (9.62),
	  microcode/string.c (9.51), microcode/syntax.c (1.37),
	  microcode/syntax.h (1.16), microcode/syscall.h (1.20),
	  microcode/sysprim.c (9.53), microcode/term.c (1.22),
	  microcode/terminfo.c (1.8), microcode/transact.c (1.9),
	  microcode/trap.h (9.53), microcode/tterm.c (1.19),
	  microcode/types.h (9.42), microcode/unstackify.c (11.3),
	  microcode/usrdef.h (9.48), microcode/utabmd.scm (9.91),
	  microcode/utabmd.sh (1.10), microcode/utils.c (9.89),
	  microcode/ux.c (1.30), microcode/ux.h (1.82), microcode/uxctty.c
	  (1.18), microcode/uxenv.c (1.25), microcode/uxfile.c (1.15),
	  microcode/uxfs.c (1.29), microcode/uxio.c (1.56),
	  microcode/uxio.h (1.9), microcode/uxproc.c (1.34),
	  microcode/uxproc.h (1.10), microcode/uxselect.h (1.10),
	  microcode/uxsig.c (1.48), microcode/uxsig.h (1.12),
	  microcode/uxsock.c (1.34), microcode/uxsock.h (1.15),
	  microcode/uxterm.c (1.33), microcode/uxterm.h (1.9),
	  microcode/uxtop.c (1.33), microcode/uxtop.h (1.7),
	  microcode/uxtrap.c (1.44), microcode/uxtrap.h (1.37),
	  microcode/uxtty.c (1.15), microcode/uxutil.c (1.11),
	  microcode/uxutil.h (1.7), microcode/uxyp.c (1.7),
	  microcode/vector.c (9.44), microcode/wabbit.c (1.13),
	  microcode/wind.c (1.11), microcode/winder.h (9.30),
	  microcode/wsize.c (9.38), microcode/x11.h (1.23),
	  microcode/x11base.c (1.90), microcode/x11color.c (1.9),
	  microcode/x11graph.c (1.45), microcode/x11term.c (1.34),
	  microcode/xdebug.c (9.39), microcode/zones.h (9.30),
	  microcode/cmpauxmd/alpha.m4 (1.3), microcode/cmpauxmd/asmcvt.c
	  (1.6), microcode/cmpauxmd/c.c (1.20), microcode/cmpauxmd/hppa.m4
	  (1.44), microcode/cmpauxmd/i386.m4 (1.66),
	  microcode/cmpauxmd/m4-dos (1.6), microcode/cmpauxmd/makefile
	  (1.12), microcode/cmpauxmd/mc68k.m4 (1.32),
	  microcode/cmpauxmd/mips.m4 (1.20), microcode/cmpauxmd/vax.m4
	  (1.9), microcode/cmpintmd/alpha.h (1.8), microcode/cmpintmd/c.h
	  (1.12), microcode/cmpintmd/hppa.h (1.56),
	  microcode/cmpintmd/i386.h (1.39), microcode/cmpintmd/mc68k.h
	  (1.40), microcode/cmpintmd/mips.h (1.27),
	  microcode/cmpintmd/vax.h (1.13), microcode/makegen/Makefile.in.in
	  (1.36), microcode/makegen/files-core.scm (1.6),
	  microcode/makegen/files-gc-bch.scm (1.6),
	  microcode/makegen/files-gc-std.scm (1.6),
	  microcode/makegen/files-optional.scm (1.8),
	  microcode/makegen/files-os-prim.scm (1.6),
	  microcode/makegen/files-other.scm (1.8),
	  microcode/makegen/files-unix.scm (1.6), microcode/makegen/m4.sh
	  (1.6), microcode/makegen/makegen.scm (1.14),
	  microcode/makegen/makeinit.sh (1.15),
	  microcode/ntutl/bch-p-nt.lst (1.10), microcode/ntutl/config.bat
	  (1.8), microcode/ntutl/config.h (1.13), microcode/ntutl/makefile
	  (1.33), microcode/ntutl/makefile.wcc (1.23),
	  microcode/ntutl/scheme16.c (1.16), microcode/ntutl/scheme16.mak
	  (1.7), microcode/ntutl/scheme31.c (1.15),
	  microcode/ntutl/scheme32.c (1.22), microcode/ntutl/scm-p-nt.lst
	  (1.10), microcode/ntutl/setenv.bat (1.3),
	  microcode/ntutl/wconfig.bat (1.5), microcode/os2utl/config.cmd
	  (1.6), microcode/os2utl/config.h (1.11),
	  microcode/os2utl/makefile (1.19), microcode/os2utl/makefile.cmn
	  (1.18), microcode/os2utl/makefile.emx (1.13),
	  microcode/os2utl/makefile.gcc (1.12),
	  microcode/os2utl/makefile.vac (1.12),
	  microcode/os2utl/makefile.wcc (1.13),
	  microcode/os2utl/mkos2pm.scm (1.6), pcsample/load.scm (1.11),
	  pcsample/pcs.cbf (1.7), pcsample/pcs.pkg (1.7), pcsample/pcs.sf
	  (1.7), pcsample/pcsample.c (1.10), pcsample/pcsample.scm (1.8),
	  pcsample/pcsboot.scm (1.6), pcsample/pcscobl.c (1.6),
	  pcsample/pcscobl.scm (1.7), pcsample/pcsdisp.scm (1.8),
	  pcsample/pcsdld.c (1.9), pcsample/pcsintrp.scm (1.6),
	  pcsample/pcsiproc.c (1.6), pcsample/pcsiproc.scm (1.6),
	  pcsample/pribinut.scm (1.6), rcs/compile.scm (1.8),
	  rcs/format.scm (1.7), rcs/load.scm (1.8), rcs/logmer.scm (1.31),
	  rcs/mklogs.scm (1.26), rcs/nparse.scm (1.7), rcs/object.scm
	  (1.10), rcs/rcs.pkg (1.11), runtime/Makefile.in (1.12),
	  runtime/advice.scm (14.23), runtime/apply.scm (1.9),
	  runtime/apropos.scm (1.9), runtime/arith.scm (1.65),
	  runtime/berkeley-db.scm (1.6), runtime/bitstr.scm (14.8),
	  runtime/blowfish.scm (1.28), runtime/boole.scm (14.8),
	  runtime/boot.scm (14.25), runtime/char.scm (14.30),
	  runtime/chrset.scm (14.22), runtime/chrsyn.scm (1.10),
	  runtime/codwlk.scm (14.8), runtime/conpar.scm (14.51),
	  runtime/contin.scm (14.17), runtime/cpoint.scm (14.12),
	  runtime/cpress.scm (1.16), runtime/crypto.scm (14.20),
	  runtime/datime.scm (14.43), runtime/dbgcmd.scm (14.20),
	  runtime/dbgutl.scm (14.27), runtime/debug.scm (14.49),
	  runtime/defstr.scm (14.57), runtime/dosdir.scm (1.14),
	  runtime/dosprm.scm (1.49), runtime/dosproc.scm (1.7),
	  runtime/dospth.scm (1.46), runtime/dragon4.scm (1.20),
	  runtime/ed-ffi.scm (1.39), runtime/emacs.scm (14.42),
	  runtime/equals.scm (14.14), runtime/error.scm (14.72),
	  runtime/events.scm (14.9), runtime/fileio.scm (1.34),
	  runtime/fixart.scm (1.17), runtime/format.scm (14.11),
	  runtime/framex.scm (14.23), runtime/gc.scm (14.25),
	  runtime/gcdemn.scm (14.12), runtime/gcfinal.scm (14.12),
	  runtime/gcnote.scm (14.20), runtime/gcstat.scm (14.10),
	  runtime/gdatab.scm (14.11), runtime/gdbm.scm (1.10),
	  runtime/gencache.scm (1.7), runtime/geneqht.scm (1.6),
	  runtime/generic.scm (1.16), runtime/genio.scm (1.49),
	  runtime/genmult.scm (1.8), runtime/gensym.scm (14.10),
	  runtime/gentag.scm (1.8), runtime/global.scm (14.77),
	  runtime/graphics.scm (1.26), runtime/hash.scm (14.12),
	  runtime/hashtb.scm (1.37), runtime/histry.scm (14.10),
	  runtime/infstr.scm (1.20), runtime/infutl.scm (1.72),
	  runtime/input.scm (14.33), runtime/intrpt.scm (14.29),
	  runtime/io.scm (14.86), runtime/krypt.scm (1.16),
	  runtime/kryptdum.scm (1.6), runtime/lambda.scm (14.21),
	  runtime/lambdx.scm (14.14), runtime/list.scm (14.54),
	  runtime/load.scm (14.83), runtime/make.scm (14.108),
	  runtime/mime-codec.scm (14.18), runtime/mit-syntax.scm (14.29),
	  runtime/msort.scm (14.13), runtime/ntdir.scm (1.6),
	  runtime/ntprm.scm (1.49), runtime/numint.scm (1.10),
	  runtime/numpar.scm (14.22), runtime/option.scm (14.52),
	  runtime/optiondb.scm (1.19), runtime/ordvec.scm (1.7),
	  runtime/os2ctype.scm (1.8), runtime/os2dir.scm (1.9),
	  runtime/os2graph.scm (1.27), runtime/os2prm.scm (1.56),
	  runtime/os2winp.scm (1.22), runtime/output.scm (14.39),
	  runtime/packag.scm (14.50), runtime/parse.scm (14.65),
	  runtime/parser-buffer.scm (1.18), runtime/partab.scm (14.11),
	  runtime/pathnm.scm (14.51), runtime/pgsql.scm (1.13),
	  runtime/poplat.scm (14.8), runtime/port.scm (1.48),
	  runtime/pp.scm (14.52), runtime/prgcop.scm (1.11),
	  runtime/process.scm (1.34), runtime/prop1d.scm (14.10),
	  runtime/prop2d.scm (14.7), runtime/qsort.scm (14.9),
	  runtime/queue.scm (14.9), runtime/random.scm (14.40),
	  runtime/rbtree.scm (1.11), runtime/record.scm (1.58),
	  runtime/recslot.scm (1.12), runtime/regexp.scm (1.17),
	  runtime/rep.scm (14.68), runtime/rexp.scm (1.26),
	  runtime/rgxcmp.scm (1.127), runtime/runtime.cbf (1.7),
	  runtime/runtime.pkg (14.608), runtime/runtime.sf (14.23),
	  runtime/savres.scm (14.48), runtime/scan.scm (14.11),
	  runtime/scode.scm (14.24), runtime/scomb.scm (14.26),
	  runtime/sdata.scm (14.7), runtime/sfile.scm (14.42),
	  runtime/site.scm.dos (1.18), runtime/site.scm.unix (1.19),
	  runtime/socket.scm (1.31), runtime/srfi-1.scm (1.3),
	  runtime/starbase.scm (1.22), runtime/stream.scm (14.22),
	  runtime/string.scm (14.63), runtime/strnin.scm (14.20),
	  runtime/strott.scm (14.17), runtime/strout.scm (14.27),
	  runtime/symbol.scm (1.23), runtime/syncproc.scm (1.13),
	  runtime/syntactic-closures.scm (14.18), runtime/syntax-check.scm
	  (14.7), runtime/syntax-output.scm (14.13),
	  runtime/syntax-rules.scm (14.10), runtime/syntax-transforms.scm
	  (14.9), runtime/sysclk.scm (14.8), runtime/sysmac.scm (14.16),
	  runtime/system.scm (14.18), runtime/thread.scm (1.42),
	  runtime/tscript.scm (1.11), runtime/ttyio.scm (1.25),
	  runtime/tvector.scm (1.7), runtime/udata.scm (14.25),
	  runtime/uenvir.scm (14.62), runtime/uerror.scm (14.55),
	  runtime/unicode.scm (1.29), runtime/unpars.scm (14.68),
	  runtime/unsyn.scm (14.34), runtime/unxdir.scm (14.16),
	  runtime/unxprm.scm (1.74), runtime/unxpth.scm (14.32),
	  runtime/uproc.scm (1.21), runtime/url.scm (1.48),
	  runtime/urtrap.scm (14.19), runtime/usrint.scm (1.27),
	  runtime/utabs.scm (14.22), runtime/vector.scm (14.27),
	  runtime/version.scm (14.223), runtime/where.scm (14.16),
	  runtime/win32-registry.scm (1.3), runtime/wind.scm (14.13),
	  runtime/wrkdir.scm (14.12), runtime/wttree.scm (1.14),
	  runtime/x11graph.scm (1.60), runtime/xeval.scm (1.14),
	  runtime/ystep.scm (1.9), runtime-check/Clean.sh (1.8),
	  runtime-check/Setup.sh (1.11), runtime-check/runtime.cbf (1.5),
	  sf/butils.scm (4.16), sf/cgen.scm (4.9), sf/chtype.scm (4.8),
	  sf/copy.scm (4.10), sf/emodel.scm (4.8), sf/free.scm (4.8),
	  sf/gconst.scm (4.35), sf/gimprt.scm (4.6), sf/lsets.scm (4.7),
	  sf/make.scm (4.46), sf/object.scm (4.21), sf/pardec.scm (4.18),
	  sf/pthmap.scm (4.9), sf/reduct.scm (4.14), sf/sf.cbf (1.7),
	  sf/sf.pkg (4.21), sf/sf.sf (4.16), sf/subst.scm (4.22),
	  sf/table.scm (4.9), sf/tables.scm (4.7), sf/toplev.scm (4.31),
	  sf/usicon.scm (4.10), sf/usiexp.scm (4.48), sf/xform.scm (4.15),
	  sicp/compat.scm (1.13), sicp/genenv.scm (1.7), sicp/graphics.scm
	  (1.9), sicp/sbuild.scm (1.10), sicp/stream.scm (1.6),
	  sicp/strmac.scm (1.7), sicp/studen.scm (1.16), sos/Makefile.in
	  (1.8), sos/class.scm (1.19), sos/compile.scm (1.11),
	  sos/ed-ffi.scm (1.7), sos/instance.scm (1.19), sos/load.scm
	  (1.18), sos/macros.scm (1.20), sos/method.scm (1.18),
	  sos/microbench.scm (1.7), sos/printer.scm (1.7), sos/slot.scm
	  (1.12), sos/sos.pkg (1.15), ssp/Makefile.in (1.5),
	  ssp/compile.scm (1.9), ssp/expenv.scm (1.3), ssp/load.scm (1.8),
	  ssp/mod-lisp.scm (1.34), ssp/ssp.pkg (1.23),
	  ssp/xhtml-expander.scm (1.13), ssp/xmlrpc.scm (1.15),
	  star-parser/Makefile.in (1.7), star-parser/compile.scm (1.11),
	  star-parser/ed-ffi.scm (1.10), star-parser/load.scm (1.20),
	  star-parser/matcher.scm (1.37), star-parser/parser.pkg (1.24),
	  star-parser/parser.scm (1.38), star-parser/shared.scm (1.34),
	  star-parser/test-parser.scm (1.9), swat/scheme/swat.sf (1.8),
	  wabbit/load.scm (1.8), wabbit/wabbit.cbf (1.6), wabbit/wabbit.pkg
	  (1.6), wabbit/wabbit.scm (1.6), wabbit/wabbit.sf (1.8),
	  win32/clipbrd.scm (1.10), win32/dib.scm (1.10),
	  win32/ffimacro.scm (1.12), win32/graphics.scm (1.22),
	  win32/make.scm (1.18), win32/module.scm (1.8), win32/protect.scm
	  (1.7), win32/wf_user.scm (1.14), win32/win32.cbf (1.7),
	  win32/win32.pkg (1.19), win32/win32.sf (1.14), win32/win_ffi.scm
	  (1.16), win32/wingdi.scm (1.7), win32/winnt.scm (1.7),
	  win32/winuser.scm (1.7), win32/wt_user.scm (1.10),
	  win32/dibutils/dibutils.c (1.8), win32/dibutils/dibutils.def
	  (1.7), win32/dibutils/dibutils.h (1.8),
	  win32/dibutils/makefile.msc (1.8), win32/dibutils/makefile.wcc
	  (1.8), xdoc/Makefile.in (1.4), xdoc/compile.scm (1.4),
	  xdoc/db.scm (1.7), xdoc/load.scm (1.5), xdoc/validate-xdoc.scm
	  (1.3), xdoc/xdoc.pkg (1.8), xdoc/xdoc.scm (1.6), xml/Makefile.in
	  (1.8), xml/compile.scm (1.20), xml/ed-ffi.scm (1.12),
	  xml/load.scm (1.19), xml/parser-macro.scm (1.11), xml/rdf-nt.scm
	  (1.12), xml/rdf-struct.scm (1.24), xml/test-parser.scm (1.15),
	  xml/test-turtle.scm (1.3), xml/turtle.scm (1.19),
	  xml/xhtml-entities.scm (1.6), xml/xhtml.scm (1.23),
	  xml/xml-chars.scm (1.9), xml/xml-names.scm (1.14),
	  xml/xml-output.scm (1.42), xml/xml-parser.scm (1.72),
	  xml/xml-rpc.scm (1.10), xml/xml-struct.scm (1.57), xml/xml.pkg
	  (1.90), xml/xpath.scm (1.6):

	Update copyright statements to GNU standard.

2007-01-05 10:33  Chris Hanson <edu/mit/csail/cph>

	* COPYING (1.7), Clean.sh (1.9), Makefile.in (1.27), Makefile.std
	  (1.14), Setup.sh (1.15), Tags.sh (1.5), configure.ac (1.4),
	  6001/6001.cbf (1.10), 6001/6001.pkg (1.18), 6001/6001.sf (1.17),
	  6001/arith.scm (1.14), 6001/edextra.scm (1.37), 6001/floppy.scm
	  (1.29), 6001/make.scm (15.39), 6001/nodefs.scm (1.17),
	  6001/pic-imag.scm (1.13), 6001/pic-ops.scm (1.9),
	  6001/pic-read.scm (1.10), 6001/pic-reco.scm (1.12),
	  6001/picture.scm (1.33), compiler/Clean.sh (1.10),
	  compiler/Setup.sh (1.8), compiler/Stage.sh (1.6),
	  compiler/Tags.sh (1.5), compiler/config.guess (1.3),
	  compiler/configure (1.9), compiler/back/asmmac.scm (1.21),
	  compiler/back/asutl.scm (1.6), compiler/back/bittop.scm (1.26),
	  compiler/back/bitutl.scm (1.13), compiler/back/insseq.scm (4.7),
	  compiler/back/lapgn1.scm (4.22), compiler/back/lapgn2.scm (1.26),
	  compiler/back/lapgn3.scm (4.19), compiler/back/linear.scm (4.20),
	  compiler/back/mermap.scm (1.8), compiler/back/regmap.scm (4.17),
	  compiler/back/syerly.scm (1.15), compiler/back/symtab.scm (1.50),
	  compiler/back/syntax.scm (1.32), compiler/base/asstop.scm (1.16),
	  compiler/base/blocks.scm (4.18), compiler/base/cfg1.scm (4.10),
	  compiler/base/cfg2.scm (4.7), compiler/base/cfg3.scm (4.8),
	  compiler/base/constr.scm (1.7), compiler/base/contin.scm (4.12),
	  compiler/base/crsend.scm (1.16), compiler/base/crstop.scm (1.16),
	  compiler/base/ctypes.scm (4.19), compiler/base/debug.scm (4.19),
	  compiler/base/enumer.scm (4.7), compiler/base/infnew.scm (4.15),
	  compiler/base/lvalue.scm (4.29), compiler/base/macros.scm (4.33),
	  compiler/base/make.scm (4.126), compiler/base/mvalue.scm (3.4),
	  compiler/base/object.scm (4.12), compiler/base/pmerly.scm (1.12),
	  compiler/base/pmlook.scm (1.13), compiler/base/pmpars.scm (1.11),
	  compiler/base/proced.scm (4.26), compiler/base/refctx.scm (1.6),
	  compiler/base/rvalue.scm (4.11), compiler/base/scode.scm (4.17),
	  compiler/base/sets.scm (4.5), compiler/base/subprb.scm (4.11),
	  compiler/base/switch.scm (4.30), compiler/base/toplev.scm (4.69),
	  compiler/base/utils.scm (4.33), compiler/etc/asm.scm (1.6),
	  compiler/etc/comcmp.scm (1.14), compiler/etc/comfiles.scm (1.10),
	  compiler/etc/disload.scm (1.15), compiler/etc/stackp.scm (1.10),
	  compiler/etc/xcbfdir.scm (1.12), compiler/fggen/canon.scm (1.26),
	  compiler/fggen/declar.scm (1.9), compiler/fggen/fggen.scm (4.41),
	  compiler/fgopt/blktyp.scm (4.19), compiler/fgopt/closan.scm
	  (4.33), compiler/fgopt/conect.scm (4.9),
	  compiler/fgopt/contan.scm (4.13), compiler/fgopt/delint.scm
	  (1.7), compiler/fgopt/desenv.scm (4.8), compiler/fgopt/envopt.scm
	  (1.13), compiler/fgopt/folcon.scm (4.12),
	  compiler/fgopt/offset.scm (4.12), compiler/fgopt/operan.scm
	  (4.11), compiler/fgopt/order.scm (4.21), compiler/fgopt/outer.scm
	  (4.9), compiler/fgopt/param.scm (1.7), compiler/fgopt/reord.scm
	  (1.6), compiler/fgopt/reteqv.scm (1.5), compiler/fgopt/reuse.scm
	  (1.11), compiler/fgopt/sideff.scm (1.12),
	  compiler/fgopt/simapp.scm (4.12), compiler/fgopt/simple.scm
	  (4.10), compiler/fgopt/subfre.scm (1.11),
	  compiler/fgopt/varind.scm (1.8), compiler/machines/C/compiler.cbf
	  (1.6), compiler/machines/C/compiler.pkg (1.20),
	  compiler/machines/C/compiler.sf (1.13),
	  compiler/machines/C/cout.scm (1.32), compiler/machines/C/ctop.scm
	  (1.20), compiler/machines/C/cutl.scm (1.8),
	  compiler/machines/C/decls.scm (1.11),
	  compiler/machines/C/lapgen.scm (1.22),
	  compiler/machines/C/machin.scm (1.13),
	  compiler/machines/C/make.scm (1.8),
	  compiler/machines/C/rgspcm.scm (1.6),
	  compiler/machines/C/rules1.scm (1.12),
	  compiler/machines/C/rules2.scm (1.8),
	  compiler/machines/C/rules3.scm (1.16),
	  compiler/machines/C/rules4.scm (1.6),
	  compiler/machines/C/rulfix.scm (1.10),
	  compiler/machines/C/rulflo.scm (1.11),
	  compiler/machines/C/rulrew.scm (1.8),
	  compiler/machines/C/stackify.scm (1.2),
	  compiler/machines/C/stackops.scm (1.2),
	  compiler/machines/C/traditional.scm (1.5),
	  compiler/machines/alpha/assmd.scm (1.7),
	  compiler/machines/alpha/coerce.scm (1.6),
	  compiler/machines/alpha/compiler.cbf (1.6),
	  compiler/machines/alpha/compiler.pkg (1.20),
	  compiler/machines/alpha/compiler.sf (1.13),
	  compiler/machines/alpha/dassm1.scm (1.7),
	  compiler/machines/alpha/dassm2.scm (1.7),
	  compiler/machines/alpha/dassm3.scm (1.5),
	  compiler/machines/alpha/decls.scm (1.12),
	  compiler/machines/alpha/inerly.scm (1.9),
	  compiler/machines/alpha/insmac.scm (1.9),
	  compiler/machines/alpha/instr1.scm (1.9),
	  compiler/machines/alpha/instr2.scm (1.7),
	  compiler/machines/alpha/instr3.scm (1.7),
	  compiler/machines/alpha/lapgen.scm (1.13),
	  compiler/machines/alpha/lapopt.scm (1.5),
	  compiler/machines/alpha/machin.scm (1.11),
	  compiler/machines/alpha/make.scm (1.7),
	  compiler/machines/alpha/rgspcm.scm (1.5),
	  compiler/machines/alpha/rules1.scm (1.7),
	  compiler/machines/alpha/rules2.scm (1.6),
	  compiler/machines/alpha/rules3.scm (1.13),
	  compiler/machines/alpha/rules4.scm (1.7),
	  compiler/machines/alpha/rulfix.scm (1.8),
	  compiler/machines/alpha/rulflo.scm (1.9),
	  compiler/machines/alpha/rulrew.scm (1.6),
	  compiler/machines/bobcat/assmd.scm (1.42),
	  compiler/machines/bobcat/coerce.scm (1.14),
	  compiler/machines/bobcat/compiler.cbf (1.6),
	  compiler/machines/bobcat/compiler.pkg (1.57),
	  compiler/machines/bobcat/compiler.sf (1.25),
	  compiler/machines/bobcat/dassm1.scm (4.25),
	  compiler/machines/bobcat/dassm2.scm (4.28),
	  compiler/machines/bobcat/dassm3.scm (4.12),
	  compiler/machines/bobcat/decls.scm (4.43),
	  compiler/machines/bobcat/flinstr1.scm (1.7),
	  compiler/machines/bobcat/flinstr2.scm (1.7),
	  compiler/machines/bobcat/inerly.scm (1.14),
	  compiler/machines/bobcat/insmac.scm (1.135),
	  compiler/machines/bobcat/instr1.scm (1.71),
	  compiler/machines/bobcat/instr2.scm (1.24),
	  compiler/machines/bobcat/instr3.scm (1.23),
	  compiler/machines/bobcat/instr4.scm (1.9),
	  compiler/machines/bobcat/insutl.scm (1.12),
	  compiler/machines/bobcat/lapgen.scm (4.57),
	  compiler/machines/bobcat/lapopt.scm (1.5),
	  compiler/machines/bobcat/machin.scm (4.37),
	  compiler/machines/bobcat/make.scm-68020 (4.92),
	  compiler/machines/bobcat/make.scm-68040 (4.93),
	  compiler/machines/bobcat/mc68ktgl.scm (1.6),
	  compiler/machines/bobcat/rgspcm.scm (4.6),
	  compiler/machines/bobcat/rules1.scm (4.42),
	  compiler/machines/bobcat/rules2.scm (4.18),
	  compiler/machines/bobcat/rules3.scm (4.46),
	  compiler/machines/bobcat/rules4.scm (4.18),
	  compiler/machines/bobcat/rulrew.scm (1.10),
	  compiler/machines/i386/assmd.scm (1.9),
	  compiler/machines/i386/coerce.scm (1.6),
	  compiler/machines/i386/compiler.cbf (1.7),
	  compiler/machines/i386/compiler.pkg (1.33),
	  compiler/machines/i386/compiler.sf (1.22),
	  compiler/machines/i386/dassm1.scm (1.16),
	  compiler/machines/i386/dassm2.scm (1.15),
	  compiler/machines/i386/dassm3.scm (1.13),
	  compiler/machines/i386/decls.scm (1.15),
	  compiler/machines/i386/inerly.scm (1.10),
	  compiler/machines/i386/insmac.scm (1.20),
	  compiler/machines/i386/instr1.scm (1.19),
	  compiler/machines/i386/instr2.scm (1.13),
	  compiler/machines/i386/instrf.scm (1.21),
	  compiler/machines/i386/insutl.scm (1.14),
	  compiler/machines/i386/lapgen.scm (1.36),
	  compiler/machines/i386/lapopt.scm (1.9),
	  compiler/machines/i386/machin.scm (1.22),
	  compiler/machines/i386/make.scm (1.9),
	  compiler/machines/i386/pc-make.scm (1.5),
	  compiler/machines/i386/rgspcm.scm (1.7),
	  compiler/machines/i386/rules1.scm (1.22),
	  compiler/machines/i386/rules2.scm (1.12),
	  compiler/machines/i386/rules3.scm (1.41),
	  compiler/machines/i386/rules4.scm (1.11),
	  compiler/machines/i386/rulfix.scm (1.37),
	  compiler/machines/i386/rulflo.scm (1.28),
	  compiler/machines/i386/rulrew.scm (1.18),
	  compiler/machines/mips/assmd.scm (1.8),
	  compiler/machines/mips/coerce.scm (1.5),
	  compiler/machines/mips/compiler.cbf (1.6),
	  compiler/machines/mips/compiler.pkg (1.27),
	  compiler/machines/mips/compiler.sf-big (1.15),
	  compiler/machines/mips/compiler.sf-little (1.15),
	  compiler/machines/mips/dassm1.scm (1.10),
	  compiler/machines/mips/dassm2.scm (1.10),
	  compiler/machines/mips/dassm3.scm (1.7),
	  compiler/machines/mips/decls.scm (1.16),
	  compiler/machines/mips/inerly.scm (1.9),
	  compiler/machines/mips/insmac.scm (1.9),
	  compiler/machines/mips/instr1.scm (1.12),
	  compiler/machines/mips/instr2a.scm (1.10),
	  compiler/machines/mips/instr2b.scm (1.9),
	  compiler/machines/mips/instr3.scm (1.8),
	  compiler/machines/mips/lapgen.scm (1.22),
	  compiler/machines/mips/lapopt.scm (1.5),
	  compiler/machines/mips/machin.scm (1.18),
	  compiler/machines/mips/make.scm-big (4.92),
	  compiler/machines/mips/make.scm-little (4.92),
	  compiler/machines/mips/mips.scm (1.7),
	  compiler/machines/mips/rgspcm.scm (1.5),
	  compiler/machines/mips/rules1.scm (1.10),
	  compiler/machines/mips/rules2.scm (1.6),
	  compiler/machines/mips/rules3.scm (1.23),
	  compiler/machines/mips/rules4.scm (1.7),
	  compiler/machines/mips/rulfix.scm (1.14),
	  compiler/machines/mips/rulflo.scm (1.13),
	  compiler/machines/mips/rulrew.scm (1.10),
	  compiler/machines/sparc/assmd.scm (1.7),
	  compiler/machines/sparc/cf.h-sparc (1.5),
	  compiler/machines/sparc/cmpaux-sparc.m4 (1.5),
	  compiler/machines/sparc/cmpint-sparc.h (1.5),
	  compiler/machines/sparc/coerce.scm (1.5),
	  compiler/machines/sparc/decls.scm (1.10),
	  compiler/machines/sparc/inerly.scm (1.9),
	  compiler/machines/sparc/insmac.scm (1.8),
	  compiler/machines/sparc/instr1.scm (1.7),
	  compiler/machines/sparc/instr2a.scm (1.7),
	  compiler/machines/sparc/instr2b.scm (1.7),
	  compiler/machines/sparc/instr3.scm (1.7),
	  compiler/machines/sparc/lapgen.scm (1.9),
	  compiler/machines/sparc/lapopt.scm (1.5),
	  compiler/machines/sparc/machin.scm (1.6),
	  compiler/machines/sparc/make.scm (1.6),
	  compiler/machines/sparc/rgspcm.scm (1.5),
	  compiler/machines/sparc/rules1.scm (1.5),
	  compiler/machines/sparc/rules2.scm (1.5),
	  compiler/machines/sparc/rules3.scm (1.7),
	  compiler/machines/sparc/rules4.scm (1.5),
	  compiler/machines/sparc/rulfix.scm (1.5),
	  compiler/machines/sparc/rulflo.scm (1.7),
	  compiler/machines/sparc/rulrew.scm (1.5),
	  compiler/machines/spectrum/assmd.scm (1.36),
	  compiler/machines/spectrum/coerce.scm (1.9),
	  compiler/machines/spectrum/compiler.cbf (1.6),
	  compiler/machines/spectrum/compiler.pkg (1.57),
	  compiler/machines/spectrum/compiler.sf (1.25),
	  compiler/machines/spectrum/dassm1.scm (4.25),
	  compiler/machines/spectrum/dassm2.scm (4.26),
	  compiler/machines/spectrum/dassm3.scm (1.6),
	  compiler/machines/spectrum/decls.scm (4.41),
	  compiler/machines/spectrum/inerly.scm (1.9),
	  compiler/machines/spectrum/insmac.scm (1.9),
	  compiler/machines/spectrum/instr1.scm (1.9),
	  compiler/machines/spectrum/instr2.scm (1.14),
	  compiler/machines/spectrum/instr3.scm (1.8),
	  compiler/machines/spectrum/lapgen.scm (4.54),
	  compiler/machines/spectrum/lapopt.scm (1.18),
	  compiler/machines/spectrum/machin.scm (4.33),
	  compiler/machines/spectrum/make.scm (4.93),
	  compiler/machines/spectrum/rgspcm.scm (4.7),
	  compiler/machines/spectrum/rules1.scm (4.39),
	  compiler/machines/spectrum/rules2.scm (4.18),
	  compiler/machines/spectrum/rules3.scm (4.47),
	  compiler/machines/spectrum/rules4.scm (4.16),
	  compiler/machines/spectrum/rulfix.scm (4.53),
	  compiler/machines/spectrum/rulflo.scm (4.45),
	  compiler/machines/spectrum/rulrew.scm (1.16),
	  compiler/machines/vax/assmd.scm (4.12),
	  compiler/machines/vax/coerce.scm (1.8),
	  compiler/machines/vax/compiler.cbf (1.9),
	  compiler/machines/vax/compiler.pkg (1.29),
	  compiler/machines/vax/compiler.sf (1.16),
	  compiler/machines/vax/dassm1.scm (4.12),
	  compiler/machines/vax/dassm2.scm (4.18),
	  compiler/machines/vax/dassm3.scm (1.7),
	  compiler/machines/vax/decls.scm (4.19),
	  compiler/machines/vax/dsyn.scm (1.15),
	  compiler/machines/vax/inerly.scm (1.13),
	  compiler/machines/vax/insmac.scm (1.20),
	  compiler/machines/vax/instr1.scm (1.13),
	  compiler/machines/vax/instr2.scm (1.14),
	  compiler/machines/vax/instr3.scm (1.17),
	  compiler/machines/vax/insutl.scm (4.7),
	  compiler/machines/vax/lapgen.scm (4.22),
	  compiler/machines/vax/lapopt.scm (1.5),
	  compiler/machines/vax/machin.scm (4.16),
	  compiler/machines/vax/make.scm (4.92),
	  compiler/machines/vax/rgspcm.scm (4.6),
	  compiler/machines/vax/rules1.scm (4.11),
	  compiler/machines/vax/rules2.scm (4.8),
	  compiler/machines/vax/rules3.scm (4.17),
	  compiler/machines/vax/rules4.scm (4.8),
	  compiler/machines/vax/rulfix.scm (1.11),
	  compiler/machines/vax/rulrew.scm (1.6),
	  compiler/rtlbase/regset.scm (1.7), compiler/rtlbase/rgraph.scm
	  (4.12), compiler/rtlbase/rtlcfg.scm (4.13),
	  compiler/rtlbase/rtlcon.scm (4.33), compiler/rtlbase/rtlexp.scm
	  (4.23), compiler/rtlbase/rtline.scm (4.14),
	  compiler/rtlbase/rtlobj.scm (4.15), compiler/rtlbase/rtlreg.scm
	  (4.13), compiler/rtlbase/rtlty1.scm (4.26),
	  compiler/rtlbase/rtlty2.scm (4.16), compiler/rtlbase/valclass.scm
	  (1.10), compiler/rtlgen/fndblk.scm (4.15),
	  compiler/rtlgen/fndvar.scm (1.10), compiler/rtlgen/opncod.scm
	  (4.76), compiler/rtlgen/rgcomb.scm (4.24),
	  compiler/rtlgen/rgproc.scm (4.17), compiler/rtlgen/rgretn.scm
	  (4.17), compiler/rtlgen/rgrval.scm (4.26),
	  compiler/rtlgen/rgstmt.scm (4.20), compiler/rtlgen/rtlgen.scm
	  (4.33), compiler/rtlopt/ralloc.scm (1.21),
	  compiler/rtlopt/rcompr.scm (1.18), compiler/rtlopt/rcse1.scm
	  (4.27), compiler/rtlopt/rcse2.scm (4.17),
	  compiler/rtlopt/rcseep.scm (4.10), compiler/rtlopt/rcseht.scm
	  (4.16), compiler/rtlopt/rcserq.scm (4.10),
	  compiler/rtlopt/rcsesr.scm (4.7), compiler/rtlopt/rdebug.scm
	  (1.7), compiler/rtlopt/rdflow.scm (1.7),
	  compiler/rtlopt/rerite.scm (1.8), compiler/rtlopt/rinvex.scm
	  (1.13), compiler/rtlopt/rlife.scm (1.64),
	  compiler/rtlopt/rtlcsm.scm (1.5), cref/Makefile.in (1.7),
	  cref/anfile.scm (1.10), cref/conpkg.scm (1.17), cref/cref.cbf
	  (1.6), cref/cref.pkg (1.13), cref/cref.sf (1.19), cref/forpkg.scm
	  (1.13), cref/make.scm (1.29), cref/mset.scm (1.5),
	  cref/object.scm (1.17), cref/redpkg.scm (1.29), cref/toplev.scm
	  (1.26), cref/triv.pkg (1.10), edwin/Clean.sh (1.11),
	  edwin/Makefile.in (1.11), edwin/abbrev.scm (1.11), edwin/ansi.scm
	  (1.11), edwin/argred.scm (1.37), edwin/artdebug.scm (1.36),
	  edwin/autold.scm (1.67), edwin/autosv.scm (1.38), edwin/basic.scm
	  (1.146), edwin/bios.scm (1.8), edwin/bufcom.scm (1.111),
	  edwin/buffer.scm (1.194), edwin/buffrm.scm (1.64),
	  edwin/bufinp.scm (1.14), edwin/bufmnu.scm (1.135),
	  edwin/bufout.scm (1.18), edwin/bufset.scm (1.16),
	  edwin/bufwfs.scm (1.24), edwin/bufwin.scm (1.317),
	  edwin/bufwiu.scm (1.39), edwin/bufwmc.scm (1.22),
	  edwin/c-mode.scm (1.64), edwin/calias.scm (1.34),
	  edwin/cinden.scm (1.24), edwin/class.scm (1.76), edwin/clscon.scm
	  (1.15), edwin/clsmac.scm (1.14), edwin/comatch.scm (1.8),
	  edwin/comhst.scm (1.10), edwin/comint.scm (1.33),
	  edwin/comman.scm (1.89), edwin/compile.scm (1.18),
	  edwin/comred.scm (1.127), edwin/comtab.scm (1.76),
	  edwin/comwin.scm (1.151), edwin/curren.scm (1.149),
	  edwin/dabbrev.scm (1.8), edwin/debian-changelog.scm (1.10),
	  edwin/debug.scm (1.71), edwin/debuge.scm (1.59), edwin/decls.scm
	  (1.79), edwin/dired.scm (1.200), edwin/diros2.scm (1.8),
	  edwin/dirunx.scm (1.17), edwin/dirw32.scm (1.8),
	  edwin/display.scm (1.11), edwin/docstr.scm (1.8), edwin/dos.scm
	  (1.57), edwin/doscom.scm (1.7), edwin/dosfile.scm (1.46),
	  edwin/dosproc.scm (1.13), edwin/dosshell.scm (1.9),
	  edwin/ed-ffi.scm (1.57), edwin/editor.scm (1.263),
	  edwin/edtfrm.scm (1.96), edwin/edtstr.scm (1.34), edwin/edwin.cbf
	  (1.7), edwin/edwin.ldr (1.79), edwin/edwin.pkg (1.301),
	  edwin/edwin.sf (1.35), edwin/evlcom.scm (1.72), edwin/eystep.scm
	  (1.10), edwin/filcom.scm (1.227), edwin/fileio.scm (1.169),
	  edwin/fill.scm (1.74), edwin/grpops.scm (1.32), edwin/hlpcom.scm
	  (1.130), edwin/htmlmode.scm (1.15), edwin/image.scm (1.141),
	  edwin/info.scm (1.142), edwin/input.scm (1.106), edwin/intmod.scm
	  (1.123), edwin/iserch.scm (1.27), edwin/javamode.scm (1.15),
	  edwin/key-w32.scm (1.7), edwin/key-x11.scm (1.9),
	  edwin/keymap.scm (1.21), edwin/keyparse.scm (1.7),
	  edwin/kilcom.scm (1.76), edwin/kmacro.scm (1.49),
	  edwin/lincom.scm (1.128), edwin/linden.scm (1.133),
	  edwin/loadef.scm (1.51), edwin/lspcom.scm (1.164),
	  edwin/macros.scm (1.79), edwin/make.scm (3.122), edwin/malias.scm
	  (1.11), edwin/manual.scm (1.20), edwin/midas.scm (1.26),
	  edwin/modefs.scm (1.168), edwin/modes.scm (1.39),
	  edwin/modlin.scm (1.27), edwin/modwin.scm (1.46),
	  edwin/motcom.scm (1.53), edwin/motion.scm (1.92),
	  edwin/mousecom.scm (1.9), edwin/nntp.scm (1.33), edwin/notify.scm
	  (1.25), edwin/nvector.scm (1.12), edwin/occur.scm (1.12),
	  edwin/os2.scm (1.55), edwin/os2com.scm (1.9), edwin/os2term.scm
	  (1.28), edwin/outline.scm (1.13), edwin/pasmod.scm (1.55),
	  edwin/paths.scm (1.19), edwin/print.scm (1.24), edwin/process.scm
	  (1.68), edwin/prompt.scm (1.203), edwin/pwedit.scm (1.13),
	  edwin/pwparse.scm (1.5), edwin/rcsparse.scm (1.7),
	  edwin/reccom.scm (1.18), edwin/regcom.scm (1.26),
	  edwin/regexp.scm (1.85), edwin/regops.scm (1.92),
	  edwin/rename.scm (1.12), edwin/replaz.scm (1.84),
	  edwin/rfc822.scm (3.8), edwin/ring.scm (1.16), edwin/rmail.scm
	  (1.77), edwin/rmailsrt.scm (1.17), edwin/rmailsum.scm (1.40),
	  edwin/schmod.scm (1.75), edwin/scrcom.scm (1.12),
	  edwin/screen.scm (1.123), edwin/search.scm (1.160),
	  edwin/sendmail.scm (1.89), edwin/sercom.scm (1.69),
	  edwin/shell.scm (1.27), edwin/simple.scm (1.58), edwin/snr.scm
	  (1.68), edwin/sort.scm (1.12), edwin/strpad.scm (1.12),
	  edwin/strtab.scm (1.51), edwin/struct.scm (1.102),
	  edwin/syntax.scm (1.96), edwin/tagutl.scm (1.64),
	  edwin/techinfo.scm (1.9), edwin/telnet.scm (1.18),
	  edwin/termcap.scm (1.10), edwin/texcom.scm (1.50),
	  edwin/things.scm (1.92), edwin/tparse.scm (1.79), edwin/tterm.scm
	  (1.44), edwin/tximod.scm (1.32), edwin/txtprp.scm (1.27),
	  edwin/undo.scm (1.67), edwin/unix.scm (1.122), edwin/utils.scm
	  (1.58), edwin/utlwin.scm (1.64), edwin/vc.scm (1.96),
	  edwin/verilog.scm (1.13), edwin/vhdl.scm (1.13),
	  edwin/webster.scm (1.9), edwin/win32.scm (1.20),
	  edwin/win32com.scm (1.12), edwin/wincom.scm (1.137),
	  edwin/window.scm (1.164), edwin/winout.scm (1.19),
	  edwin/winren.scm (1.10), edwin/xcom.scm (1.26), edwin/xform.scm
	  (1.16), edwin/xmodef.scm (1.7), edwin/xterm.scm (1.79),
	  etc/Clean.sh (1.15), etc/Setup.sh (1.11), etc/Stage.sh (1.7),
	  etc/Tags.sh (1.5), etc/build-bands.sh (1.5), etc/compile.scm
	  (1.11), etc/compile.sh (1.9), etc/functions.sh (1.5),
	  etc/optiondb.scm (1.16), etc/script.scm (1.3), imail/Makefile.in
	  (1.7), imail/compile.scm (1.23), imail/ed-ffi.scm (1.24),
	  imail/imail-browser.scm (1.13), imail/imail-core.scm (1.155),
	  imail/imail-file.scm (1.88), imail/imail-imap.scm (1.207),
	  imail/imail-mime.scm (1.5), imail/imail-rmail.scm (1.74),
	  imail/imail-summary.scm (1.54), imail/imail-top.scm (1.295),
	  imail/imail-umail.scm (1.55), imail/imail-util.scm (1.47),
	  imail/imail.pkg (1.102), imail/imap-response.scm (1.49),
	  imail/imap-syntax.scm (1.22), imail/load.scm (1.45),
	  imail/print.sh (1.12), microcode/Clean.sh (1.5),
	  microcode/Setup.sh (1.10), microcode/ansidecl.h (1.9),
	  microcode/array.c (9.49), microcode/array.h (9.39),
	  microcode/artutl.c (1.19), microcode/avltree.c (1.9),
	  microcode/avltree.h (1.8), microcode/bchdmp.c (9.93),
	  microcode/bchdrn.c (1.13), microcode/bchdrn.h (1.13),
	  microcode/bchgcc.h (9.66), microcode/bchgcl.c (9.57),
	  microcode/bchmmg.c (9.105), microcode/bchpur.c (9.75),
	  microcode/bchutl.c (1.16), microcode/bignmint.h (1.9),
	  microcode/bignum.c (9.55), microcode/bignum.h (9.34),
	  microcode/bigprm.c (1.9), microcode/bintopsb.c (9.80),
	  microcode/bitstr.c (9.67), microcode/bitstr.h (1.13),
	  microcode/bkpt.c (9.35), microcode/bkpt.h (9.37),
	  microcode/bltdef.h (1.7), microcode/boot.c (9.120),
	  microcode/breakup.c (9.28), microcode/char.c (9.36),
	  microcode/cmpgc.h (1.35), microcode/cmpint.c (1.106),
	  microcode/cmpint.h (10.13), microcode/cmptype.h (1.7),
	  microcode/comlin.c (1.13), microcode/comlin.h (1.10),
	  microcode/compinit.c (1.9), microcode/comutl.c (1.35),
	  microcode/config.guess (11.6), microcode/config.sub (11.6),
	  microcode/configure.ac (1.18), microcode/confshared.h (11.10),
	  microcode/const.h (9.54), microcode/copyrigh.c (1.6),
	  microcode/critsec.h (1.7), microcode/daemon.c (9.35),
	  microcode/debug.c (9.59), microcode/default.h (9.48),
	  microcode/dfloat.c (1.9), microcode/dmpwrld.c (9.44),
	  microcode/dstack.h (1.14), microcode/dump.c (9.43),
	  microcode/edwin.h (1.12), microcode/error.c (1.11),
	  microcode/errors.h (9.47), microcode/extern.c (9.41),
	  microcode/extern.h (9.66), microcode/fasdump.c (9.69),
	  microcode/fasl.h (9.42), microcode/fasload.c (9.97),
	  microcode/fft.c (9.36), microcode/fhooks.c (9.38),
	  microcode/findprim.c (9.59), microcode/fixnum.c (9.47),
	  microcode/fixobj.h (9.41), microcode/flonum.c (9.46),
	  microcode/foreign.c (1.7), microcode/foreign.h (1.6),
	  microcode/future.c (9.32), microcode/futures.h (9.33),
	  microcode/gc.h (9.37), microcode/gccode.h (9.61),
	  microcode/gcloop.c (9.52), microcode/gctype.c (9.37),
	  microcode/generic.c (9.42), microcode/gpio.c (1.14),
	  microcode/history.h (9.35), microcode/hooks.c (9.67),
	  microcode/hppacach.c (1.16), microcode/hppacach.h (1.9),
	  microcode/hppanwca.c (1.8), microcode/hunk.c (9.32),
	  microcode/image.c (9.38), microcode/image.h (9.28),
	  microcode/intercom.c (9.37), microcode/intern.c (9.64),
	  microcode/interp.c (9.103), microcode/interp.h (9.51),
	  microcode/intext.c (1.8), microcode/intext.h (1.8),
	  microcode/intprm.c (1.13), microcode/intrpt.h (1.25),
	  microcode/liarc.h (1.24), microcode/list.c (9.36),
	  microcode/load.c (9.44), microcode/locks.h (9.29),
	  microcode/lookprm.c (1.22), microcode/lookup.c (9.73),
	  microcode/lookup.h (9.58), microcode/memmag.c (9.73),
	  microcode/memmag.h (1.11), microcode/missing.c (9.36),
	  microcode/mul.c (9.38), microcode/nt.h (1.12), microcode/ntapi.h
	  (1.19), microcode/ntasutl.asm (1.9), microcode/ntenv.c (1.22),
	  microcode/ntfile.c (1.17), microcode/ntfs.c (1.32),
	  microcode/ntfs.h (1.8), microcode/ntgui.c (1.32),
	  microcode/ntgui.h (1.11), microcode/ntio.c (1.33),
	  microcode/ntio.h (1.15), microcode/ntproc.c (1.11),
	  microcode/ntproc.h (1.5), microcode/ntscmlib.h (1.13),
	  microcode/ntscreen.c (1.53), microcode/ntscreen.h (1.24),
	  microcode/ntsig.c (1.25), microcode/ntsock.c (1.21),
	  microcode/ntsys.c (1.12), microcode/ntsys.h (1.11),
	  microcode/ntterm.h (1.7), microcode/nttop.c (1.38),
	  microcode/nttop.h (1.7), microcode/nttrap.c (1.28),
	  microcode/nttrap.h (1.8), microcode/nttterm.c (1.7),
	  microcode/nttty.c (1.11), microcode/object.h (9.62),
	  microcode/obstack.c (1.9), microcode/obstack.h (1.15),
	  microcode/option.c (1.63), microcode/option.h (1.17),
	  microcode/os.h (1.11), microcode/os2.c (1.12), microcode/os2.h
	  (1.11), microcode/os2api.h (1.15), microcode/os2conio.c (1.13),
	  microcode/os2cthrd.c (1.13), microcode/os2cthrd.h (1.10),
	  microcode/os2ctty.c (1.7), microcode/os2ctty.h (1.5),
	  microcode/os2env.c (1.17), microcode/os2file.c (1.6),
	  microcode/os2fs.c (1.17), microcode/os2io.c (1.12),
	  microcode/os2io.h (1.7), microcode/os2msg.c (1.18),
	  microcode/os2msg.h (1.19), microcode/os2pipe.c (1.11),
	  microcode/os2pm.c (1.36), microcode/os2pm.h (1.16),
	  microcode/os2pm.scm (1.17), microcode/os2pmcon.c (1.32),
	  microcode/os2pmcon.h (1.7), microcode/os2pmcon.rc (1.8),
	  microcode/os2proc.c (1.10), microcode/os2proc.h (1.5),
	  microcode/os2sock.c (1.21), microcode/os2term.c (1.7),
	  microcode/os2thrd.c (1.9), microcode/os2thrd.h (1.7),
	  microcode/os2top.c (1.24), microcode/os2tty.c (1.5),
	  microcode/os2xcpt.c (1.16), microcode/osctty.h (1.7),
	  microcode/osenv.h (1.13), microcode/osfile.h (1.7),
	  microcode/osfs.h (1.13), microcode/osio.h (1.20),
	  microcode/osproc.h (1.13), microcode/ospty.h (1.7),
	  microcode/osscheme.c (1.16), microcode/osscheme.h (1.15),
	  microcode/ossig.h (1.7), microcode/osterm.h (1.14),
	  microcode/ostop.h (1.8), microcode/ostty.c (1.7),
	  microcode/ostty.h (1.8), microcode/outf.c (1.15),
	  microcode/outf.h (1.8), microcode/ppband.c (9.67),
	  microcode/prbfish.c (1.15), microcode/prdb4.c (1.5),
	  microcode/prename.h (1.12), microcode/prgdbm.c (1.7),
	  microcode/prim.c (9.47), microcode/prim.h (9.51),
	  microcode/prims.h (9.53), microcode/primutl.c (9.82),
	  microcode/prmcon.c (1.8), microcode/prmcon.h (1.7),
	  microcode/prmcrypt.c (1.8), microcode/prmd5.c (1.10),
	  microcode/prmhash.c (11.10), microcode/prntenv.c (1.13),
	  microcode/prntfs.c (1.20), microcode/prntio.c (1.16),
	  microcode/pros2fs.c (1.21), microcode/pros2io.c (1.14),
	  microcode/pros2pm.c (1.24), microcode/prosenv.c (1.20),
	  microcode/prosfile.c (1.13), microcode/prosfs.c (1.20),
	  microcode/prosio.c (1.25), microcode/prosproc.c (1.22),
	  microcode/prospty.c (1.7), microcode/prosterm.c (1.19),
	  microcode/prostty.c (1.10), microcode/prpgsql.c (1.10),
	  microcode/pruxdld.c (1.20), microcode/pruxenv.c (1.23),
	  microcode/pruxfs.c (9.59), microcode/pruxio.c (1.11),
	  microcode/pruxsock.c (1.24), microcode/psbmap.h (9.48),
	  microcode/psbtobin.c (9.65), microcode/ptrvec.c (1.7),
	  microcode/purify.c (9.66), microcode/purutl.c (9.55),
	  microcode/regex.c (1.23), microcode/regex.h (1.10),
	  microcode/returns.h (9.46), microcode/rgxprim.c (1.16),
	  microcode/sample.c (9.29), microcode/scheme.h (9.43),
	  microcode/scode.h (9.30), microcode/sdata.h (9.43),
	  microcode/sgraph.h (1.10), microcode/sgraph_a.c (1.20),
	  microcode/sgx.c (1.12), microcode/sgx11.c (1.7),
	  microcode/stack.h (9.45), microcode/stackops.h (11.2),
	  microcode/starbase.c (1.10), microcode/starbasx.c (1.9),
	  microcode/step.c (9.40), microcode/storage.c (9.61),
	  microcode/string.c (9.50), microcode/syntax.c (1.36),
	  microcode/syntax.h (1.15), microcode/syscall.h (1.19),
	  microcode/sysprim.c (9.52), microcode/term.c (1.21),
	  microcode/termcap.c (1.9), microcode/tparam.c (1.9),
	  microcode/transact.c (1.8), microcode/trap.h (9.52),
	  microcode/tterm.c (1.18), microcode/types.h (9.41),
	  microcode/unexec.c (9.26), microcode/unstackify.c (11.2),
	  microcode/usrdef.h (9.47), microcode/utabmd.scm (9.90),
	  microcode/utabmd.sh (1.9), microcode/utils.c (9.88),
	  microcode/ux.c (1.29), microcode/ux.h (1.81), microcode/uxctty.c
	  (1.17), microcode/uxenv.c (1.24), microcode/uxfile.c (1.14),
	  microcode/uxfs.c (1.28), microcode/uxio.c (1.55),
	  microcode/uxio.h (1.8), microcode/uxproc.c (1.33),
	  microcode/uxproc.h (1.9), microcode/uxselect.h (1.9),
	  microcode/uxsig.c (1.47), microcode/uxsig.h (1.11),
	  microcode/uxsock.c (1.33), microcode/uxsock.h (1.14),
	  microcode/uxterm.c (1.32), microcode/uxterm.h (1.8),
	  microcode/uxtop.c (1.32), microcode/uxtop.h (1.6),
	  microcode/uxtrap.c (1.43), microcode/uxtrap.h (1.36),
	  microcode/uxtty.c (1.14), microcode/uxutil.c (1.10),
	  microcode/uxutil.h (1.6), microcode/uxyp.c (1.6),
	  microcode/vector.c (9.43), microcode/wabbit.c (1.12),
	  microcode/wind.c (1.10), microcode/winder.h (9.29),
	  microcode/wsize.c (9.37), microcode/x11.h (1.22),
	  microcode/x11base.c (1.89), microcode/x11color.c (1.8),
	  microcode/x11graph.c (1.44), microcode/x11term.c (1.33),
	  microcode/xdebug.c (9.38), microcode/zones.h (9.29),
	  microcode/cmpauxmd/asmcvt.c (1.5), microcode/cmpauxmd/c.c (1.19),
	  microcode/cmpauxmd/hppa.m4 (1.43), microcode/cmpauxmd/i386.m4
	  (1.65), microcode/cmpauxmd/m4-dos (1.5),
	  microcode/cmpauxmd/makefile (1.11), microcode/cmpauxmd/mc68k.m4
	  (1.31), microcode/cmpauxmd/mips.m4 (1.19),
	  microcode/cmpauxmd/vax.m4 (1.8), microcode/cmpintmd/c.h (1.11),
	  microcode/cmpintmd/hppa.h (1.55), microcode/cmpintmd/i386.h
	  (1.38), microcode/cmpintmd/mc68k.h (1.39),
	  microcode/cmpintmd/mips.h (1.26), microcode/cmpintmd/vax.h
	  (1.12), microcode/makegen/Makefile.in.in (1.35),
	  microcode/makegen/files-core.scm (1.5),
	  microcode/makegen/files-gc-bch.scm (1.5),
	  microcode/makegen/files-gc-std.scm (1.5),
	  microcode/makegen/files-optional.scm (1.7),
	  microcode/makegen/files-os-prim.scm (1.5),
	  microcode/makegen/files-other.scm (1.7),
	  microcode/makegen/files-unix.scm (1.5), microcode/makegen/m4.sh
	  (1.5), microcode/makegen/makegen.scm (1.13),
	  microcode/makegen/makeinit.sh (1.14),
	  microcode/ntutl/bch-p-nt.lst (1.9), microcode/ntutl/config.h
	  (1.12), microcode/ntutl/makefile (1.32),
	  microcode/ntutl/makefile.wcc (1.22), microcode/ntutl/scheme16.c
	  (1.15), microcode/ntutl/scheme16.mak (1.6),
	  microcode/ntutl/scheme31.c (1.14), microcode/ntutl/scheme32.c
	  (1.21), microcode/ntutl/scm-p-nt.lst (1.9),
	  microcode/os2utl/config.h (1.10), microcode/os2utl/makefile
	  (1.18), microcode/os2utl/makefile.cmn (1.17),
	  microcode/os2utl/makefile.emx (1.12),
	  microcode/os2utl/makefile.gcc (1.11),
	  microcode/os2utl/makefile.vac (1.11),
	  microcode/os2utl/makefile.wcc (1.12),
	  microcode/os2utl/mkos2pm.scm (1.5), pcsample/load.scm (1.10),
	  pcsample/pcs.cbf (1.6), pcsample/pcs.pkg (1.6), pcsample/pcs.sf
	  (1.6), pcsample/pcsample.c (1.9), pcsample/pcsample.scm (1.7),
	  pcsample/pcsboot.scm (1.5), pcsample/pcscobl.c (1.5),
	  pcsample/pcscobl.scm (1.6), pcsample/pcsdisp.scm (1.7),
	  pcsample/pcsdld.c (1.8), pcsample/pcsintrp.scm (1.5),
	  pcsample/pcsiproc.c (1.5), pcsample/pcsiproc.scm (1.5),
	  pcsample/pribinut.scm (1.5), rcs/compile.scm (1.7),
	  rcs/format.scm (1.6), rcs/load.scm (1.7), rcs/logmer.scm (1.30),
	  rcs/mklogs.scm (1.25), rcs/nparse.scm (1.6), rcs/object.scm
	  (1.9), rcs/rcs.pkg (1.10), runtime/Makefile.in (1.11),
	  runtime/advice.scm (14.22), runtime/apply.scm (1.8),
	  runtime/apropos.scm (1.8), runtime/arith.scm (1.64),
	  runtime/berkeley-db.scm (1.5), runtime/bitstr.scm (14.7),
	  runtime/blowfish.scm (1.27), runtime/boole.scm (14.7),
	  runtime/boot.scm (14.24), runtime/char.scm (14.29),
	  runtime/chrset.scm (14.21), runtime/chrsyn.scm (1.9),
	  runtime/codwlk.scm (14.7), runtime/conpar.scm (14.50),
	  runtime/contin.scm (14.16), runtime/cpoint.scm (14.11),
	  runtime/cpress.scm (1.15), runtime/crypto.scm (14.19),
	  runtime/datime.scm (14.42), runtime/dbgcmd.scm (14.19),
	  runtime/dbgutl.scm (14.26), runtime/debug.scm (14.48),
	  runtime/defstr.scm (14.56), runtime/dosdir.scm (1.13),
	  runtime/dosprm.scm (1.48), runtime/dosproc.scm (1.6),
	  runtime/dospth.scm (1.45), runtime/dragon4.scm (1.19),
	  runtime/ed-ffi.scm (1.38), runtime/emacs.scm (14.41),
	  runtime/equals.scm (14.13), runtime/error.scm (14.71),
	  runtime/events.scm (14.8), runtime/fileio.scm (1.33),
	  runtime/fixart.scm (1.16), runtime/format.scm (14.10),
	  runtime/framex.scm (14.22), runtime/gc.scm (14.24),
	  runtime/gcdemn.scm (14.11), runtime/gcfinal.scm (14.11),
	  runtime/gcnote.scm (14.19), runtime/gcstat.scm (14.9),
	  runtime/gdatab.scm (14.10), runtime/gdbm.scm (1.9),
	  runtime/gencache.scm (1.6), runtime/geneqht.scm (1.5),
	  runtime/generic.scm (1.15), runtime/genio.scm (1.48),
	  runtime/genmult.scm (1.7), runtime/gensym.scm (14.9),
	  runtime/gentag.scm (1.7), runtime/global.scm (14.76),
	  runtime/graphics.scm (1.25), runtime/hash.scm (14.11),
	  runtime/hashtb.scm (1.36), runtime/histry.scm (14.9),
	  runtime/infstr.scm (1.19), runtime/infutl.scm (1.71),
	  runtime/input.scm (14.32), runtime/intrpt.scm (14.28),
	  runtime/io.scm (14.85), runtime/krypt.scm (1.15),
	  runtime/kryptdum.scm (1.5), runtime/lambda.scm (14.20),
	  runtime/lambdx.scm (14.13), runtime/list.scm (14.53),
	  runtime/load.scm (14.82), runtime/make.scm (14.107),
	  runtime/mime-codec.scm (14.17), runtime/mit-syntax.scm (14.28),
	  runtime/msort.scm (14.12), runtime/ntdir.scm (1.5),
	  runtime/ntprm.scm (1.48), runtime/numint.scm (1.9),
	  runtime/numpar.scm (14.21), runtime/option.scm (14.51),
	  runtime/optiondb.scm (1.18), runtime/ordvec.scm (1.6),
	  runtime/os2ctype.scm (1.7), runtime/os2dir.scm (1.8),
	  runtime/os2graph.scm (1.26), runtime/os2prm.scm (1.55),
	  runtime/os2winp.scm (1.21), runtime/output.scm (14.38),
	  runtime/packag.scm (14.49), runtime/parse.scm (14.64),
	  runtime/parser-buffer.scm (1.17), runtime/partab.scm (14.10),
	  runtime/pathnm.scm (14.50), runtime/pgsql.scm (1.12),
	  runtime/poplat.scm (14.7), runtime/port.scm (1.47),
	  runtime/pp.scm (14.51), runtime/prgcop.scm (1.10),
	  runtime/process.scm (1.33), runtime/prop1d.scm (14.9),
	  runtime/prop2d.scm (14.6), runtime/qsort.scm (14.8),
	  runtime/queue.scm (14.8), runtime/random.scm (14.39),
	  runtime/rbtree.scm (1.10), runtime/record.scm (1.57),
	  runtime/recslot.scm (1.11), runtime/regexp.scm (1.16),
	  runtime/rep.scm (14.67), runtime/rexp.scm (1.25),
	  runtime/rgxcmp.scm (1.126), runtime/runtime.cbf (1.6),
	  runtime/runtime.pkg (14.607), runtime/runtime.sf (14.22),
	  runtime/savres.scm (14.47), runtime/scan.scm (14.10),
	  runtime/scode.scm (14.23), runtime/scomb.scm (14.25),
	  runtime/sdata.scm (14.6), runtime/sfile.scm (14.41),
	  runtime/site.scm.dos (1.17), runtime/site.scm.unix (1.18),
	  runtime/socket.scm (1.30), runtime/srfi-1.scm (1.2),
	  runtime/starbase.scm (1.21), runtime/stream.scm (14.21),
	  runtime/string.scm (14.62), runtime/strnin.scm (14.19),
	  runtime/strott.scm (14.16), runtime/strout.scm (14.26),
	  runtime/symbol.scm (1.22), runtime/syncproc.scm (1.12),
	  runtime/syntactic-closures.scm (14.17), runtime/syntax-check.scm
	  (14.6), runtime/syntax-output.scm (14.12),
	  runtime/syntax-rules.scm (14.9), runtime/syntax-transforms.scm
	  (14.8), runtime/sysclk.scm (14.7), runtime/sysmac.scm (14.15),
	  runtime/system.scm (14.17), runtime/thread.scm (1.41),
	  runtime/tscript.scm (1.10), runtime/ttyio.scm (1.24),
	  runtime/tvector.scm (1.6), runtime/udata.scm (14.24),
	  runtime/uenvir.scm (14.61), runtime/uerror.scm (14.54),
	  runtime/unicode.scm (1.28), runtime/unpars.scm (14.67),
	  runtime/unsyn.scm (14.33), runtime/unxdir.scm (14.15),
	  runtime/unxprm.scm (1.73), runtime/unxpth.scm (14.31),
	  runtime/uproc.scm (1.20), runtime/url.scm (1.47),
	  runtime/urtrap.scm (14.18), runtime/usrint.scm (1.26),
	  runtime/utabs.scm (14.21), runtime/vector.scm (14.26),
	  runtime/version.scm (14.222), runtime/where.scm (14.15),
	  runtime/win32-registry.scm (1.2), runtime/wind.scm (14.12),
	  runtime/wrkdir.scm (14.11), runtime/wttree.scm (1.13),
	  runtime/x11graph.scm (1.59), runtime/xeval.scm (1.13),
	  runtime/ystep.scm (1.8), runtime-check/Clean.sh (1.7),
	  runtime-check/Setup.sh (1.10), runtime-check/runtime.cbf (1.4),
	  sf/butils.scm (4.15), sf/cgen.scm (4.8), sf/chtype.scm (4.7),
	  sf/copy.scm (4.9), sf/emodel.scm (4.7), sf/free.scm (4.7),
	  sf/gconst.scm (4.34), sf/gimprt.scm (4.5), sf/lsets.scm (4.6),
	  sf/make.scm (4.45), sf/object.scm (4.20), sf/pardec.scm (4.17),
	  sf/pthmap.scm (4.8), sf/reduct.scm (4.13), sf/sf.cbf (1.6),
	  sf/sf.pkg (4.20), sf/sf.sf (4.15), sf/subst.scm (4.21),
	  sf/table.scm (4.8), sf/tables.scm (4.6), sf/toplev.scm (4.30),
	  sf/usicon.scm (4.9), sf/usiexp.scm (4.47), sf/xform.scm (4.14),
	  sicp/compat.scm (1.12), sicp/genenv.scm (1.6), sicp/graphics.scm
	  (1.8), sicp/sbuild.scm (1.9), sicp/stream.scm (1.5),
	  sicp/strmac.scm (1.6), sicp/studen.scm (1.15), sos/Makefile.in
	  (1.7), sos/class.scm (1.18), sos/compile.scm (1.10),
	  sos/ed-ffi.scm (1.6), sos/instance.scm (1.18), sos/load.scm
	  (1.17), sos/macros.scm (1.19), sos/method.scm (1.17),
	  sos/microbench.scm (1.6), sos/printer.scm (1.6), sos/slot.scm
	  (1.11), sos/sos.pkg (1.14), ssp/Makefile.in (1.4),
	  ssp/compile.scm (1.8), ssp/expenv.scm (1.2), ssp/load.scm (1.7),
	  ssp/mod-lisp.scm (1.33), ssp/ssp.pkg (1.22),
	  ssp/xhtml-expander.scm (1.12), ssp/xmlrpc.scm (1.14),
	  star-parser/Makefile.in (1.6), star-parser/compile.scm (1.10),
	  star-parser/ed-ffi.scm (1.9), star-parser/load.scm (1.19),
	  star-parser/matcher.scm (1.36), star-parser/parser.pkg (1.23),
	  star-parser/parser.scm (1.37), star-parser/shared.scm (1.33),
	  star-parser/test-parser.scm (1.8), swat/scheme/swat.sf (1.7),
	  wabbit/load.scm (1.7), wabbit/wabbit.cbf (1.5), wabbit/wabbit.pkg
	  (1.5), wabbit/wabbit.scm (1.5), wabbit/wabbit.sf (1.7),
	  win32/clipbrd.scm (1.9), win32/dib.scm (1.9), win32/ffimacro.scm
	  (1.11), win32/graphics.scm (1.21), win32/make.scm (1.17),
	  win32/module.scm (1.7), win32/protect.scm (1.6),
	  win32/wf_user.scm (1.13), win32/win32.cbf (1.6), win32/win32.pkg
	  (1.18), win32/win32.sf (1.13), win32/win_ffi.scm (1.15),
	  win32/wingdi.scm (1.6), win32/winnt.scm (1.6), win32/winuser.scm
	  (1.6), win32/wt_user.scm (1.9), win32/dibutils/dibutils.c (1.7),
	  win32/dibutils/dibutils.def (1.6), win32/dibutils/dibutils.h
	  (1.7), win32/dibutils/makefile.msc (1.7),
	  win32/dibutils/makefile.wcc (1.7), xdoc/Makefile.in (1.3),
	  xdoc/compile.scm (1.3), xdoc/db.scm (1.6), xdoc/load.scm (1.4),
	  xdoc/validate-xdoc.scm (1.2), xdoc/xdoc.pkg (1.7), xdoc/xdoc.scm
	  (1.5), xml/Makefile.in (1.7), xml/compile.scm (1.19),
	  xml/ed-ffi.scm (1.11), xml/load.scm (1.18), xml/parser-macro.scm
	  (1.10), xml/test-parser.scm (1.14), xml/test-turtle.scm (1.2),
	  xml/turtle.scm (1.18), xml/xhtml-entities.scm (1.5),
	  xml/xhtml.scm (1.22), xml/xml-chars.scm (1.8), xml/xml-names.scm
	  (1.13), xml/xml-output.scm (1.41), xml/xml-parser.scm (1.71),
	  xml/xml-rpc.scm (1.9), xml/xml-struct.scm (1.56), xml/xml.pkg
	  (1.89), xml/xpath.scm (1.5):

	Update FSF address.

2006-12-31 00:59  Chris Hanson <edu/mit/csail/cph>

	* ssp/xhtml-expander.scm (1.11):

	Don't provide a default <?xml> declaration.  The absence of the
	declaration is equivalent to its presence, and avoids confusing
	non-XML browsers.

2006-12-28 23:32  Taylor R. Campbell <net/mumble/campbell>

	* runtime/char.scm (14.28):

	Fix case conversion tables for high ISO-8859-1 characters so that they
	are not reversed.

2006-12-28 17:28  Taylor R. Campbell <net/mumble/campbell>

	* edwin/paredit.scm (1.8):

	Fix bug in paredit forward character deletion at the beginning of the
	buffer: formerly it would cause a hardware trap, because it would ask
	for the non-existent character before the point, without checking
	whether there is in fact a valid character position in the buffer
	there.

2006-12-28 10:31  Chris Hanson <edu/mit/csail/cph>

	* edwin/edwin.pkg (1.300):

	Add XML package definitions to eliminate CREF warnings.

2006-12-28 10:23  Chris Hanson <edu/mit/csail/cph>

	* microcode/utabmd.sh (1.5.2.3):

	Propagate Taylor's patch to pre-v15 branch.

2006-12-27 19:08  Chris Hanson <edu/mit/csail/cph>

	* microcode/confshared.h (11.8.2.8):

	Fix bug in prior change.

2006-12-27 17:27  Chris Hanson <edu/mit/csail/cph>

	* microcode/confshared.h (11.8.2.7):

	Define PC_ZERO_BITS for non-native architectures, but only when
	needed.

2006-12-27 03:32  Taylor R. Campbell <net/mumble/campbell>

	* etc/compile.sh (1.8), microcode/utabmd.sh (1.8):

	Twiddle default heap size for shell scripts that invoke Scheme with the
	compiler loaded, so that they fit in the absurdly small limits on OS
	X/Intel.  3000 seems to be the largest number of blocks we can rely on.

2006-12-27 03:10  Taylor R. Campbell <net/mumble/campbell>

	* edwin/edwin.pkg (1.299):

	Argh!  Add long-forgotten (EDWIN LISPPASTE) package...

2006-12-27 02:01  Taylor R. Campbell <net/mumble/campbell>

	* runtime/syntax-rules.scm (14.8):

	Update copyright date.

2006-12-27 01:53  Taylor R. Campbell <net/mumble/campbell>

	* runtime/syntax-rules.scm (14.7):

	Improve code generated for segment variable matching in SYNTAX-RULES.
	Before it used an idiom of

	  ((LET ((LOOP #F)) (SET! LOOP (LAMBDA () ...)) LOOP)
	   ...),

	which caused spurious & confusing `Possible inapplicable operator #f'
	warnings from the compiler's flow analyzer.  Now it uses

	  ((LET () (DEFINE LOOP (LAMBDA () ...)) LOOP)
	   ...),

	like the code generated for named LET.

2006-12-20 02:24  Chris Hanson <edu/mit/csail/cph>

	* edwin/unix.scm (1.121):

	Use OS/FIND-PROGRAM to search path for sendmail.

2006-12-20 02:22  Chris Hanson <edu/mit/csail/cph>

	* edwin/sendmail.scm (1.88):

	Defer call to OS/SENDMAIL-PROGRAM until mail is to be sent.  Otherwise
	it is run when Edwin is built, and will probably be incorrect for the
	target system.

2006-12-11 02:37  Arthur Gleckler <edu/mit/csail/zurich/arthur>

	* runtime/fileio.scm (1.32):

	Reverted change 1.30-1.31, which was supposed to require that output
	ports passed to `port-position' and `set-port-positon!' also be input
	ports.  This restriction was unnecessary and the change had a bug
	anyway.

2006-12-08 21:02  Taylor R. Campbell <net/mumble/campbell>

	* edwin/edtstr.scm (1.33):

	Fix unparser method for buttons: the procedure given to
	SIMPLE-UNPARSER-METHOD must return a list of components.

2006-11-27 17:52  Taylor R. Campbell <net/mumble/campbell>

	* edwin/Makefile.in (1.10):

	*Again* belatedly add another package to the list of options to
	install, this one lisppaste...

2006-11-25 00:11  Chris Hanson <edu/mit/csail/cph>

	* microcode/: ntapi.h (1.18), ntsock.c (1.20), ntapi.h (1.17.2.2),
	  ntsock.c (1.18.2.3):

	Implement win32 socket shutdown support.

2006-11-25 00:07  Chris Hanson <edu/mit/csail/cph>

	* microcode/: bignum.c (9.54), ntfs.c (1.31), ntio.c (1.32),
	  prosfs.c (1.19), uxfs.c (1.27), bignum.c (9.52.2.4), ntfs.c
	  (1.30.2.3), ntio.c (1.31.2.3), prosfs.c (1.18.2.3), uxfs.c
	  (1.25.2.4):

	Eliminate win32 compiler warnings.

2006-11-22 23:56  Taylor R. Campbell <net/mumble/campbell>

	* edwin/info.scm (1.141):

	Apply some improvements on Aaron Hawley's long-overdue patch to the
	Info mode.  TAB now cycles through references (menu items and cross
	references); M-TAB cycles backward; RET by default runs
	`info-current-menu-item', without having to customize the
	`info-selection-key' variable; and all of the relevant regular
	expressions now are defined at the top level, not hard-coded as
	literals in the procedures that refer to them, and use the REXP
	abstraction for clarity, since I couldn't follow the baroque string
	notation without painstakingly rewriting it character by character.

2006-11-22 13:51  Chris Hanson <edu/mit/csail/cph>

	* runtime/: genio.scm (1.47), make.scm (14.106), runtime.pkg
	  (14.606), socket.scm (1.29):

	Use shutdown-socket primitive to close one side of a socket.

2006-11-22 13:50  Chris Hanson <edu/mit/csail/cph>

	* microcode/: pruxsock.c (1.23), syscall.h (1.18), uxsock.c (1.32),
	  uxsock.h (1.13), uxtop.c (1.31):

	Add SHUTDOWN-SOCKET primitive.

2006-11-22 13:13  Chris Hanson <edu/mit/csail/cph>

	* microcode/uxfs.c (1.26):

	Add support for CIFS fs type.

2006-11-22 13:02  Chris Hanson <edu/mit/csail/cph>

	* xml/turtle.scm (1.17):

	Fix bug: list notation doesn't use commas.

2006-11-21 23:35  Chris Hanson <edu/mit/csail/cph>

	* microcode/: intern.c (9.61.2.6), intern.c (9.63):

	Make sure constants are unsigned in string_hash.

2006-11-15 02:54  Chris Hanson <edu/mit/csail/cph>

	* microcode/: prims.h (9.52.2.3), pruxsock.c (1.22.2.3), syscall.h
	  (1.17.2.3), utils.c (9.87.2.9), uxsock.c (1.31.2.3), uxsock.h
	  (1.12.2.3), uxtop.c (1.30.2.4):

	Add SHUTDOWN-SOCKET primitive.

2006-11-15 02:52  Chris Hanson <edu/mit/csail/cph>

	* microcode/uxfs.c (1.25.2.3):

	Add support for CIFS fs type.

2006-11-14 19:38  Chris Hanson <edu/mit/csail/cph>

	* runtime/mit-syntax.scm (14.27):

	Add MIT and MIT/GNU to cond-expand features.

2006-11-09 22:04  Chris Hanson <edu/mit/csail/cph>

	* imail/imail-summary.scm (1.53):

	Change summary so that "from" field is fixed width and subject fills
	available space.  The old behavior is still available, but no longer
	the default.

2006-11-09 15:11  Chris Hanson <edu/mit/csail/cph>

	* xml/rdf-struct.scm (1.23):

	Fix thinko in previous change.

2006-11-09 15:07  Chris Hanson <edu/mit/csail/cph>

	* xml/: rdf-nt.scm (1.11), rdf-struct.scm (1.22), xml.pkg (1.88):

	Change bnodes so they don't carry their names around.  Instead,
	generate the names on demand from their hash numbers, which guarantees
	uniqueness without a lot of digits.  As a corollary this obviates the
	bnode "handle" mechanism, so that's removed.

2006-11-09 15:04  Chris Hanson <edu/mit/csail/cph>

	* runtime/: port.scm (1.46), runtime.pkg (14.605):

	Implement PORT/INTERN-PROPERTY!.

2006-11-09 14:43  Chris Hanson <edu/mit/csail/cph>

	* xml/rdf-struct.scm (1.21):

	Change bnode mechanism so that user-supplied names are used only for
	parsing.

2006-11-04 15:25  Taylor R. Campbell <net/mumble/campbell>

	* edwin/: decls.scm (1.78), ed-ffi.scm (1.56), lisppaste.scm (1.1),
	  loadef.scm (1.50):

	New Edwin library: a front end for lisppaste, using its XML-RPC interface.
	See <http://paste.lisp.org/> for details.

2006-11-04 15:23  Taylor R. Campbell <net/mumble/campbell>

	* xml/: xml-rpc.scm (1.8), xml.pkg (1.87):

	Implement a simple XML-RPC client.

2006-11-04 15:16  Taylor R. Campbell <net/mumble/campbell>

	* runtime/: http-client.scm (14.3), runtime.pkg (14.604):

	Rename two internal operations in RFC 822 headers in the HTTP client,
	and export them, so that users of the library can get at them.

	This is a lame workaround for the problem that the RFC 822 support lies
	in Edwin, rather than the run-time system.  At some point that should
	be fixed properly, and the support updated to RFC 2822, but this works
	for now.

2006-11-04 01:38  Chris Hanson <edu/mit/csail/cph>

	* runtime/: load.scm (14.81), runtime.pkg (14.603):

	Implement WITH-LOADING-MESSAGE to capture common pattern of loading
	files in various ways.

2006-11-03 01:30  Chris Hanson <edu/mit/csail/cph>

	* ssp/mod-lisp.scm (1.32):

	Add support for HEAD requests.

2006-11-01 00:19  Chris Hanson <edu/mit/csail/cph>

	* runtime/io.scm (14.84):

	Change CHANNEL-OPEN? to return #T when true.

2006-11-01 00:16  Chris Hanson <edu/mit/csail/cph>

	* microcode/: ux.h (1.78.2.5), uxproc.c (1.32):

	Update copyright dates.

2006-11-01 00:09  Chris Hanson <edu/mit/csail/cph>

	* runtime/genio.scm (1.46):

	When an I/O port shares the same channel for input and output, don't
	close the channel unless both the input and output sides of the port
	are closed.

2006-10-30 01:04  Chris Hanson <edu/mit/csail/cph>

	* microcode/: intern.c (9.61.2.4), intern.c (9.61.2.5):

	Fix compiler warning.

2006-10-30 01:02  Chris Hanson <edu/mit/csail/cph>

	* microcode/: intern.c (9.61.2.3), intern.c (9.62):

	Change STRING-HASH to use FNV hash algorithm.

2006-10-30 00:50  Chris Hanson <edu/mit/csail/cph>

	* microcode/: const.h (9.53), const.h (9.52.2.5):

	Increase obarray size to more reasonable value.  A current
	fully-loaded band has about 28500 interned symbols, so this value
	should provide for very small buckets.

2006-10-29 12:25  Taylor R. Campbell <net/mumble/campbell>

	* microcode/: ux.h (1.80), uxproc.c (1.31):

	Redefine `UX_vfork' to be `fork' on OS X, because setsid and others are
	not allowed in vforked processes.  Always check the value of setsid,
	since it should work on OS X now that we use fork there instead of
	vfork.

2006-10-29 12:22  Taylor R. Campbell <net/mumble/campbell>

	* microcode/ux.h (1.78.2.4):

	Redefine `UX_vfork' to be `fork' on OS X, not `UX_setsid' so that it
	ignores the value of `setsid' and always returns zero.  `setsid' is
	correct; it just isn't allowed in vforked processes.

2006-10-29 11:43  Taylor R. Campbell <net/mumble/campbell>

	* microcode/: uxio.c (1.54), uxio.c (1.53.2.3):

	Fix bug in calling select(2): its first argument is one greater than
	the highest file descriptor involved, _not_ the number of file
	descriptors involved.

2006-10-29 01:20  Chris Hanson <edu/mit/csail/cph>

	* xml/: turtle.scm (1.16), xml.pkg (1.86):

	Revert previous change and reimplement functionality using new
	procedures PORT/RDF-PREFIX-REGISTRY and PORT/SET-RDF-PREFIX-REGISTRY.
	Implement new procedure WRITE-RDF/TURTLE.  Change READ-RDF/TURTLE-FILE
	to return two values, a list of triples and a newly-allocated prefix
	registry.

2006-10-29 01:17  Chris Hanson <edu/mit/csail/cph>

	* xml/: rdf-nt.scm (1.10), rdf-struct.scm (1.20), xml.pkg (1.85):

	Rename PORT/BNODE-REGISTRY and PORT/DROP-BNODE-REGISTRY and export
	them to global environment.  Make analogous procedures for prefix
	registries.  Add new procedure to merge one prefix registry into
	another.

2006-10-29 01:35  Chris Hanson <edu/mit/csail/cph>

	* xml/xml.pkg (1.84):

	Export several more Turtle output procedures.

2006-10-29 01:32  Chris Hanson <edu/mit/csail/cph>

	* xml/turtle.scm (1.15):

	Change all Turtle procedures to require a prefix-registry argument.

2006-10-29 01:23  Chris Hanson <edu/mit/csail/cph>

	* xml/rdf-struct.scm (1.19):

	Exchange position of REGISTRY and ERROR? arguments on RDF-QNAME->URI,
	URI->RDF-QNAME, and URI->RDF-PREFIX.

2006-10-27 16:55  Chris Hanson <edu/mit/csail/cph>

	* microcode/configure.ac (1.6.2.15):

	Fix typo: when creating MODULE_RULES use ">>" rather than ">".

2006-10-27 09:49  Chris Hanson <edu/mit/csail/cph>

	* xml/turtle.scm (1.14):

	Rewrite Turtle encoder to have simpler, more consistent indentation,
	and to sort prefix definitions by name.

2006-10-26 01:01  Chris Hanson <edu/mit/csail/cph>

	* runtime/usrint.scm (1.25):

	Change WITH-NOTIFICATION to use a different strategy for dealing with
	errors.  The previous strategy wasn't signalling the errors right, for
	reasons I don't understand.

2006-10-25 22:31  Chris Hanson <edu/mit/csail/cph>

	* xml/turtle.scm (1.13):

	Fix bug: list parser wasn't recognizing whitespace before the close
	paren.

2006-10-25 14:13  Chris Hanson <edu/mit/csail/cph>

	* microcode/: fasdump.c (9.68.2.16), fasl.c (1.1.2.6), fasl.h
	  (9.40.2.9), fasload.c (9.96.2.17):

	Change fasdump to temporarily generate older version fasl files, for
	compatibility with trunk microcode.

2006-10-25 13:49  Chris Hanson <edu/mit/csail/cph>

	* sf/toplev.scm (4.29):

	Change "Syntax file" to "Generating SCode for file".

2006-10-25 13:43  Chris Hanson <edu/mit/csail/cph>

	* compiler/base/toplev.scm (4.68):

	Change "Compile File" to "Compiling file".

2006-10-25 13:32  Chris Hanson <edu/mit/csail/cph>

	* compiler/base/toplev.scm (4.67):

	Eliminate unnecessary semicolons in notification lines.

2006-10-25 13:30  Chris Hanson <edu/mit/csail/cph>

	* edwin/edwin.sf (1.34):

	Use WITH-NOTIFICATION when pre-loading class definitions.

2006-10-25 13:29  Chris Hanson <edu/mit/csail/cph>

	* edwin/decls.scm (1.77):

	Use WRITE-NOTIFICATION-LINE to generate dependency notifications.

2006-10-25 13:24  Chris Hanson <edu/mit/csail/cph>

	* edwin/Clean.sh (1.10):

	Don't use generic script to delete packaging files.  That script's
	general patterns delete "key-w32.scm" too.

2006-10-25 01:41  Chris Hanson <edu/mit/csail/cph>

	* sf/toplev.scm (4.28), compiler/base/asstop.scm (1.15),
	  compiler/base/toplev.scm (4.66), compiler/machines/C/ctop.scm
	  (1.19):

	Use new WITH-NOTIFICATION and WRITE-NOTIFICATION-LINE to generate
	status output.

2006-10-25 01:40  Chris Hanson <edu/mit/csail/cph>

	* runtime/usrint.scm (1.24):

	Change way that WITH-NOTIFICATION prints "refresh" line.

2006-10-25 01:05  Chris Hanson <edu/mit/csail/cph>

	* runtime/: runtime.pkg (14.602), usrint.scm (1.23):

	Add WRITE-NOTIFICATION-LINE.

2006-10-25 00:25  Chris Hanson <edu/mit/csail/cph>

	* runtime/: global.scm (14.75), load.scm (14.80), runtime.pkg
	  (14.601), usrint.scm (1.22):

	Implement WITH-NOTIFICATION to provide more uniform handling of status
	notifications, such as "Loading" messages from LOAD.

2006-10-25 00:23  Chris Hanson <edu/mit/csail/cph>

	* runtime/port.scm (1.45):

	Fix typo in previous change.

2006-10-24 23:15  Chris Hanson <edu/mit/csail/cph>

	* runtime/: genio.scm (1.45), output.scm (14.37), port.scm (1.44),
	  runtime.pkg (14.600):

	Implement new output operations OUTPUT-PORT/LINE-START? and
	OUTPUT-PORT/BYTES-WRITTEN.

2006-10-24 22:50  Chris Hanson <edu/mit/csail/cph>

	* runtime/genio.scm (1.44):

	Eliminate unused COLUMN field from GSTATE structure.

2006-10-24 22:12  Chris Hanson <edu/mit/csail/cph>

	* microcode/bitstr.c (9.65.2.5):

	Reverse arguments in _call_ to ulong_to_bit_string, not in its
	definition.

2006-10-24 00:13  Chris Hanson <edu/mit/csail/cph>

	* edwin/: basic.scm (1.145), calias.scm (1.33), edwin.pkg (1.298),
	  os2term.scm (1.27), tterm.scm (1.43), utils.scm (1.57), xterm.scm
	  (1.78):

	Eliminate CHAR-CONTROLIFY and friends in favor of more general
	MERGE-BUCKY-BITS.  Use new bucky-bit abstractions from runtime.

2006-10-24 00:08  Chris Hanson <edu/mit/csail/cph>

	* runtime/: char.scm (14.27), runtime.pkg (14.599):

	Store bucky bits in variables, and provide operations to test and set
	them.  This should provide a little more abstraction than at present.

2006-10-23 17:48  Taylor R. Campbell <net/mumble/campbell>

	* microcode/bitstr.c (9.65.2.4):

	Fix parameter order of ulong_to_bit_string.

2006-10-22 18:15  Chris Hanson <edu/mit/csail/cph>

	* microcode/cmpint.c (1.103.2.16):

	Fix bug in return_to_compiled_code: CET_INTERNAL_CONTINUATION should
	also be recognized as a legal return address.

2006-10-22 12:24  Chris Hanson <edu/mit/csail/cph>

	* microcode/makegen/Makefile.in.in (1.25.2.10):

	Restore "echo" calls in install rules.  These are there to compensate
	for "@" prefix on those for loops.

2006-10-22 12:09  Chris Hanson <edu/mit/csail/cph>

	* edwin/: calias.scm (1.32), edtfrm.scm (1.95), edtstr.scm (1.32),
	  edwin.pkg (1.297), os2term.scm (1.26), utils.scm (1.56),
	  win32.scm (1.19), xterm.scm (1.77):

	Change pointer-button abstraction to have bucky bits, and update
	different terminal drivers to supply them.

2006-10-22 11:39  Chris Hanson <edu/mit/csail/cph>

	* microcode/: x11base.c (1.88), x11base.c (1.81.2.8):

	Change representation of pointer-button codes to include 8 bits of
	button number of 4 bucky bits.  Don't try to fit keysym into a fixnum;
	it's a 29-bit value that must be preserved.

2006-10-21 21:59  Chris Hanson <edu/mit/csail/cph>

	* microcode/x11base.c (1.87):

	Change x_modifier_mask_to_bucky_bits and x_key_button_mask_to_scheme
	to use unsigned long rather than long for computing result.

2006-10-21 17:16  Taylor R. Campbell <net/mumble/campbell>

	* edwin/xterm.scm (1.76):

	Strip the bucky bit for control from key input events only if the
	character is already a control character.  Otherwise leave it in, so
	that other characters can be control-modified without using the
	clumsier C-z or C-^ prefix key bindings.

2006-10-21 12:05  Taylor R. Campbell <net/mumble/campbell>

	* microcode/: object.h (9.61), x11.h (1.21), x11base.c (1.86),
	  object.h (9.59.2.9), x11.h (1.19.2.4), x11base.c (1.81.2.7):

	Find interpretation of modifier masks through the X server's modifier
	mapping and keyboard mapping by finding which modifier masks are
	associated with keycodes mapped to the keysyms for modifier keys.  This
	now follows the ICCCM, rather than assuming that Mod1 means Meta, Mod2
	means Super, and so on.  Edwin also now recognizes Super and Hyper in
	key presses as a result; before it would ignore any modifier masks
	other than Control and Mod1 (Meta).

2006-10-19 22:04  Chris Hanson <edu/mit/csail/cph>

	* xml/: turtle.scm (1.12), xml.pkg (1.83):

	Export procedures to generate parts of turtle file, for use by
	simple-schema.  Simplify algorithms a bit, and clean up code layout.

2006-10-19 21:19  Chris Hanson <edu/mit/csail/cph>

	* xml/turtle.scm (1.11):

	Change output to use simpler and more consistent indentation.

2006-10-19 15:19  Chris Hanson <edu/mit/csail/cph>

	* xml/turtle.scm (1.10):

	Implement support for writing collection syntax.

2006-10-19 13:48  Chris Hanson <edu/mit/csail/cph>

	* xml/: rdf-nt.scm (1.9), rdf-struct.scm (1.18), turtle.scm (1.9),
	  xml.pkg (1.82):

	Do a better job distinguishing procedures that generate RDF/NT syntax.
	Previously these were referred to by generic names.

2006-10-19 11:22  Chris Hanson <edu/mit/csail/cph>

	* xml/: turtle.scm (1.8), xml.pkg (1.81):

	Implement Turtle output.

2006-10-19 11:20  Chris Hanson <edu/mit/csail/cph>

	* xml/rdf-struct.scm (1.17):

	Add URI->RDF-PREFIX.

2006-10-16 02:23  Arthur Gleckler <edu/mit/csail/zurich/arthur>

	* runtime/load.scm (14.79):

	Fixed bug: LOAD failed with relative pathnames, e.g.:

	  (load "../foo.scm")

2006-10-14 02:26  Arthur Gleckler <edu/mit/csail/zurich/arthur>

	* runtime/genio.scm (1.43):

	Fixed typos in `set-output-buffer-coding!'.

2006-10-12 18:43  Chris Hanson <edu/mit/csail/cph>

	* compiler/config.guess (1.2), microcode/config.guess (11.5),
	  microcode/config.sub (11.5):

	Update config.{guess,sub}.

2006-10-09 03:02  Chris Hanson <edu/mit/csail/cph>

	* microcode/: compinit.c (1.6.2.3), configure.ac (1.6.2.14),
	  interp.h (9.50.2.4), liarc-gendeps.c (1.1.2.1), liarc.h
	  (1.21.2.3), make-compinit (1.1.2.1), cmpauxmd/c.c (1.15.2.3),
	  makegen/dirs-liarc.scm (1.1.2.1), makegen/Makefile.in.in
	  (1.25.2.9), makegen/makegen.scm (1.7.2.3):

	A bunch of changes to (1) clean up interface with LIARC; (2)
	simplify building of Makefile; and (3) eliminate use of GNU make
	features in Makefile.

2006-10-09 02:50  Chris Hanson <edu/mit/csail/cph>

	* microcode/: compinit.c (1.8), liarc.h (1.23), cmpauxmd/c.c
	  (1.18), makegen/Makefile.in.in (1.34):

	Change interface to C native code to simplify porting to new
	microcode.

2006-10-09 02:48  Chris Hanson <edu/mit/csail/cph>

	* compiler/machines/C/: cout.scm (1.31), cutl.scm (1.7):

	Clean up output a little to simplify porting to new microcode.

2006-10-07 21:26  Chris Hanson <edu/mit/csail/cph>

	* compiler/machines/C/: compiler.pkg (1.19), cout.scm (1.30),
	  cutl.scm (1.6), lapgen.scm (1.21):

	Move C output abstraction to "cutl.scm" so that it's available earlier
	in the load sequence.

2006-10-07 16:56  Chris Hanson <edu/mit/csail/cph>

	* microcode/configure.ac (1.17):

	Fix typo.

2006-10-07 16:53  Chris Hanson <edu/mit/csail/cph>

	* microcode/: compinit.c (1.6.2.2), configure.ac (1.6.2.13),
	  liarc.h (1.21.2.2), stackops.h (11.1.2.1), unstackify.c
	  (11.1.2.1), cmpauxmd/c.c (1.15.2.2), cmpintmd/c.c (1.1.2.1),
	  cmpintmd/c-config.h (1.1.2.1), cmpintmd/c.h (1.9.2.2),
	  makegen/Makefile.in.in (1.25.2.8):

	Initial draft of C native code support.  Compiles and links without
	runtime, but not tested yet.

2006-10-07 16:52  Chris Hanson <edu/mit/csail/cph>

	* microcode/: artutl.c (1.18.2.4), cmpint.c (1.103.2.15), extern.h
	  (9.65.2.10), fasload.c (9.96.2.16), mul.c (9.37.2.3), prim.c
	  (9.45.2.4):

	Fix a handful of compilation errors that crop up when configured with
	"--enable-native-code=c".

2006-10-07 16:50  Chris Hanson <edu/mit/csail/cph>

	* microcode/bignum.h (9.33.2.3):

	Add conditional to guard against re-inclusion.

2006-10-07 02:21  Chris Hanson <edu/mit/csail/cph>

	* etc/usermap (1.7):

	Add "savannah-arthur".

2006-10-07 02:00  Chris Hanson <edu/mit/csail/cph>

	* microcode/: cmpint.c (1.103.2.14), cmpint.h (10.12.2.9),
	  cmpintmd/i386.c (1.1.2.3), cmpintmd/i386.h (1.37.2.9),
	  cmpintmd/svm1.c (1.1.2.3):

	Change old-style format-word code to use "uint16_t" rather than
	"unsigned short".  Change store_trampoline_insns to return a bool
	rather than void.

2006-10-07 01:58  Chris Hanson <edu/mit/csail/cph>

	* microcode/configure.ac (1.6.2.12):

	Lots of changes to conform to autoconf shell-programming advice.
	Also, make sure we have standard 8-, 16-, and 32-bit integer types.

2006-10-07 01:50  Chris Hanson <edu/mit/csail/cph>

	* compiler/machines/C/rules3.scm (1.15):

	Reorganize closure code slightly to clarify.

2006-10-07 01:49  Chris Hanson <edu/mit/csail/cph>

	* compiler/machines/C/traditional.scm (1.4):

	Tweak.

2006-10-07 01:48  Chris Hanson <edu/mit/csail/cph>

	* compiler/machines/C/cout.scm (1.29):

	Fix typo.

2006-10-06 01:00  Chris Hanson <edu/mit/csail/cph>

	* compiler/machines/C/: cutl.scm (1.5), machin.scm (1.12):

	Update some more code to use C output abstraction.

2006-10-06 00:53  Chris Hanson <edu/mit/csail/cph>

	* compiler/machines/C/cout.scm (1.28):

	Add C:<< and C:>>.

2006-10-05 15:37  Chris Hanson <edu/mit/csail/cph>

	* microcode/comutl.c (1.33.2.4):

	Restore primitive: INITIALIZE-C-COMPILED-BLOCK.

2006-10-05 15:14  Chris Hanson <edu/mit/csail/cph>

	* compiler/machines/C/traditional.scm (1.3):

	Use C output abstraction.

2006-10-05 15:14  Chris Hanson <edu/mit/csail/cph>

	* compiler/machines/C/cout.scm (1.27):

	Allow booleans as line items, and translate them to C booleans.

2006-10-05 01:44  Arthur Gleckler <edu/mit/csail/zurich/arthur>

	* runtime/fileio.scm (1.31):

	Fixed: Change 1.28 removed the check that output ports passed to
	`port-position' and `set-port-position!' must also be input ports.

2006-10-05 00:55  Chris Hanson <edu/mit/csail/cph>

	* compiler/machines/C/cout.scm (1.26):

	Restructure code that generates the code and data for a file's top
	level.

2006-10-04 18:38  Chris Hanson <edu/mit/csail/cph>

	* runtime/fileio.scm (1.30):

	Fix bug: sense of test for binary de/normalizers was reversed.

2006-10-04 15:28  Chris Hanson <edu/mit/csail/cph>

	* microcode/cmpintmd/: i386.h (1.37.2.8), svm1.h (1.1.2.10):

	Minor layout tweaks.

2006-10-04 15:27  Chris Hanson <edu/mit/csail/cph>

	* microcode/: cmpint.c (1.103.2.13), cmpint.h (10.12.2.8),
	  cmpintmd/i386.c (1.1.2.2):

	Pull out common code to handle old-style format words, for reuse with
	C back end.

2006-10-04 15:02  Chris Hanson <edu/mit/csail/cph>

	* runtime/: fileio.scm (1.29), genio.scm (1.42), runtime.pkg
	  (14.598):

	Fix and handful of bugs.

2006-10-04 01:59  Chris Hanson <edu/mit/csail/cph>

	* microcode/cmpint.c (1.103.2.12):

	Tweak layout.

2006-10-04 01:51  Arthur Gleckler <edu/mit/csail/zurich/arthur>

	* runtime/: fileio.scm (1.28), genio.scm (1.41), port.scm (1.43),
	  runtime.pkg (14.597), strout.scm (14.25):

	Added `port-position' and `set-port-position!' operations on file I/O
	ports.  The `port-position' procedure returns the offset, in bytes,
	from the beginning of the file.  The `set-port-position!' procedure
	sets the position.

	Both operations work only on ports that are opened with binary
	normalizers or denormalizers, i.e. ones that make no transformation.
	We should consider lifting this restriction, but this is a useful
	addition even with it.

	When used with output ports, the port passed to these procedures must
	also be an input port.

	The `port-position' procedure works even after a character has been
	"unread", even for ports with non-single-byte character encodings.

2006-10-04 01:00  Chris Hanson <edu/mit/csail/cph>

	* microcode/: confshared.h (11.8.2.6), nttrap.c (1.26.2.6),
	  os2xcpt.c (1.15.2.5), uxtrap.c (1.41.2.7), uxtrap.h (1.35.2.4),
	  cmpintmd/alpha.h (1.7.2.4), cmpintmd/hppa.h (1.54.2.4),
	  cmpintmd/i386.h (1.37.2.7), cmpintmd/mc68k.h (1.38.2.5),
	  cmpintmd/mips.h (1.25.2.5), cmpintmd/svm1.h (1.1.2.9),
	  cmpintmd/vax.h (1.11.2.4):

	Definition of PC_ZERO_BITS doesn't depend on the compiled-code
	interface; it's a function of the host architecture.

2006-10-03 22:32  Chris Hanson <edu/mit/csail/cph>

	* microcode/: cmpint.c (1.103.2.11), cmpint.h (10.12.2.7),
	  configure.ac (1.6.2.11), confshared.h (11.8.2.5), fasl.c
	  (1.1.2.5), fasl.h (9.40.2.8), fasload.c (9.96.2.15), option.c
	  (1.61.2.9), utils.c (9.87.2.8), uxsig.c (1.42.2.8),
	  cmpintmd/alpha.h (1.7.2.3), cmpintmd/hppa.h (1.54.2.3),
	  cmpintmd/i386-config.h (1.1.2.1), cmpintmd/i386.h (1.37.2.6),
	  cmpintmd/mc68k.h (1.38.2.4), cmpintmd/mips.h (1.25.2.4),
	  cmpintmd/none-config.h (1.1.2.1), cmpintmd/none.h (1.1.2.2),
	  cmpintmd/svm1-config.h (1.1.2.1), cmpintmd/svm1.h (1.1.2.8),
	  cmpintmd/vax.h (1.11.2.3), makegen/Makefile.in.in (1.25.2.7),
	  cmptype.h (1.6.2.2):

	More restructuring of compiled-code interface in preparation for
	support of C back end.

2006-10-03 20:07  Chris Hanson <edu/mit/csail/cph>

	* microcode/makegen/Makefile.in.in (1.25.2.6):

	Change "make TAGS" to search for all .c and .h files.

2006-10-03 11:02  Chris Hanson <edu/mit/csail/cph>

	* microcode/cmpintmd/: svm1.c (1.1.2.2), svm1.h (1.1.2.7):

	Move include of "svm1-defns.h" from "cmpintmd.h" to "cmpintmd.c".  It
	isn't needed elsewhere.

2006-10-03 02:46  Chris Hanson <edu/mit/csail/cph>

	* microcode/: svm1-defns.h (1.1.2.4), svm1-interp.c (1.1.2.2):

	Finish implementing instruction set.  Take advantage of new generated
	macros for building decoder tables.

2006-10-03 02:45  Chris Hanson <edu/mit/csail/cph>

	* microcode/: artutl.c (1.18.2.3), extern.h (9.65.2.9):

	Implement double_round.

2006-10-02 21:45  Chris Hanson <edu/mit/csail/cph>

	* microcode/svm1-defns.h (1.1.2.3):

	Updated definitions, without useless unsigned comparisons to zero.

2006-10-02 16:03  Chris Hanson <edu/mit/csail/cph>

	* microcode/: cmpint.c (1.103.2.10), cmpint.h (10.12.2.5),
	  configure.ac (1.6.2.10), extern.h (9.65.2.8), svm1-interp.c
	  (1.1.2.1), uxsig.c (1.42.2.7), cmpintmd/i386.c (1.1.2.1),
	  cmpintmd/i386.h (1.37.2.4), cmpintmd/none.c (1.1.2.1),
	  cmpintmd/svm1.c (1.1.2.1), cmpintmd/svm1.h (1.1.2.5),
	  makegen/files-optional.scm (1.6.2.4), makegen/Makefile.in.in
	  (1.25.2.5), svm1.c (1.1.2.3), cmpint.h (10.12.2.6),
	  cmpintmd/i386.h (1.37.2.5), cmpintmd/svm1.h (1.1.2.6):

	Move arch-specific parts of "cmpint.c" into new files, which will be
	linked in as "cmpintmd.c".  Rename "svm1.c" to "svm1-interp.c" to
	avoid confusion.

2006-10-02 14:35  Chris Hanson <edu/mit/csail/cph>

	* microcode/: confshared.h (11.8.2.4), utabmd.scm (9.88.2.5):

	Some more changes for C back end.

2006-10-02 14:34  Chris Hanson <edu/mit/csail/cph>

	* microcode/: bitstr.c (9.65.2.3), extern.h (9.65.2.7):

	Make sure allocate_bit_string is exported for C back end.  Rewrite
	parts of "bitstr.c" to simplify.

2006-10-02 14:33  Chris Hanson <edu/mit/csail/cph>

	* microcode/: ntutl/config.h (1.7.2.4), os2utl/config.h (1.7.2.3):

	Update microcode version strings.

2006-10-02 14:33  Chris Hanson <edu/mit/csail/cph>

	* microcode/: configure.ac (1.6.2.9), Setup.sh (1.8.2.2),
	  makegen/Makefile.in.in (1.25.2.4), makegen/makeinit.sh
	  (1.10.2.4):

	Port configuration changes from trunk.

2006-10-02 14:32  Chris Hanson <edu/mit/csail/cph>

	* microcode/option.c (1.61.2.8):

	Don't run check_fasl_cc_version when reading band sizes, because the
	necessary arguments aren't yet initialized.

2006-10-02 13:57  Chris Hanson <edu/mit/csail/cph>

	* microcode/cmpint.h (10.12.2.4):

	Export C_return_value when needed.

2006-10-02 00:18  Chris Hanson <edu/mit/csail/cph>

	* runtime/: load.scm (14.78), option.scm (14.50), runtime.pkg
	  (14.596):

	Fix bug: LOAD-OPTION was generating a SIGSEGV when trying to load a
	runtime option, because it was confused by the "options" subdirectory.

2006-10-02 00:16  Chris Hanson <edu/mit/csail/cph>

	* runtime/unxpth.scm (14.30):

	Tweak logic of MAKE-PATHNAME to simplify it.

2006-10-01 23:28  Chris Hanson <edu/mit/csail/cph>

	* microcode/makegen/files-compiled.scm (1.2):

	Remove now-unused "files-compiled.scm".

2006-10-01 17:11  Chris Hanson <edu/mit/csail/cph>

	* microcode/configure.ac (1.16):

	Fix another typo.

2006-10-01 17:00  Chris Hanson <edu/mit/csail/cph>

	* microcode/makegen/Makefile.in.in (1.33):

	Missed two references to @X_LIBS@.

2006-10-01 16:56  Chris Hanson <edu/mit/csail/cph>

	* microcode/: configure.ac (1.15), makegen/Makefile.in.in (1.32),
	  makegen/makegen.scm (1.12):

	Update configuration to handle COMPILED_SOURCES better.  Also use
	AC_PATH_X rather than AC_PATH_XTRA to eliminate unnecessary
	dependencies in the output.

2006-10-01 01:37  Chris Hanson <edu/mit/csail/cph>

	* compiler/machines/C/: compiler.pkg (1.18), cout.scm (1.25),
	  ctop.scm (1.18), lapgen.scm (1.20), rules1.scm (1.11), rules2.scm
	  (1.7), rules3.scm (1.14), rules4.scm (1.5), rulfix.scm (1.9),
	  rulflo.scm (1.10), traditional.scm (1.2):

	Reimplement C output generation.  There's now a procedural layer for
	generating C code, which gives significantly greater control over the
	output formatting.  Code using the layer is simpler and clearer than
	what it replaces.

	Additionally, the output no longer uses DEFUN, EXFUN, etc., instead
	generating ANSI C.  This allows the generated code to be used with the
	(unreleased) v15 microcode.

2006-09-29 15:30  Chris Hanson <edu/mit/csail/cph>

	* sf/toplev.scm (4.27):

	Make SF quieter.

2006-09-29 15:28  Chris Hanson <edu/mit/csail/cph>

	* compiler/Clean.sh (1.9), etc/Clean.sh (1.14),
	  microcode/makegen/Makefile.in.in (1.31):

	Fix cleaning rules to eliminate stuff generated by C back end.

2006-09-28 19:48  Chris Hanson <edu/mit/csail/cph>

	* etc/Clean.sh (1.13):

	Also clean up files generated by compiling to C.

2006-09-26 02:58  Chris Hanson <edu/mit/csail/cph>

	* runtime/datime.scm (14.41):

	Use "T" as ISO-8601 date/time separator, since it makes the result
	useful in more contexts.

2006-09-25 01:57  Chris Hanson <edu/mit/csail/cph>

	* etc/script.scm (1.2):

	Rewrite so that the script is run when the working directory is the
	root of the scheme tree, rather than the runtime subdirectory.  Also
	do a little simplification.

2006-09-25 01:56  Chris Hanson <edu/mit/csail/cph>

	* microcode/makegen/makegen.scm (1.11):

	Untangle the c-back-end knot by using $(wildcard ...) in the generated
	makefile rather than explicit enumeration of the files.

2006-09-25 00:39  Chris Hanson <edu/mit/csail/cph>

	* configure.ac (1.3), compiler/configure (1.8),
	  microcode/configure.ac (1.14):

	Add support for "--enable-c-back-end", to override native-code support
	if desired.

2006-09-25 00:38  Chris Hanson <edu/mit/csail/cph>

	* Setup.sh (1.14), compiler/Setup.sh (1.7), etc/Setup.sh (1.10),
	  microcode/Setup.sh (1.9), microcode/makegen/makeinit.sh (1.13),
	  runtime-check/Setup.sh (1.9):

	Change all "Setup.sh" scripts to accept arguments and pass them
	along.  "Setup.sh" in microcode passes those arguments to configure.

2006-09-25 00:36  Chris Hanson <edu/mit/csail/cph>

	* microcode/cmpauxmd/c.c (1.17):

	If <stdlib.h> is available, use that rather than explicitly declaring
	malloc and realloc.

2006-09-24 19:54  Chris Hanson <edu/mit/csail/cph>

	* microcode/configure.ac (1.13), microcode/ntutl/config.h (1.11),
	  microcode/os2utl/config.h (1.9), runtime/version.scm (14.221),
	  compiler/base/make.scm (4.125):

	Bump version number for C-back-end changes.

2006-09-24 19:51  Chris Hanson <edu/mit/csail/cph>

	* compiler/: rtlgen/opncod.scm (4.75), base/utils.scm (4.32):

	Fix bug: must use generic arithmetic when comparing
	SIGNED-FIXNUM/UPPER-LIMIT, since it's an exclusive limit and not
	usually representable as a fixnum.

2006-09-22 14:02  Chris Hanson <edu/mit/csail/cph>

	* microcode/: ux.h (1.78.2.3), uxsig.c (1.42.2.6), uxtrap.c
	  (1.41.2.6):

	Forward-port changes to support OSX and NetBSD.

2006-09-22 13:59  Chris Hanson <edu/mit/csail/cph>

	* microcode/: nttop.c (1.35.2.5), object.h (9.59.2.8), os2.c
	  (1.10.2.3), os2msg.c (1.17.2.3), os2top.c (1.23.2.3), os.h
	  (1.9.2.3), ux.c (1.27.2.3):

	Forward-port new procedure OS_malloc_init() from gjr changes.  Change
	signatures to use "size_t" rather than "unsigned int".

2006-09-22 13:57  Chris Hanson <edu/mit/csail/cph>

	* microcode/boot.c (9.118.2.5):

	Export machine type to Scheme.

2006-09-22 13:56  Chris Hanson <edu/mit/csail/cph>

	* microcode/: bignum.c (9.52.2.3), comlin.c (1.11.2.3), history.h
	  (9.33.2.3):

	Forward-port some compilation fixes from gjr.

2006-09-22 13:54  Chris Hanson <edu/mit/csail/cph>

	* microcode/: fasl.c (1.1.2.4), fasl.h (9.40.2.7), fasload.c
	  (9.96.2.14), option.c (1.61.2.7):

	Check band versions before using its size parameters.

2006-09-21 00:52  Chris Hanson <edu/mit/csail/cph>

	* microcode/: ntutl/config.h (1.9), os2utl/config.h (1.8),
	  ntutl/config.h (1.10):

	Bump version number to current.  This probably should be automated by
	the configure script.

2006-09-17 08:10  Guillermo J. Rozas <edu/mit/csail/zurich/gjr>

	* compiler/machines/C/: ctop.scm (1.17), lapgen.scm (1.19),
	  make.scm (1.7), rulfix.scm (1.8):

	1. Add unsigned fixnum comparisons, needed to compile runtime-check.

	2. C back end:
	   Eliminate use of the 'system' primitive and use run-shell-command
	   from option synchronous-subprocess.

2006-09-16 07:19  Guillermo J. Rozas <edu/mit/csail/zurich/gjr>

	* Setup.sh (1.13), compiler/configure (1.7),
	  compiler/base/toplev.scm (4.65), compiler/base/utils.scm (4.31),
	  compiler/fggen/fggen.scm (4.40), compiler/machines/C/compiler.pkg
	  (1.17), compiler/machines/C/compiler.sf (1.12),
	  compiler/machines/C/cout.scm (1.24), compiler/machines/C/ctop.scm
	  (1.16), compiler/machines/C/decls.scm (1.10),
	  compiler/machines/C/lapgen.scm (1.18),
	  compiler/machines/C/machin.scm (1.11),
	  compiler/machines/C/make.scm (1.6),
	  compiler/machines/C/recomp.scr (1.2),
	  compiler/machines/C/rules2.scm (1.6),
	  compiler/machines/C/rulrew.scm (1.7),
	  compiler/machines/C/stackify.scm (1.1),
	  compiler/machines/C/stackops.scm (1.1),
	  compiler/machines/C/swmake (1.2),
	  compiler/machines/C/traditional.scm (1.1),
	  compiler/rtlgen/opncod.scm (4.74), etc/script.scm (1.1),
	  microcode/bignum.c (9.53), microcode/bintopsb.c (9.79),
	  microcode/bitstr.c (9.66), microcode/boot.c (9.119),
	  microcode/cmpint.c (1.105), microcode/comlin.c (1.12),
	  microcode/compinit.c (1.7), microcode/comutl.c (1.34),
	  microcode/configure.ac (1.12), microcode/confshared.h (11.9),
	  microcode/error.c (1.10), microcode/fasl.h (9.41),
	  microcode/history.h (9.34), microcode/liarc.h (1.22),
	  microcode/memmag.c (9.72), microcode/nttop.c (1.37),
	  microcode/object.h (9.60), microcode/option.c (1.62),
	  microcode/os.h (1.10), microcode/os2.c (1.11), microcode/ppband.c
	  (9.66), microcode/prim.c (9.46), microcode/primutl.c (9.81),
	  microcode/psbtobin.c (9.64), microcode/ptrvec.c (1.6),
	  microcode/stackops.h (11.1), microcode/tterm.c (1.17),
	  microcode/unstackify.c (11.1), microcode/utabmd.scm (9.89),
	  microcode/ux.c (1.28), microcode/ux.h (1.79), microcode/uxproc.c
	  (1.30), microcode/uxsig.c (1.46), microcode/uxtrap.c (1.42),
	  microcode/wind.c (1.9), microcode/cmpauxmd/c.c (1.16),
	  microcode/cmpintmd/c.h (1.10), microcode/makegen/Makefile.in.in
	  (1.30), microcode/makegen/files-compiled.scm (1.1),
	  microcode/makegen/makegen.scm (1.10), runtime/load.scm (14.77),
	  runtime/make.scm (14.105), runtime/option.scm (14.49),
	  runtime/packag.scm (14.48), runtime/random.scm (14.38),
	  runtime/runtime.pkg (14.595), runtime/utabs.scm (14.20):

	Changes to resurrect the C back end.

	Changes to make the microcode work on OSX/Power PC.

	Changes to make the microcode when compiled by a 64-bit compiler
	(x86_64, Power PC, Itanium).

2006-09-16 01:29  Chris Hanson <edu/mit/csail/cph>

	* runtime/record.scm (1.56):

	Fix bug: typo was causing WNA error to be signalled from record
	constructors of large records.

2006-09-14 21:32  Chris Hanson <edu/mit/csail/cph>

	* microcode/gcloop.c (9.51.2.20):

	Eliminate error when looking up gc-type of undefined types.

2006-09-14 21:23  Chris Hanson <edu/mit/csail/cph>

	* runtime/: make.scm (14.104), runtime.pkg (14.594), savres.scm
	  (14.46):

	Eliminate long-unused DUMP-WORLD.

2006-09-14 21:20  Chris Hanson <edu/mit/csail/cph>

	* runtime/global.scm (14.74):

	Fix broken reference: TYPE-CODE->GC-TYPE should be TYPE->GC-TYPE.

2006-09-08 23:42  Chris Hanson <edu/mit/csail/cph>

	* microcode/option.c (1.61.2.6):

	Guarantee sufficient heap space when using --fasl, by adding
	LARGE_CONSTANT_SIZE to the normal "large" value.

2006-09-08 23:30  Chris Hanson <edu/mit/csail/cph>

	* runtime/uerror.scm (14.53):

	Ignore undefined microcode error names.  Signalling errors at this
	point in the cold load makes the transition to the new microcode
	unpleasant.

2006-09-08 22:34  Chris Hanson <edu/mit/csail/cph>

	* microcode/: fasdump.c (9.68.2.14), fasdump.c (9.68.2.15):

	Fix conditionalization of CHECKSUM macros.

2006-09-08 22:31  Chris Hanson <edu/mit/csail/cph>

	* Makefile.in (1.26), cref/Makefile.in (1.6), edwin/Makefile.in
	  (1.9), imail/Makefile.in (1.6), runtime/Makefile.in (1.10),
	  sos/Makefile.in (1.6), ssp/Makefile.in (1.3),
	  star-parser/Makefile.in (1.5), xdoc/Makefile.in (1.2),
	  xml/Makefile.in (1.6):

	Add datarootdir to Makefiles.

2006-09-08 13:17  Chris Hanson <edu/mit/csail/cph>

	* microcode/: fasdump.c (9.68.2.13), fasload.c (9.96.2.13),
	  gccode.h (9.60.2.11), gcloop.c (9.51.2.19):

	Simplify mechanism used to handle weak pairs.

2006-09-08 13:02  Chris Hanson <edu/mit/csail/cph>

	* microcode/: option.c (1.61.2.5), option.h (1.16.2.3):

	Eliminate bchscheme options.

2006-09-08 13:02  Chris Hanson <edu/mit/csail/cph>

	* microcode/cmpint.c (1.103.2.9):

	Add comments to explain START_OPERATOR_RELOCATION kludge.

2006-09-08 10:38  Chris Hanson <edu/mit/csail/cph>

	* compiler/base/utils.scm (4.30), runtime/global.scm (14.73),
	  runtime/hash.scm (14.10), runtime/unpars.scm (14.66):

	Eliminate references to MANIFEST-SPECIAL-NM-VECTOR.  This type is
	about to go away, and these references aren't normally needed.

2006-09-08 08:43  Chris Hanson <edu/mit/csail/cph>

	* edwin/edwin.ldr (1.78):

	"undo" must be loaded after "editor".

2006-09-08 02:07  Chris Hanson <edu/mit/csail/cph>

	* microcode/: cmpgc.h (1.34.2.4), cmpint.c (1.103.2.8), gcloop.c
	  (9.51.2.18):

	Fix some bugs in the CC linking code.  Eliminate unused
	END_OPERATOR_RELOCATION and END_CLOSURE_RELOCATION macros.

2006-09-08 02:06  Chris Hanson <edu/mit/csail/cph>

	* microcode/cmpintmd/svm1.h (1.1.2.4):

	Don't define symbols to their default value.

2006-09-07 23:33  Chris Hanson <edu/mit/csail/cph>

	* microcode/purify.c (9.65.2.11):

	Fix bug: update_weak_pointers() must be called exactly once.

2006-09-07 22:42  Chris Hanson <edu/mit/csail/cph>

	* microcode/: gccode.h (9.60.2.10), gcloop.c (9.51.2.17):

	Fix memory leak: weak pairs were being handled as pairs.  Now that's
	embarrassing!

2006-09-07 22:18  Chris Hanson <edu/mit/csail/cph>

	* microcode/: fasdump.c (9.68.2.12), gccode.h (9.60.2.9), gcloop.c
	  (9.51.2.16), memmag.c (9.71.2.8):

	Rename walk_tospace() to save_tospace().  Eliminate
	save_tospace_to_newspace() using save_tospace().

2006-09-07 14:27  Chris Hanson <edu/mit/csail/cph>

	* microcode/: fasdump.c (9.68.2.11), gccode.h (9.60.2.8), gcloop.c
	  (9.51.2.15), memmag.c (9.71.2.7):

	Replace very specific save_tospace_to_fasl_file() with more generic
	walk_tospace().  Change phrase "gc_objects_referring" with
	"gc_object_references".

2006-09-06 01:06  Chris Hanson <edu/mit/csail/cph>

	* microcode/: configure.ac (1.6.2.8), fasdump.c (9.68.2.10):

	Add debugging tests to fasdump to guarantee that none of the memory is
	changed by the operation.

2006-09-06 00:59  Chris Hanson <edu/mit/csail/cph>

	* runtime/gc.scm (14.23):

	More fixes.

2006-09-06 00:54  Chris Hanson <edu/mit/csail/cph>

	* runtime/gc.scm (14.22):

	Fix typo in previous change.

2006-09-06 00:53  Chris Hanson <edu/mit/csail/cph>

	* runtime/gc.scm (14.21):

	Change handling of purification queue so that the list wrapper is
	deleted when there's only a single item in the queue.  Simplify logic
	for handling queues.

2006-09-06 00:49  Chris Hanson <edu/mit/csail/cph>

	* runtime/: boot.scm (14.23), gdatab.scm (14.9), runtime.pkg
	  (14.593):

	Eliminate FUTURE?.

2006-09-05 15:24  Chris Hanson <edu/mit/csail/cph>

	* microcode/gcloop.c (9.51.2.14):

	Put in backwards-compatibility hack so that older bands can still be
	used.

2006-09-05 15:17  Chris Hanson <edu/mit/csail/cph>

	* microcode/: const.h (9.52.2.4), debug.c (9.58.2.5), extern.h
	  (9.65.2.6), fasload.c (9.96.2.12), gcloop.c (9.51.2.13), interp.c
	  (9.102.2.6), types.h (9.40.2.5), utabmd.scm (9.88.2.4), xdebug.c
	  (9.37.2.4):

	Eliminate now-unused TC_MANIFEST_SPECIAL_NM_VECTOR.

2006-09-05 15:10  Chris Hanson <edu/mit/csail/cph>

	* microcode/: errors.h (9.46.2.5), extern.h (9.65.2.5), fasload.c
	  (9.96.2.11), hunk.c (9.31.2.3), list.c (9.35.2.3), nttrap.c
	  (1.26.2.5), object.h (9.59.2.7), os2xcpt.c (1.15.2.4), prim.c
	  (9.45.2.3), purify.c (9.65.2.10), purutl.c (9.54.2.10), uxtrap.c
	  (1.41.2.5), vector.c (9.42.2.3):

	Eliminate distinction between pure and constant space, greatly
	simplifying purification and eliminating impurification.  This is
	reasonable because the pure portion of constant space is typically
	0.7% in all of our bands.

2006-09-04 23:14  Chris Hanson <edu/mit/csail/cph>

	* microcode/: boot.c (9.118.2.4), cmpint.c (1.103.2.7), errors.h
	  (9.46.2.4), extern.h (9.65.2.4), fasdump.c (9.68.2.9), fasl.c
	  (1.1.2.3), fasl.h (9.40.2.6), fasload.c (9.96.2.10), gccode.h
	  (9.60.2.7), gcloop.c (9.51.2.12), intrpt.h (1.24.2.4), memmag.c
	  (9.71.2.6), memmag.h (1.10.2.4), nttrap.c (1.26.2.4), object.h
	  (9.59.2.6), os2xcpt.c (1.15.2.3), purify.c (9.65.2.9), purutl.c
	  (9.54.2.9), storage.c (9.60.2.5), sysprim.c (9.51.2.3), term.c
	  (1.20.2.3), utabmd.scm (9.88.2.3), utils.c (9.87.2.7), uxtrap.c
	  (1.41.2.4), xdebug.c (9.37.2.3), cmpintmd/alpha.h (1.7.2.2),
	  cmpintmd/mc68k.h (1.38.2.3), cmpintmd/mips.h (1.25.2.3):

	Another redesign of the garbage collector, this time to use one heap
	and to allocate a special "tospace" outside of the tagged address
	space.  This allows much larger heaps to be used, at a cost in GC time
	and complexity.

	Related changes: Change "active_heap" to "heap" everywhere; delete all
	references to "inactive_heap".  Change INITIALIZE_INTERRUPTS to take
	an interrupt mask as an argument.  Add new error code
	ERR_FASDUMP_OBJECT_TOO_LARGE.  Remove unused error code
	ERR_IMPURIFY_OUT_OF_SPACE.

2006-09-04 23:09  Chris Hanson <edu/mit/csail/cph>

	* microcode/primutl.c (9.80.2.3):

	Change make_table_entry to build string directly, rather than by using
	allocate_vector, since this allows it to be used in tospace.
	Unfortunately it does introduce another place that knows about the
	structure of strings.

2006-09-04 23:07  Chris Hanson <edu/mit/csail/cph>

	* microcode/option.c (1.61.2.4):

	Fix bug: logic to supply default temporary directory was broken.

2006-09-02 20:56  Chris Hanson <edu/mit/csail/cph>

	* microcode/: interp.h (9.50.2.3), stack.h (9.44.2.4):

	Introduce STACK_LOCATIVE_LESS_P and use it to fix an abstraction
	breaker.

2006-08-30 16:03  Chris Hanson <edu/mit/csail/cph>

	* microcode/: fasload.c (9.96.2.9), gccode.h (9.60.2.6), gcloop.c
	  (9.51.2.11), purutl.c (9.54.2.8):

	Introduce std_gc_scan to handle case where no tranport occurs.

2006-08-30 15:20  Chris Hanson <edu/mit/csail/cph>

	* microcode/: fasload.c (9.96.2.8), purutl.c (9.54.2.7):

	Provide values for new GCTX fields.

2006-08-30 15:20  Chris Hanson <edu/mit/csail/cph>

	* microcode/gcloop.c (9.51.2.10):

	Handle case where GCTX_PTO is null.

2006-08-30 14:54  Chris Hanson <edu/mit/csail/cph>

	* microcode/fasdump.c (9.68.2.8):

	Provide from_start and from_end when building GC context.

2006-08-30 01:17  Chris Hanson <edu/mit/csail/cph>

	* microcode/: const.h (9.52.2.3), fasl.c (1.1.2.2), fasl.h
	  (9.40.2.5), gc.h (9.36.2.4), gccode.h (9.60.2.5), gcloop.c
	  (9.51.2.9), gctype.c (9.36.2.4), memmag.c (9.71.2.5), memmag.h
	  (1.10.2.3), object.h (9.59.2.5), outf.c (1.14.2.3), purify.c
	  (9.65.2.8), purutl.c (9.54.2.6), scheme.h (9.42.2.3), storage.c
	  (9.60.2.4), trap.h (9.51.2.3), types.h (9.40.2.4), utils.c
	  (9.87.2.6):

	More GC cleanup:
	  - don't include "scheme.h" in "gcloop.c" or in "outf.c"
	  - move former contents of "memmag.h" to "memmag.c"
	  - move non-GC-core definitions from "gc.h" to "memmag.h"
	  - change "scheme.h" to include "memmag.h"
	  - change "object.h" to include "types.h"
	  - change "gccode.h" to include "gc.h"
	  - move GC-core definitions from "const.h" to "object.h"
	  - move contents of "gctype.c" to "gcloop.c"
	  - simplify GC error signalling and use hook to abort GC
	  - eliminate BAD_TYPES_INNOCUOUS

2006-08-29 22:59  Chris Hanson <edu/mit/csail/cph>

	* microcode/: boot.c (9.118.2.3), extern.h (9.65.2.3), fasdump.c
	  (9.68.2.7), gccode.h (9.60.2.4), gcloop.c (9.51.2.8), memmag.c
	  (9.71.2.4), purify.c (9.65.2.7), purutl.c (9.54.2.5), stack.h
	  (9.44.2.3):

	Reorganize GC so that all core GC functionality is in gcloop.c and can
	(hopefully) be used independent of the rest of the microcode.

2006-08-29 15:40  Chris Hanson <edu/mit/csail/cph>

	* microcode/: fasdump.c (9.68.2.6), fasl.c (1.1.2.1), fasl.h
	  (9.40.2.4), fasload.c (9.96.2.7), option.c (1.61.2.3),
	  makegen/files-core.scm (1.4.2.4):

	Move all fasl I/O to new file "fasl.c", and rewrite it so that it
	doesn't use any run-time facilities of the microcode.  This will allow
	it to be reused to build standalone programs.

2006-08-29 15:39  Chris Hanson <edu/mit/csail/cph>

	* microcode/types.h (9.40.2.3):

	Simple cleanups.

2006-08-29 15:38  Chris Hanson <edu/mit/csail/cph>

	* microcode/object.h (9.59.2.4):

	Make sure various constants are unsigned.

2006-08-29 00:44  Chris Hanson <edu/mit/csail/cph>

	* microcode/: cmpgc.h (1.34.2.3), cmpint.h (10.12.2.3),
	  configure.ac (1.6.2.7), debug.c (9.58.2.4), fasdump.c (9.68.2.5),
	  fasload.c (9.96.2.6), gcloop.c (9.51.2.7), gctype.c (9.36.2.3),
	  hooks.c (9.66.2.4), interp.c (9.102.2.5), lookup.c (9.70.2.4),
	  memmag.c (9.71.2.3), pruxenv.c (1.22.2.3), purify.c (9.65.2.6),
	  purutl.c (9.54.2.4), storage.c (9.60.2.3), utils.c (9.87.2.5),
	  uxtrap.c (1.41.2.3), uxtrap.h (1.35.2.3), cmpintmd/none.h
	  (1.1.2.1), makegen/files-core.scm (1.4.2.3),
	  makegen/files-optional.scm (1.6.2.3):

	Provide support for running the system without any compiled-code
	support.  This involves a dummy architecture description, plus a lot
	of conditionalizations.

2006-08-29 00:37  Chris Hanson <edu/mit/csail/cph>

	* microcode/cmpintmd/: i386.h (1.37.2.3), svm1.h (1.1.2.3):

	Don't include config.h and cmpint.h because these files are always
	included from cmpint.h, which includes config.h.

2006-08-29 00:17  Chris Hanson <edu/mit/csail/cph>

	* runtime/scomb.scm (14.24):

	When building constant-folding list, be tolerant of primitives that
	aren't implemented by the microcode.

2006-08-28 23:48  Chris Hanson <edu/mit/csail/cph>

	* runtime/genio.scm (1.40):

	Fix typo in previous change.

2006-08-28 13:03  Chris Hanson <edu/mit/csail/cph>

	* microcode/: confshared.h (11.8.2.3), object.h (9.59.2.3), uxtop.c
	  (1.30.2.3):

	Move definition of SCHEME_OBJECT to "object.h".

2006-08-28 12:58  Chris Hanson <edu/mit/csail/cph>

	* microcode/: bintopsb.c (9.78), psbtobin.c (9.63):

	Re-fix previous change -- forgot to account for bucky bits.

2006-08-27 17:37  Chris Hanson <edu/mit/csail/cph>

	* runtime/genio.scm (1.39):

	Add windows 8-bit codecs.

2006-08-27 11:49  Chris Hanson <edu/mit/csail/cph>

	* microcode/: bintopsb.c (9.77), psbtobin.c (9.62):

	Change representation of characters in PSB files to account for
	unicode.

2006-08-26 23:03  Arthur Gleckler <edu/mit/csail/zurich/arthur>

	* runtime/string.scm (14.61):

	Fixed typo in comment.

2006-08-20 19:19  Chris Hanson <edu/mit/csail/cph>

	* microcode/utils.c (9.87.2.4):

	Change error message for application to show something more useful.

2006-08-17 13:13  Chris Hanson <edu/mit/csail/cph>

	* microcode/: errors.h (9.46.2.3), fasload.c (9.96.2.5), utils.c
	  (9.87.2.3):

	Fix out-of-date error messages.

2006-08-16 15:25  Chris Hanson <edu/mit/csail/cph>

	* microcode/intrpt.h (1.24.2.3):

	Fix thinko in compiled-code interrupt signalling.

2006-08-16 15:15  Chris Hanson <edu/mit/csail/cph>

	* microcode/: fasdump.c (9.68.2.4), fasload.c (9.96.2.4), gccode.h
	  (9.60.2.3), gcloop.c (9.51.2.6), purify.c (9.65.2.5), purutl.c
	  (9.54.2.3):

	Make precheck_from be part of GC table.  Fix major bug that caused
	second phase of purify to be a no-op.

2006-08-16 15:14  Chris Hanson <edu/mit/csail/cph>

	* microcode/debug.c (9.58.2.3):

	Fix printing of symbol names.

2006-08-16 00:23  Chris Hanson <edu/mit/csail/cph>

	* microcode/: configure.ac (1.6.2.6), prmcrypt.c (1.5.2.3),
	  prmhash.c (11.6.2.4), syntax.c (1.30.2.3), utabmd.sh (1.5.2.2),
	  makegen/Makefile.in.in (1.25.2.3), makegen/makegen.scm (1.7.2.2),
	  makegen/makeinit.sh (1.10.2.3):

	Merge changes from trunk.

2006-08-16 00:11  Chris Hanson <edu/mit/csail/cph>

	* microcode/syntax.c (1.35):

	Make symbolic names for parse-state vector, and use them
	consistently.  This fixes two more bugs associated with this change.

2006-08-15 23:46  Chris Hanson <edu/mit/csail/cph>

	* microcode/: hooks.c (9.66.2.3), interp.c (9.102.2.4):

	Eliminate compiler warnings.

2006-08-15 23:45  Chris Hanson <edu/mit/csail/cph>

	* microcode/configure.ac (1.6.2.5):

	Change to work with GCC prior to version 4.

2006-08-15 21:32  Chris Hanson <edu/mit/csail/cph>

	* microcode/purify.c (9.65.2.4):

	Fix two thinkos.

2006-08-15 00:32  Chris Hanson <edu/mit/csail/cph>

	* edwin/vc.scm (1.95):

	Fix bug: "ignored" files should be treated the same as "unversioned"
	when deciding whether they are under version control.

2006-08-15 00:23  Chris Hanson <edu/mit/csail/cph>

	* microcode/syntax.c (1.34):

	Fix typo in previous change.

2006-08-09 01:48  Arthur Gleckler <edu/mit/csail/zurich/arthur>

	* runtime/: runtime.pkg (14.592), strout.scm (14.24):

	Added new `port-position' procedure.  On a port created using
	`open-output-string', e.g. through `with-output-to-string', this
	procedure returns the current position in the output buffer.  For
	example:

	  1 ]=> (define foo)

	  ;Value: foo

	  1 ]=> (with-output-to-string
		  (lambda ()
		    (write-string "foo")
		    (set! foo (port-position (current-output-port)))
	            (write-string "bar")))
	  ;Value 1: "foobar"

	  1 ]=> foo

	  ;Value: 3

	  1 ]=>

2006-08-03 00:00  Taylor R. Campbell <net/mumble/campbell>

	* microcode/syntax.c (1.33):

	Update the size of parse states according to the recently added field,
	so that we don't write off the end of the vector's storage.

2006-08-02 14:18  Chris Hanson <edu/mit/csail/cph>

	* runtime/: http-client.scm (14.2), runtime.pkg (14.591):

	Fix various compiler warnings.

2006-08-02 12:27  Taylor R. Campbell <net/mumble/campbell>

	* runtime/: http-client.scm (14.1), make.scm (14.103), runtime.pkg
	  (14.590):

	New simple HTTP client abstraction.

2006-08-02 01:54  Arthur Gleckler <edu/mit/csail/zurich/arthur>

	* runtime/hashtb.scm (1.35):

	Fixed bug in `make-hash-table' and `alist->hash-table': neither
	provided defaults for `key=?' or `key-hash', so both created
	nonfunctioning hash tables if called without both of those parameters.

2006-08-02 01:05  Chris Hanson <edu/mit/csail/cph>

	* xml/: rdf-nt.scm (1.8), rdf-struct.scm (1.16), turtle.scm (1.7),
	  xml.pkg (1.80):

	Clean up handling of bnode registration.  Add mechanism for giving
	string "handles" to bnodes, so that in-memory bnodes can be uniquely
	identified.  (Bnode names are scoped to a document and are unsuitable
	for this purpose.)

2006-08-01 13:23  Chris Hanson <edu/mit/csail/cph>

	* xml/: rdf-struct.scm (1.15), xml.pkg (1.79):

	Tweak qname abstraction again.

2006-08-01 00:23  Chris Hanson <edu/mit/csail/cph>

	* xml/: xml.pkg (1.78), xml-rpc.scm (1.7):

	Share the definition of STRING-OF-XML-CHARS? with "xml-rpc.scm".

2006-07-31 22:50  Chris Hanson <edu/mit/csail/cph>

	* xml/: rdf-struct.scm (1.14), xml.pkg (1.77):

	Round out the RDF QName abstraction a bit.  Change RDF-QNAME? to be a
	syntactic test that doesn't check any registry.

2006-07-31 14:55  Taylor R. Campbell <net/mumble/campbell>

	* xml/xml-struct.scm (1.55):

	Tighten XML-CHAR-DATA? and CANONICALIZE-CHAR-DATA so that they refuse
	characters or entity references not included in the XML-CHAR alphabet.

	This may have a small performance cost when constructing XML trees,
	and it will have to change for XML 1.1, which relaxes the restriction
	on XML character data.  It could have been done in the XML writer,
	since the parser already checks this, but this way offers guarantees
	about the validity of any XML data in Scheme, and these guarantees are
	probably good things.

2006-07-28 21:25  Chris Hanson <edu/mit/csail/cph>

	* xml/turtle.scm (1.6):

	Fix bug in parsing of booleans; they were matched but treated as
	noise, causing triples containing them to be elided.

2006-07-28 12:23  Taylor R. Campbell <net/mumble/campbell>

	* xml/xml-rpc.scm (1.6):

	Add the condition of whether all characters are in the XML-CHAR
	alphabet to ENCODE-STRING's decision of whether to return raw
	strings or base64-encoded data.

2006-07-28 00:10  Chris Hanson <edu/mit/csail/cph>

	* edwin/schmod.scm (1.74):

	Add CALL-WITH-INPUT-STRING to indentation table.

2006-07-28 00:01  Chris Hanson <edu/mit/csail/cph>

	* xml/rdf-struct.scm (1.13):

	In URI->RDF-QNAME, don't use blank prefix if another is available.

2006-07-27 22:54  Chris Hanson <edu/mit/csail/cph>

	* xml/: rdf-struct.scm (1.12), xml.pkg (1.76):

	Fix typo in previous change.  Tweak interface to export a variable
	with the default prefix registry, so that it can be dynamically bound.

2006-07-27 16:14  Chris Hanson <edu/mit/csail/cph>

	* xml/: rdf-struct.scm (1.11), turtle.scm (1.5), xml.pkg (1.75):

	Allow RDF prefix procedures to take an optional registry, and export a
	data abstraction for registries.

2006-07-27 12:50  Chris Hanson <edu/mit/csail/cph>

	* edwin/Makefile.in (1.8):

	Update copyright dates.

2006-07-26 20:42  Taylor R. Campbell <net/mumble/campbell>

	* edwin/Makefile.in (1.7):

	Belatedly add paredit to the list of optional packages to install.

2006-07-26 20:03  Chris Hanson <edu/mit/csail/cph>

	* runtime/: runtime.pkg (14.589), string.scm (14.60), symbol.scm
	  (1.21):

	Add missing guarantors for symbols and strings.

2006-07-26 20:00  Chris Hanson <edu/mit/csail/cph>

	* runtime/: runtime.pkg (14.588), unicode.scm (1.27):

	Implement FOR-ALL-CHARS-IN-STRING? and FOR-ANY-CHAR-IN-STRING?.

2006-07-26 15:10  Chris Hanson <edu/mit/csail/cph>

	* runtime/load.scm (14.76):

	Change LOAD so that nested loads use environment of enclosing load as
	target.  Previously they used the nearest REPL environment.
	(Non-nested loads retain the old behavior.)

2006-07-26 15:04  Chris Hanson <edu/mit/csail/cph>

	* ssp/xhtml-expander.scm (1.10):

	Allow LOAD in expander environment to take optional target
	environment.

2006-07-25 14:21  Taylor R. Campbell <net/mumble/campbell>

	* xml/xml-rpc.scm (1.5):

	Change string encoding so that base64-encoded strings are properly
	wrapped in `base64' elements, and so that non-base64-encoded strings
	are not wrapped in superfluous `string' elements.

2006-07-20 13:09  Taylor R. Campbell <net/mumble/campbell>

	* runtime/debug.scm (14.47), runtime/runtime.pkg (14.587),
	  ssp/mod-lisp.scm (1.31), ssp/ssp.pkg (1.21):

	Move STACK-TRACE from mod_lisp server to the run-time system.

2006-07-07 20:24  Chris Hanson <edu/mit/csail/cph>

	* xml/turtle.scm (1.4):

	Make sure that base URI is absolute.

2006-07-03 15:41  Taylor R. Campbell <net/mumble/campbell>

	* edwin/: curren.scm (1.148), buffrm.scm (1.63), paredit.scm (1.7):

	Change SAVE-EXCURSION and SCREEN-WINDOW-CONFIGURATION to make
	right-inserting copies of the point, rather than left-inserting.
	This way, insertion of text at point inside the SAVE-EXCURSION region
	will have no effect on the original point.

	Change SAVE-EXCURSION to select the original buffer after the
	supplied thunk returns.

	Remove PAREDIT-SAVE-EXCURSION, whose functionality is now subsumed by
	the new SAVE-EXCURSION.

2006-07-03 15:28  Taylor R. Campbell <net/mumble/campbell>

	* edwin/syntax.scm (1.95), microcode/syntax.c (1.32):

	Update copyright years.

2006-07-03 15:05  Taylor R. Campbell <net/mumble/campbell>

	* edwin/paredit.scm (1.6), edwin/syntax.scm (1.94),
	  microcode/syntax.c (1.31):

	Implement PARSE-STATE-START-OF-SEXP and PARSE-STATE-END-OF-SEXP
	properly in Edwin's partial S-expression parser.  This fixes a long-
	standing bug in paredit whereby character deletion in strings that
	were the first elements of lists would cause segmentation faults.

2006-06-27 14:43  Taylor R. Campbell <net/mumble/campbell>

	* edwin/paredit.scm (1.5):

	Call UNDO-RECORD-POINT! before modifications in `paredit-splice-sexp'
	and `paredit-split-sexp' commands, so that their undoing works as
	expected.

2006-06-27 14:39  Taylor R. Campbell <net/mumble/campbell>

	* edwin/paredit.scm (1.4):

	Implement paredit-split-sexp (M-S) and paredit-join-sexps (M-J).

2006-06-26 12:16  Taylor R. Campbell <net/mumble/campbell>

	* edwin/ed-ffi.scm (1.55):

	Add entries for diff.scm and paredit.scm to ed-ffi.scm.

2006-06-23 15:35  Chris Hanson <edu/mit/csail/cph>

	* xml/xml.pkg (1.74):

	Export CANONICALIZE-RDF-URI.

2006-06-23 14:50  Chris Hanson <edu/mit/csail/cph>

	* xml/turtle.scm (1.3):

	Register qname prefixes when reading file.

2006-06-23 14:49  Chris Hanson <edu/mit/csail/cph>

	* xml/: rdf-struct.scm (1.10), xml.pkg (1.73):

	Add support for RDF qnames.

2006-06-23 14:49  Chris Hanson <edu/mit/csail/cph>

	* xml/ed-ffi.scm (1.10):

	Add entry for "turtle.scm".

2006-06-23 13:20  Chris Hanson <edu/mit/csail/cph>

	* xml/: turtle.scm (1.2), xml.pkg (1.72):

	Export qname matchers for use in rdf-struct.

2006-06-22 15:17  Chris Hanson <edu/mit/csail/cph>

	* xml/: rdf-nt.scm (1.7), rdf-struct.scm (1.9), xml.pkg (1.71):

	Export procedures to write the elements of a triple.

2006-06-22 14:35  Chris Hanson <edu/mit/csail/cph>

	* xml/rdf-struct.scm (1.8):

	Add unparser for RDF literals.

2006-06-22 11:17  Chris Hanson <edu/mit/csail/cph>

	* runtime/symbol.scm (1.20):

	Change INTERN and INTERN-SOFT to accept UTF-8 strings.

2006-06-22 00:48  Chris Hanson <edu/mit/csail/cph>

	* xml/: rdf-struct.scm (1.7), xml.pkg (1.70):

	Implement RDF-LITERAL=?.

2006-06-21 09:45  Chris Hanson <edu/mit/csail/cph>

	* runtime/parse.scm (14.63):

	Handle atom delimiters specially when they are the first character
	after "#\".

2006-06-20 23:00  Chris Hanson <edu/mit/csail/cph>

	* runtime/: runtime.pkg (14.586), strnin.scm (14.18):

	Define CALL-WITH-INPUT-STRING, since I keep assuming it's there.

2006-06-20 22:57  Chris Hanson <edu/mit/csail/cph>

	* runtime/parse.scm (14.62):

	Eliminate overly-restrictive error tests from character syntax.

2006-06-19 14:02  Chris Hanson <edu/mit/csail/cph>

	* edwin/: paredit.scm (1.2), paredit.scm (1.3):

	Fixed references to unbound variable.

2006-06-19 14:02  Chris Hanson <edu/mit/csail/cph>

	* edwin/snr.scm (1.67):

	Eliminate compiler warning.

2006-06-16 15:02  Taylor R. Campbell <net/mumble/campbell>

	* edwin/: decls.scm (1.76), edwin.pkg (1.296), loadef.scm (1.49),
	  paredit.scm (1.1):

	New Edwin library Paredit.

2006-06-16 14:35  Taylor R. Campbell <net/mumble/campbell>

	* edwin/decls.scm (1.75):

	Move diff.scm to proper alphabetical location in syntaxed filename list.

2006-06-16 14:33  Taylor R. Campbell <net/mumble/campbell>

	* edwin/diff.scm (1.2):

	Fix Edwin command DIFF-BACKUP for case wherein selected buffer has no
	associated file.

2006-06-16 13:55  Taylor R. Campbell <net/mumble/campbell>

	* edwin/: decls.scm (1.74), diff.scm (1.1), edwin.ldr (1.77),
	  edwin.pkg (1.295), vc.scm (1.94):

	Implement Unix diff(1) front end.

	New Edwin variables:
	  diff-program

	New Edwin commands:
	  diff (compare two files)
	  diff-backup (compare buffer's file with its most recent backup)
	  diff-buffer-with-file (compare buffer with its underlying file)
	  diff-auto-save (compare buffer with its auto-save file)

2006-06-12 16:46  Taylor R. Campbell <net/mumble/campbell>

	* edwin/: edwin.pkg (1.294), snr.scm (1.66):

	Implement two kinds of filtering in Edwin's simple news reader:
	filtering out messages that match criteria, such as spam; and
	filtering headers of kept messages.

	See the documentation strings for the new Edwin variables
	NEWS-HEADER-FILTER and NEWS-KEPT-HEADERS.  New procedures
	NEWS-HEADER-SPLITTING-FILTER and NEWS-HEADER-REGEXP-FILTER are useful
	for constructing the value of NEWS-HEADER-FILTER.  For example,
	I have this in my .edwin, so that any messages with xref headers
	whose values contain `gmane.spam.detected' on any Gmane news servers
	will be ignored:

	  (add-event-receiver! (ref-variable news-group-mode-hook)
	    (let ((gmane-spam-filter
	           (news-header-regexp-filter
	            '(("xref" . ".*gmane\\.spam\\.detected.*")))))
	      (lambda (buffer)
	        (if (string-prefix? "gmane." (buffer-name buffer))
	            (local-set-variable! news-header-filter
	                                 gmane-spam-filter
	                                 buffer)))))

2006-06-12 13:53  Chris Hanson <edu/mit/csail/cph>

	* runtime/: advice.scm (14.21), list.scm (14.52), mit-syntax.scm
	  (14.26), runtime.pkg (14.585), srfi-1.scm (1.1):

	Finish integrating SRFI-1 support.

2006-06-12 01:07  Chris Hanson <edu/mit/csail/cph>

	* runtime/: list.scm (14.51), runtime.pkg (14.584):

	Make some changes in preparation for integration of SRFI-1 support:

	. Some of the (simpler) new procedures have been installed verbatim
	  from John Kraemer's edit of Olin's implementation.  Some others were
	  rewritten, but many others have yet to be installed.

	. The mapping procedures have been extended to accept arguments of
	  different lengths (as required).

	. MEMBER and ASSOC have been extended to take an extra optional
	  argument (as required).

	. REDUCE has been changed to have the SRFI-1 semantics.  This means
	  that (REDUCE CONS '() '(A B C)) now returns

	      (c b . a)

	  where it used to return

	      ((a . b) . c)

	  This is an incompatible change; hopefully it won't be too painful
	  for the users.

	. FOLD-RIGHT has been extended to support multiple list arguments.

	. FOLD-LEFT remains unchanged but is now considered obsolete; SRFI-1
	  provides FOLD instead, with different semantics.

	Additionally, the definition of WEAK-LIST? was wrong and has been
	fixed.

2006-06-12 00:19  Chris Hanson <edu/mit/csail/cph>

	* edwin/debug.scm (1.70), edwin/dired.scm (1.199), edwin/notify.scm
	  (1.24), edwin/sendmail.scm (1.87), edwin/vc.scm (1.93),
	  pcsample/pcsdisp.scm (1.6), pcsample/zones.scm (1.3):

	Change or eliminate some calls to REDUCE and FOLD-LEFT that might
	cause trouble with the SRFI-1 definitions.

2006-06-10 23:06  Chris Hanson <edu/mit/csail/cph>

	* edwin/dired.scm (1.198):

	Fix typo in previous change.

2006-06-10 23:04  Chris Hanson <edu/mit/csail/cph>

	* runtime/socket.scm (1.28):

	Repaginate.

2006-06-10 23:03  Chris Hanson <edu/mit/csail/cph>

	* runtime/socket.scm (1.27):

	Generate sensible error message when GET-HOST-BY-NAME returns #F.

2006-06-10 11:06  Chris Hanson <edu/mit/csail/cph>

	* microcode/configure.ac (1.11):

	Delete unused statements from previous change.

2006-06-10 02:12  Chris Hanson <edu/mit/csail/cph>

	* etc/compile.sh (1.7):

	Fix copyright date.

2006-06-10 02:09  Chris Hanson <edu/mit/csail/cph>

	* edwin/dired.scm (1.197):

	Previous change wasn't quite right.  Some more tweaking seems to help.

2006-06-10 01:38  Chris Hanson <edu/mit/csail/cph>

	* microcode/makegen/Makefile.in.in (1.29):

	Add missing datarootdir definition needed by newer versions of
	autoconf.

2006-06-10 01:24  Chris Hanson <edu/mit/csail/cph>

	* microcode/: load.c (9.43), ppband.c (9.65), prmcrypt.c (1.7),
	  prmhash.c (11.9), utabmd.sh (1.7), makegen/Makefile.in.in (1.28),
	  makegen/files-other.scm (1.6), makegen/makegen.scm (1.9),
	  makegen/makeinit.sh (1.12):

	Fix copyright dates on changed files.

2006-06-10 00:45  Chris Hanson <edu/mit/csail/cph>

	* imail/update-changelog.sh (1.4):

	Remove obsolete file.

2006-06-10 00:42  Chris Hanson <edu/mit/csail/cph>

	* xml/: compile.scm (1.18), load.scm (1.17), test-turtle.scm (1.1),
	  turtle.scm (1.1), xml.pkg (1.69):

	Add parsing support for RDF/Turtle.

2006-06-10 00:17  Chris Hanson <edu/mit/csail/cph>

	* edwin/dired.scm (1.196):

	Tweak DIRECTORY-LISTING-BEFORE-FILENAME-REGEXP to add support for
	VC-Dired mode.

2006-06-10 00:12  Chris Hanson <edu/mit/csail/cph>

	* star-parser/: matcher.scm (1.35), parser.scm (1.36):

	Implement ERROR macros.

